/**
 * @license
 * Copyright 2020 Google LLC. All Rights Reserved.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * =============================================================================
 */
!function(e,t){"object"==typeof exports&&"undefined"!=typeof module?t(exports):"function"==typeof define&&define.amd?define(["exports"],t):t((e=e||self).tf=e.tf||{})}(this,(function(e){"use strict";class t{constructor(e){this.global=e,this.flags={},this.flagRegistry={},this.urlFlags={},this.populateURLFlags()}setPlatform(e,t){null!=this.platform&&console.warn(`Platform ${this.platformName} has already been set. Overwriting the platform with ${t}.`),this.platformName=e,this.platform=t}registerFlag(e,t,n){if(this.flagRegistry[e]={evaluationFn:t,setHook:n},null!=this.urlFlags[e]){const t=this.urlFlags[e];console.warn(`Setting feature override from URL ${e}: ${t}.`),this.set(e,t)}}async getAsync(e){return e in this.flags||(this.flags[e]=await this.evaluateFlag(e)),this.flags[e]}get(e){if(e in this.flags)return this.flags[e];const t=this.evaluateFlag(e);if(t instanceof Promise)throw new Error(`Flag ${e} cannot be synchronously evaluated. Please use getAsync() instead.`);return this.flags[e]=t,this.flags[e]}getNumber(e){return this.get(e)}getBool(e){return this.get(e)}getFlags(){return this.flags}get features(){return this.flags}set(e,t){if(null==this.flagRegistry[e])throw new Error(`Cannot set flag ${e} as it has not been registered.`);this.flags[e]=t,null!=this.flagRegistry[e].setHook&&this.flagRegistry[e].setHook(t)}evaluateFlag(e){if(null==this.flagRegistry[e])throw new Error(`Cannot evaluate flag '${e}': no evaluation function found.`);return this.flagRegistry[e].evaluationFn()}setFlags(e){this.flags=Object.assign({},e)}reset(){this.flags={},this.urlFlags={},this.populateURLFlags()}populateURLFlags(){if(void 0===this.global||void 0===this.global.location||void 0===this.global.location.search)return;const e=function(e){const t={};return e.replace(/[?&]([^=?&]+)(?:=([^&]*))?/g,(e,...n)=>(function(e,t,n){e[decodeURIComponent(t)]=decodeURIComponent(n||"")}(t,n[0],n[1]),n.join("="))),t}(this.global.location.search);if("tfjsflags"in e){e.tfjsflags.split(",").forEach(e=>{const[t,n]=e.split(":");this.urlFlags[t]=function(e,t){if("true"===(t=t.toLowerCase())||"false"===t)return"true"===t;if(""+ +t===t)return+t;throw new Error(`Could not parse value flag value ${t} for flag ${e}.`)}(t,n)})}}}function n(){return e.ENV}let r;function s(){if(null==r){let e;if("undefined"!=typeof window)e=window;else if("undefined"!=typeof global)e=global;else if("undefined"!=typeof process)e=process;else{if("undefined"==typeof self)throw new Error("Could not find a global object");e=self}r=e}return r}function o(e,t){const n=function(){const e=s();return null==e._tfGlobals&&(e._tfGlobals=new Map),e._tfGlobals}();if(n.has(e))return n.get(e);{const r=t();return n.set(e,r),n.get(e)}}e.ENV=null;const a=o("kernelRegistry",()=>new Map),i=o("gradRegistry",()=>new Map);function u(e,t){const n=d(e,t);return a.get(n)}function l(e){return i.get(e)}function c(e){const t=a.entries(),n=[];for(;;){const{done:r,value:s}=t.next();if(r)break;const[o,a]=s,[i]=o.split("_");i===e&&n.push(a)}return n}function h(e){const{kernelName:t}=e;i.has(t)&&console.warn(`Overriding the gradient for '${t}'`),i.set(t,e)}function d(e,t){return`${t}_${e}`}function p(e){let t=e.length,n=0,r=0;for(;t>0;)r=Math.random()*t|0,t--,n=e[t],e[t]=e[r],e[r]=n}function f(e,t,n){return Math.max(e,Math.min(t,n))}function m(e,t){if(!e)throw new Error("string"==typeof t?t:t())}function g(e,t,n=""){m(k(e,t),()=>n+` Shapes ${e} and ${t} must match`)}function b(e){m(null!=e,()=>"The input to the tensor constructor must be a non-null value.")}function w(e,t=[],n=!1){if(null==t&&(t=[]),Array.isArray(e)||A(e)&&!n)for(let r=0;r<e.length;++r)w(e[r],t,n);else t.push(e);return t}function y(e){if(0===e.length)return 1;let t=e[0];for(let n=1;n<e.length;n++)t*=e[n];return t}function k(e,t){if(e===t)return!0;if(null==e||null==t)return!1;if(e.length!==t.length)return!1;for(let n=0;n<e.length;n++)if(e[n]!==t[n])return!1;return!0}function v(e){return e%1==0}function x(e,t){return t<=e.length?e:e+" ".repeat(t-e.length)}function E(e,t){let n=1,r=-1;for(let t=0;t<e.length;++t)if(e[t]>=0)n*=e[t];else if(-1===e[t]){if(-1!==r)throw Error(`Shapes can only have 1 implicit size. Found -1 at dim ${r} and dim ${t}`);r=t}else if(e[t]<0)throw Error(`Shapes can not be < 0. Found ${e[t]} at dim ${t}`);if(-1===r){if(t>0&&t!==n)throw Error(`Size(${t}) must match the product of shape ${e}`);return e}if(0===n)throw Error(`Cannot infer the missing size in [${e}] when there are 0 elements`);if(t%n!=0)throw Error(`The implicit shape can't be a fractional number. Got ${t} / ${n}`);const s=e.slice();return s[r]=t/n,s}function S(e,t){const n=t.length;return m((e=null==e?t.map((e,t)=>t):[].concat(e)).every(e=>e>=-n&&e<n),()=>`All values in axis param must be in range [-${n}, ${n}) but got axis `+e),m(e.every(e=>v(e)),()=>"All values in axis param must be integers but got axis "+e),e.map(e=>e<0?n+e:e)}function D(e,t){const n=[],r=[],s=null!=t&&Array.isArray(t)&&0===t.length,o=null==t||s?null:S(t,e).sort();let a=0;for(let t=0;t<e.length;++t){if(null!=o){if(o[a]===t&&1!==e[t])throw new Error(`Can't squeeze axis ${t} since its dim '${e[t]}' is not 1`);(null==o[a]||o[a]>t)&&1===e[t]&&(n.push(e[t]),r.push(t)),o[a]<=t&&a++}1!==e[t]&&(n.push(e[t]),r.push(t))}return{newShape:n,keptDims:r}}function I(e,t){let n=null;if(null==e||"float32"===e)n=new Float32Array(t);else if("int32"===e)n=new Int32Array(t);else{if("bool"!==e)throw new Error("Unknown data type "+e);n=new Uint8Array(t)}return n}function N(e,t){let n=null;if(null==e||"float32"===e)n=new Float32Array(t);else if("int32"===e)n=new Int32Array(t);else if("bool"===e)n=new Uint8Array(t);else{if("string"!==e)throw new Error("Unknown data type "+e);n=new Array(t)}return n}function $(e,t){for(let n=0;n<e.length;n++){const r=e[n];if(isNaN(r)||!isFinite(r))throw Error(`A tensor of type ${t} being uploaded contains ${r}.`)}}function F(e){return"bool"===e||"complex64"===e||"float32"===e||"int32"===e||"string"===e}function M(e,t){return"complex64"!==t&&(("float32"!==t||"complex64"===e)&&(("int32"!==t||"float32"===e||"complex64"===e)&&("bool"!==t||"bool"!==e)))}function A(e){return e instanceof Float32Array||e instanceof Int32Array||e instanceof Uint8Array}function _(e){if("float32"===e||"int32"===e)return 4;if("complex64"===e)return 8;if("bool"===e)return 1;throw new Error("Unknown dtype "+e)}function T(e){if(null==e)return 0;let t=0;return e.forEach(e=>t+=e.length),t}function B(e){return"string"==typeof e||e instanceof String}function C(e){return"boolean"==typeof e}function R(e){return"number"==typeof e}function P(e){return Array.isArray(e)?P(e[0]):e instanceof Float32Array?"float32":e instanceof Int32Array||e instanceof Uint8Array?"int32":R(e)?"float32":B(e)?"string":C(e)?"bool":"float32"}function q(e){return!!(e&&e.constructor&&e.call&&e.apply)}function z(e,t){for(let n=t;n<e;++n)if(e%n==0)return n;return e}function L(e){const t=e.length;if(t<2)return[];const n=new Array(t-1);n[t-2]=e[t-1];for(let r=t-3;r>=0;--r)n[r]=n[r+1]*e[r+1];return n}function O(e,t,n){if("string"===t)throw new Error("Cannot convert a string[] to a TypedArray");if(Array.isArray(e)&&(e=w(e)),n&&$(e,t),function(e,t){return e instanceof Float32Array&&"float32"===t||e instanceof Int32Array&&"int32"===t||e instanceof Uint8Array&&"bool"===t}(e,t))return e;if(null==t||"float32"===t||"complex64"===t)return new Float32Array(e);if("int32"===t)return new Int32Array(e);if("bool"===t){const t=new Uint8Array(e.length);for(let n=0;n<t.length;++n)0!==Math.round(e[n])&&(t[n]=1);return t}throw new Error("Unknown data type "+t)}function W(e,t){if(0===e.length)return t[0];const n=e.reduce((e,t)=>e*t);if(0===n)return[];if(n!==t.length)throw new Error(`[${e}] does not match the input size.`);return function e(t,n,r){const s=new Array;if(1===n.length){const e=n[0];for(let n=0;n<e;n++)s[n]=r[t+n]}else{const o=n[0],a=n.slice(1),i=a.reduce((e,t)=>e*t);for(let n=0;n<o;n++)s[n]=e(t+n*i,a,r)}return s}(0,e,t)}function K(e,t){const n=G(e,t);for(let e=0;e<n.length;e++)n[e]=1;return n}function G(e,t){if(null==t||"float32"===t||"complex64"===t)return new Float32Array(e);if("int32"===t)return new Int32Array(e);if("bool"===t)return new Uint8Array(e);throw new Error("Unknown data type "+t)}function U(){return n().platform.now()}function H(e){e.forEach(t=>{m(Number.isInteger(t)&&t>=0,()=>`Tensor must have a shape comprised of positive integers but got shape [${e}].`)})}function V(e,t="utf-8"){return t=t||"utf-8",n().platform.encode(e,t)}function j(e,t="utf-8"){return t=t||"utf-8",n().platform.decode(e,t)}var J=Object.freeze({__proto__:null,shuffle:p,clamp:f,nearestLargerEven:function(e){return e%2==0?e:e+1},sum:function(e){let t=0;for(let n=0;n<e.length;n++)t+=e[n];return t},randUniform:function(e,t){const n=Math.random();return t*n+(1-n)*e},distSquared:function(e,t){let n=0;for(let r=0;r<e.length;r++){const s=Number(e[r])-Number(t[r]);n+=s*s}return n},assert:m,assertShapesMatch:g,assertNonNull:b,flatten:w,sizeFromShape:y,isScalarShape:function(e){return 0===e.length},arraysEqual:k,isInt:v,tanh:function(e){if(null!=Math.tanh)return Math.tanh(e);if(e===1/0)return 1;if(e===-1/0)return-1;{const t=Math.exp(2*e);return(t-1)/(t+1)}},sizeToSquarishShape:function(e){const t=Math.ceil(Math.sqrt(e));return[t,Math.ceil(e/t)]},createShuffledIndices:function(e){const t=new Uint32Array(e);for(let n=0;n<e;++n)t[n]=n;return p(t),t},rightPad:x,repeatedTry:function(e,t=(e=>0),n){return new Promise((r,s)=>{let o=0;const a=()=>{if(e())return void r();o++;const i=t(o);null!=n&&o>=n?s():setTimeout(a,i)};a()})},inferFromImplicitShape:E,parseAxisParam:S,squeezeShape:D,getTypedArrayFromDType:I,getArrayFromDType:N,checkConversionForErrors:$,isValidDtype:F,hasEncodingLoss:M,isTypedArray:A,bytesPerElement:_,bytesFromStringArray:T,isString:B,isBoolean:C,isNumber:R,inferDtype:P,isFunction:q,nearestDivisor:z,computeStrides:L,toTypedArray:O,toNestedArray:W,makeOnesTypedArray:K,makeZerosTypedArray:G,now:U,assertNonNegativeIntegerDimensions:H,fetch:function(e,t){return n().platform.fetch(e,t)},encodeString:V,decodeString:j,locToIndex:function(e,t,n){if(0===t)return 0;if(1===t)return e[0];let r=e[e.length-1];for(let t=0;t<e.length-1;++t)r+=n[t]*e[t];return r},indexToLoc:function(e,t,n){if(0===t)return[];if(1===t)return[e];const r=new Array(t);for(let t=0;t<r.length-1;++t)r[t]=Math.floor(e/n[t]),e-=r[t]*n[t];return r[r.length-1]=e,r}});class Y{constructor(e,t){this.backendTimer=e,this.logger=t,null==t&&(this.logger=new X)}profileKernel(e,t,n){let r;const s=this.backendTimer.time(()=>{r=n()});return r.forEach(n=>{n.data().then(r=>{!function(e,t,n){if("float32"!==t)return!1;for(let t=0;t<e.length;t++){const r=e[t];if(isNaN(r)||!isFinite(r))return console.warn(`Found ${r} in the result of '${n}'`),!0}}(r,n.dtype,e),s.then(s=>{let o="";null!=s.getExtraProfileInfo&&(o=s.getExtraProfileInfo()),this.logger.logKernelProfile(e,n,r,s.kernelMs,t,o)})})}),r}}class X{logKernelProfile(e,t,n,r,s,o){const a="number"==typeof r?x(r+"ms",9):r.error,i=x(e,25),u=t.rank,l=t.size,c=x(t.shape.toString(),14);let h="";for(const e in s){const n=s[e].shape||t.shape,r=n.length;h+=`${e}: ${r}D ${r>0?n:""} `}console.log(`%c${i}\t%c${a}\t%c${u}D ${c}\t%c${l}\t%c${h}\t%c${o}`,"font-weight:bold","color:red","color:blue","color: orange","color: green","color: steelblue")}}function Z(e,t,n,r){const s=L(t),o=function(e,t,n,r){const s=y(t),o=r[r.length-1],a=new Array(o).fill(0),i=t.length,u="complex64"===n?te(e):e;if(i>1)for(let e=0;e<s/o;e++){const t=e*o;for(let e=0;e<o;e++)a[e]=Math.max(a[e],Q(u[t+e],0,n).length)}return a}(e,t,n,s),a=t.length,i=function e(t,n,r,s,o,a=!0){const i="complex64"===r?2:1,u=n[0],l=n.length;if(0===l){if("complex64"===r){return[Q(te(t)[0],0,r)]}return"bool"===r?[ee(t[0])]:[t[0].toString()]}if(1===l){if(u>20){const e=3*i;let n=Array.from(t.slice(0,e)),s=Array.from(t.slice((u-3)*i,u*i));return"complex64"===r&&(n=te(n),s=te(s)),["["+n.map((e,t)=>Q(e,o[t],r)).join(", ")+", ..., "+s.map((e,t)=>Q(e,o[u-3+t],r)).join(", ")+"]"]}return["["+("complex64"===r?te(t):Array.from(t)).map((e,t)=>Q(e,o[t],r)).join(", ")+"]"]}const c=n.slice(1),h=s.slice(1),d=s[0]*i,p=[];if(u>20){for(let n=0;n<3;n++){const s=n*d,a=s+d;p.push(...e(t.slice(s,a),c,r,h,o,!1))}p.push("...");for(let n=u-3;n<u;n++){const s=n*d,a=s+d;p.push(...e(t.slice(s,a),c,r,h,o,n===u-1))}}else for(let n=0;n<u;n++){const s=n*d,a=s+d;p.push(...e(t.slice(s,a),c,r,h,o,n===u-1))}const f=2===l?",":"";p[0]="["+p[0]+f;for(let e=1;e<p.length-1;e++)p[e]=" "+p[e]+f;let m=",\n";for(let e=2;e<l;e++)m+="\n";return p[p.length-1]=" "+p[p.length-1]+"]"+(a?"":m),p}(e,t,n,s,o),u=["Tensor"];return r&&(u.push("  dtype: "+n),u.push("  rank: "+a),u.push(`  shape: [${t}]`),u.push("  values:")),u.push(i.map(e=>"    "+e).join("\n")),u.join("\n")}function Q(e,t,n){let r;return r=Array.isArray(e)?parseFloat(e[0].toFixed(7))+" + "+parseFloat(e[1].toFixed(7))+"j":B(e)?`'${e}'`:"bool"===n?ee(e):parseFloat(e.toFixed(7)).toString(),x(r,t)}function ee(e){return 0===e?"false":"true"}function te(e){const t=[];for(let n=0;n<e.length;n+=2)t.push([e[n],e[n+1]]);return t}class ne{constructor(e,t,n){if(this.dtype=t,this.shape=e.slice(),this.size=y(e),null!=n){const e=n.length;m(e===this.size,()=>`Length of values '${e}' does not match the size inferred by the shape '${this.size}'.`)}if("complex64"===t)throw new Error("complex64 dtype TensorBuffers are not supported. Please create a TensorBuffer for the real and imaginary parts separately and call tf.complex(real, imag).");this.values=n||N(t,this.size),this.strides=L(e)}set(e,...t){0===t.length&&(t=[0]),m(t.length===this.rank,()=>`The number of provided coordinates (${t.length}) must match the rank (${this.rank})`);const n=this.locToIndex(t);this.values[n]=e}get(...e){0===e.length&&(e=[0]);let t=0;for(const n of e){if(n<0||n>=this.shape[t]){const t=`Requested out of range element at ${e}.   Buffer shape=`+this.shape;throw new Error(t)}t++}let n=e[e.length-1];for(let t=0;t<e.length-1;++t)n+=this.strides[t]*e[t];return this.values[n]}locToIndex(e){if(0===this.rank)return 0;if(1===this.rank)return e[0];let t=e[e.length-1];for(let n=0;n<e.length-1;++n)t+=this.strides[n]*e[n];return t}indexToLoc(e){if(0===this.rank)return[];if(1===this.rank)return[e];const t=new Array(this.shape.length);for(let n=0;n<t.length-1;++n)t[n]=Math.floor(e/this.strides[n]),e-=t[n]*this.strides[n];return t[t.length-1]=e,t}get rank(){return this.shape.length}toTensor(){return re().makeTensor(this.values,this.shape,this.dtype)}}let re=null,se=null;class oe{constructor(e,t,n,r){this.kept=!1,this.isDisposedInternal=!1,this.shape=e.slice(),this.dtype=t||"float32",this.size=y(e),this.strides=L(e),this.dataId=n,this.id=r,this.rankType=this.rank<5?this.rank.toString():"higher"}flatten(){return this.throwIfDisposed(),this.as1D()}asScalar(){return this.throwIfDisposed(),m(1===this.size,()=>"The array must have only 1 element."),this.reshape([])}as1D(){return this.throwIfDisposed(),this.reshape([this.size])}as2D(e,t){return this.throwIfDisposed(),this.reshape([e,t])}as3D(e,t,n){return this.throwIfDisposed(),this.reshape([e,t,n])}as4D(e,t,n,r){return this.throwIfDisposed(),this.reshape([e,t,n,r])}as5D(e,t,n,r,s){return this.throwIfDisposed(),this.reshape([e,t,n,r,s])}asType(e){return this.throwIfDisposed(),se.cast(this,e)}get rank(){return this.shape.length}async buffer(){const e=await this.data();return se.buffer(this.shape,this.dtype,e)}bufferSync(){return se.buffer(this.shape,this.dtype,this.dataSync())}async array(){const e=await this.data();return W(this.shape,e)}arraySync(){return W(this.shape,this.dataSync())}async data(){this.throwIfDisposed();const e=re().read(this.dataId);if("string"===this.dtype){const t=await e;try{return t.map(e=>j(e))}catch(e){throw new Error("Failed to decode the string bytes into utf-8. To get the original bytes, call tensor.bytes().")}}return e}dataSync(){this.throwIfDisposed();const e=re().readSync(this.dataId);if("string"===this.dtype)try{return e.map(e=>j(e))}catch(e){throw new Error("Failed to decode the string bytes into utf-8. To get the original bytes, call tensor.bytes().")}return e}async bytes(){this.throwIfDisposed();const e=await re().read(this.dataId);return"string"===this.dtype?e:new Uint8Array(e.buffer)}dispose(){this.isDisposed||(re().disposeTensor(this),this.isDisposedInternal=!0)}get isDisposed(){return this.isDisposedInternal}throwIfDisposed(){if(this.isDisposed)throw new Error("Tensor is disposed.")}toFloat(){return this.asType("float32")}toInt(){return this.asType("int32")}toBool(){return this.asType("bool")}print(e=!1){return se.print(this,e)}reshape(e){return this.throwIfDisposed(),se.reshape(this,e)}reshapeAs(e){return this.throwIfDisposed(),this.reshape(e.shape)}expandDims(e=0){return se.expandDims(this,e)}squeeze(e){return this.throwIfDisposed(),se.squeeze(this,e)}clone(){return this.throwIfDisposed(),se.clone(this)}toString(e=!1){return Z(this.dataSync(),this.shape,this.dtype,e)}gather(e,t=0){return this.throwIfDisposed(),se.gather(this,e,t)}norm(e="euclidean",t=null,n=!1){return this.throwIfDisposed(),se.norm(this,e,t,n)}slice(e,t){return this.throwIfDisposed(),se.slice(this,e,t)}reverse(e){return this.throwIfDisposed(),se.reverse(this,e)}stack(e,t=0){return se.stack([this,e],t)}unstack(e=0){return se.unstack(this,e)}all(e=null,t=!1){return this.throwIfDisposed(),se.all(this,e,t)}any(e=null,t=!1){return this.throwIfDisposed(),se.any(this,e,t)}logSumExp(e=null,t=!1){return this.throwIfDisposed(),se.logSumExp(this,e,t)}sum(e=null,t=!1){return this.throwIfDisposed(),se.sum(this,e,t)}prod(e=null,t=!1){return this.throwIfDisposed(),se.prod(this,e,t)}mean(e=null,t=!1){return this.throwIfDisposed(),se.mean(this,e,t)}min(e=null,t=!1){return this.throwIfDisposed(),se.min(this,e,t)}argMin(e=null){return this.throwIfDisposed(),se.argMin(this,e)}argMax(e=null){return this.throwIfDisposed(),se.argMax(this,e)}cast(e){return this.throwIfDisposed(),se.cast(this,e)}addStrict(e){return this.throwIfDisposed(),se.addStrict(this,e)}subStrict(e){return this.throwIfDisposed(),se.subStrict(this,e)}powStrict(e){return this.throwIfDisposed(),se.powStrict(this,e)}mulStrict(e){return this.throwIfDisposed(),se.mulStrict(this,e)}divStrict(e){return this.throwIfDisposed(),se.divStrict(this,e)}minimumStrict(e){return this.throwIfDisposed(),se.minimumStrict(this,e)}maximumStrict(e){return this.throwIfDisposed(),se.maximumStrict(this,e)}modStrict(e){return this.throwIfDisposed(),se.modStrict(this,e)}squaredDifferenceStrict(e){return this.throwIfDisposed(),se.squaredDifferenceStrict(this,e)}notEqualStrict(e){return this.throwIfDisposed(),se.notEqualStrict(this,e)}lessStrict(e){return this.throwIfDisposed(),se.lessStrict(this,e)}equalStrict(e){return this.throwIfDisposed(),se.equalStrict(this,e)}lessEqualStrict(e){return this.throwIfDisposed(),se.lessEqualStrict(this,e)}greaterStrict(e){return this.throwIfDisposed(),se.greaterStrict(this,e)}greaterEqualStrict(e){return this.throwIfDisposed(),se.greaterEqualStrict(this,e)}logicalAnd(e){return this.throwIfDisposed(),se.logicalAnd(this,e)}logicalOr(e){return this.throwIfDisposed(),se.logicalOr(this,e)}logicalNot(){return this.throwIfDisposed(),se.logicalNot(this)}logicalXor(e){return this.throwIfDisposed(),se.logicalXor(this,e)}where(e,t){return this.throwIfDisposed(),se.where(e,this,t)}neg(){return this.throwIfDisposed(),se.neg(this)}ceil(){return this.throwIfDisposed(),se.ceil(this)}floor(){return this.throwIfDisposed(),se.floor(this)}sign(){return this.throwIfDisposed(),se.sign(this)}isNaN(){return this.throwIfDisposed(),se.isNaN(this)}isInf(){return this.throwIfDisposed(),se.isInf(this)}isFinite(){return this.throwIfDisposed(),se.isFinite(this)}exp(){return this.throwIfDisposed(),se.exp(this)}expm1(){return this.throwIfDisposed(),se.expm1(this)}log(){return this.throwIfDisposed(),se.log(this)}log1p(){return this.throwIfDisposed(),se.log1p(this)}sqrt(){return this.throwIfDisposed(),se.sqrt(this)}rsqrt(){return this.throwIfDisposed(),se.rsqrt(this)}square(){return this.throwIfDisposed(),se.square(this)}reciprocal(){return this.throwIfDisposed(),se.reciprocal(this)}abs(){return this.throwIfDisposed(),se.abs(this)}clipByValue(e,t){return this.throwIfDisposed(),se.clipByValue(this,e,t)}sigmoid(){return this.throwIfDisposed(),se.sigmoid(this)}logSigmoid(){return this.throwIfDisposed(),se.logSigmoid(this)}softplus(){return this.throwIfDisposed(),se.softplus(this)}zerosLike(){return this.throwIfDisposed(),se.zerosLike(this)}onesLike(){return this.throwIfDisposed(),se.onesLike(this)}sin(){return this.throwIfDisposed(),se.sin(this)}cos(){return this.throwIfDisposed(),se.cos(this)}tan(){return this.throwIfDisposed(),se.tan(this)}asin(){return this.throwIfDisposed(),se.asin(this)}acos(){return this.throwIfDisposed(),se.acos(this)}atan(){return this.throwIfDisposed(),se.atan(this)}sinh(){return this.throwIfDisposed(),se.sinh(this)}cosh(){return this.throwIfDisposed(),se.cosh(this)}tanh(){return this.throwIfDisposed(),se.tanh(this)}asinh(){return this.throwIfDisposed(),se.asinh(this)}acosh(){return this.throwIfDisposed(),se.acosh(this)}atanh(){return this.throwIfDisposed(),se.atanh(this)}erf(){return this.throwIfDisposed(),se.erf(this)}round(){return this.throwIfDisposed(),se.round(this)}step(e=0){return this.throwIfDisposed(),se.step(this,e)}softmax(e=-1){return this.throwIfDisposed(),se.softmax(this,e)}logSoftmax(e=-1){return this.throwIfDisposed(),se.logSoftmax(this,e)}resizeBilinear(e,t=!1){return this.throwIfDisposed(),se.image.resizeBilinear(this,e,t)}resizeNearestNeighbor(e,t=!1){return this.throwIfDisposed(),se.image.resizeNearestNeighbor(this,e,t)}variable(e=!0,t,n){return this.throwIfDisposed(),re().makeVariable(this,e,t,n)}unsortedSegmentSum(e,t){return this.throwIfDisposed(),se.unsortedSegmentSum(this,e,t)}topk(e=1,t=!0){return this.throwIfDisposed(),se.topk(this,e,t)}stridedSlice(e,t,n,r=0,s=0,o=0,a=0,i=0){return this.throwIfDisposed(),se.stridedSlice(this,e,t,n,r,s,o,a,i)}fft(){return this.throwIfDisposed(),se.spectral.fft(this)}ifft(){return this.throwIfDisposed(),se.spectral.ifft(this)}rfft(){return this.throwIfDisposed(),se.spectral.rfft(this)}irfft(){return this.throwIfDisposed(),se.spectral.irfft(this)}}Object.defineProperty(oe,Symbol.hasInstance,{value:e=>!!e&&null!=e.dataId&&null!=e.shape&&null!=e.dtype});class ae extends oe{constructor(e,t,n,r){super(e.shape,e.dtype,e.dataId,r),this.trainable=t,this.name=n}assign(e){if(e.dtype!==this.dtype)throw new Error(`dtype of the new value (${e.dtype}) and previous value (${this.dtype}) must match`);if(!k(e.shape,this.shape))throw new Error(`shape of the new value (${e.shape}) and previous value (${this.shape}) must match`);re().disposeTensor(this),this.dataId=e.dataId,re().incRef(this,null)}dispose(){re().disposeVariable(this),this.isDisposedInternal=!0}}var ie,ue,le,ce,he;Object.defineProperty(ae,Symbol.hasInstance,{value:e=>e instanceof oe&&null!=e.assign&&e.assign instanceof Function}),(ie=e.Rank||(e.Rank={})).R0="R0",ie.R1="R1",ie.R2="R2",ie.R3="R3",ie.R4="R4",ie.R5="R5",ie.R6="R6",function(e){e.float32="float32",e.int32="int32",e.bool="int32",e.complex64="complex64"}(ue||(ue={})),function(e){e.float32="float32",e.int32="int32",e.bool="bool",e.complex64="complex64"}(le||(le={})),function(e){e.float32="float32",e.int32="float32",e.bool="float32",e.complex64="complex64"}(ce||(ce={})),function(e){e.float32="complex64",e.int32="complex64",e.bool="complex64",e.complex64="complex64"}(he||(he={}));const de={float32:ce,int32:ue,bool:le,complex64:he};function pe(e,t){if("string"===e||"string"===t){if("string"===e&&"string"===t)return"string";throw new Error(`Can not upcast ${e} with ${t}`)}return de[e][t]}function fe(e,t){if(e.dtype===t.dtype)return[e,t];const n=pe(e.dtype,t.dtype);return[e.cast(n),t.cast(n)]}function me(e,t){m(e.dtype===t.dtype,()=>`The dtypes of the first(${e.dtype}) and second(${t.dtype}) input must match`)}function ge(e){const t=[];return function e(t,n,r){if(null==t)return;if(t instanceof oe)return void n.push(t);if(s=t,!Array.isArray(s)&&"object"!=typeof s)return;var s;const o=t;for(const t in o){const s=o[t];r.has(s)||(r.add(s),e(s,n,r))}}(e,t,new Set),t}var be=Object.freeze({__proto__:null,makeTypesMatch:fe,assertTypesMatch:me,isTensorInList:function(e,t){return t.some(t=>t.id===e.id)},getTensorsInContainer:ge});class we{constructor(){this.registeredVariables={},this.nextTapeNodeId=0,this.numBytes=0,this.numTensors=0,this.numStringTensors=0,this.numDataBuffers=0,this.gradientDepth=0,this.kernelDepth=0,this.scopeStack=[],this.numDataMovesStack=[],this.nextScopeId=0,this.tensorInfo=new WeakMap,this.profiling=!1,this.activeProfile={newBytes:0,newTensors:0,peakBytes:0,kernels:[],result:null}}dispose(){for(const e in this.registeredVariables)this.registeredVariables[e].dispose()}}class ye{constructor(e){this.ENV=e,this.registry={},this.registryFactory={},this.pendingBackendInitId=0,this.state=new we}async ready(){if(null!=this.pendingBackendInit)return this.pendingBackendInit.then(()=>{});if(null!=this.backendInstance)return;const e=this.getSortedBackends();for(let t=0;t<e.length;t++){const n=e[t];if(await this.initializeBackend(n).success)return void await this.setBackend(n)}throw new Error("Could not initialize any backends, all backend initializations failed.")}get backend(){if(null!=this.pendingBackendInit)throw new Error(`Backend '${this.backendName}' has not yet been initialized. Make sure to await tf.ready() or await tf.setBackend() before calling other methods`);if(null==this.backendInstance){const{name:e,asyncInit:t}=this.initializeBackendsAndReturnBest();if(t)throw new Error(`The highest priority backend '${e}' has not yet been initialized. Make sure to await tf.ready() or await tf.setBackend() before calling other methods`);this.setBackend(e)}return this.backendInstance}backendNames(){return Object.keys(this.registryFactory)}findBackend(e){if(!(e in this.registry)){if(!(e in this.registryFactory))return null;{const{asyncInit:t}=this.initializeBackend(e);if(t)return null}}return this.registry[e]}findBackendFactory(e){return e in this.registryFactory?this.registryFactory[e].factory:null}registerBackend(e,t,n=1){return e in this.registryFactory?(console.warn(e+" backend was already registered. Reusing existing backend factory."),!1):(this.registryFactory[e]={factory:t,priority:n},!0)}async setBackend(e){if(null==this.registryFactory[e])throw new Error(`Backend name '${e}' not found in registry`);if(this.backendName=e,null==this.registry[e]){this.backendInstance=null;const{success:t,asyncInit:n}=this.initializeBackend(e);if(!(n?await t:t))return!1}return this.backendInstance=this.registry[e],this.setupRegisteredKernels(),this.profiler=new Y(this.backendInstance),!0}setupRegisteredKernels(){c(this.backendName).forEach(e=>{null!=e.setupFunc&&e.setupFunc(this.backendInstance)})}disposeRegisteredKernels(e){c(e).forEach(t=>{null!=t.disposeFunc&&t.disposeFunc(this.registry[e])})}initializeBackend(e){const t=this.registryFactory[e];if(null==t)throw new Error(`Cannot initialize backend ${e}, no registration found.`);try{const n=t.factory();if(Promise.resolve(n)===n){const t=++this.pendingBackendInitId,r=n.then(n=>!(t<this.pendingBackendInitId)&&(this.registry[e]=n,this.pendingBackendInit=null,!0)).catch(n=>(t<this.pendingBackendInitId||(this.pendingBackendInit=null,console.warn(`Initialization of backend ${e} failed`),console.warn(n.stack||n.message)),!1));return this.pendingBackendInit=r,{success:r,asyncInit:!0}}return this.registry[e]=n,{success:!0,asyncInit:!1}}catch(t){return console.warn(`Initialization of backend ${e} failed`),console.warn(t.stack||t.message),{success:!1,asyncInit:!1}}}removeBackend(e){if(!(e in this.registryFactory))throw new Error(e+" backend not found in registry");this.backendName===e&&null!=this.pendingBackendInit&&this.pendingBackendInitId++,e in this.registry&&(this.disposeRegisteredKernels(e),this.registry[e].dispose(),delete this.registry[e]),delete this.registryFactory[e],this.backendName===e&&(this.pendingBackendInit=null,this.backendName=null,this.backendInstance=null)}getSortedBackends(){if(0===Object.keys(this.registryFactory).length)throw new Error("No backend found in registry.");return Object.keys(this.registryFactory).sort((e,t)=>this.registryFactory[t].priority-this.registryFactory[e].priority)}initializeBackendsAndReturnBest(){const e=this.getSortedBackends();for(let t=0;t<e.length;t++){const n=e[t],{success:r,asyncInit:s}=this.initializeBackend(n);if(s||r)return{name:n,asyncInit:s}}throw new Error("Could not initialize any backends, all backend initializations failed.")}moveData(e,t){const n=this.state.tensorInfo.get(t),r=n.backend,s=this.readSync(t);r.disposeData(t),n.backend=e,e.move(t,s,n.shape,n.dtype),this.shouldCheckForMemLeaks()&&this.state.numDataMovesStack[this.state.numDataMovesStack.length-1]++}tidy(e,t){let n,r=null;if(null==t){if("function"!=typeof e)throw new Error("Please provide a function to tidy()");t=e}else{if("string"!=typeof e&&!(e instanceof String))throw new Error("When calling with two arguments, the first argument to tidy() must be a string");if("function"!=typeof t)throw new Error("When calling with two arguments, the 2nd argument to tidy() must be a function");r=e}return this.scopedRun(()=>this.startScope(r),()=>this.endScope(n),()=>(n=t(),n instanceof Promise&&console.error("Cannot return a Promise inside of tidy."),n))}scopedRun(e,t,n){e();try{const e=n();return t(),e}catch(e){throw t(),e}}nextTensorId(){return ye.nextTensorId++}nextVariableId(){return ye.nextVariableId++}clone(e){const t=this.makeTensorFromDataId(e.dataId,e.shape,e.dtype),n={x:e};return this.addTapeNode(this.state.activeScope.name,n,[t],e=>({x:()=>e.toFloat()}),[],{}),t}runKernel(e,t,n,r,s){return this.runKernelFunc(null,t,null,e,n,r,s)}shouldCheckForMemLeaks(){return this.ENV.getBool("IS_TEST")}checkKernelForMemLeak(e,t,n){const r=this.backend.numDataIds();let s=0;n.forEach(e=>{s+="complex64"===e.dtype?3:1});const o=this.state.numDataMovesStack[this.state.numDataMovesStack.length-1],a=r-t-s-o;if(a>0)throw new Error(`Backend '${this.backendName}' has an internal memory leak (${a} data ids) after running '${e}'`)}runKernelFunc(e,t,n,r,s,o,a){let i,l=[];const c=this.isTapeOn();null==r&&(r=null!=this.state.activeScope?this.state.activeScope.name:"");const h=this.state.numBytes,d=this.state.numTensors;let p;this.shouldCheckForMemLeaks()&&this.state.numDataMovesStack.push(0);const f=u(r,this.backendName);let m;if(null!=f)p=()=>{const e=this.backend.numDataIds();m=f.kernelFunc({inputs:t,attrs:s,backend:this.backend});const n=Array.isArray(m)?m:[m];this.shouldCheckForMemLeaks()&&this.checkKernelForMemLeak(r,e,n);const i=n.map(({dataId:e,shape:t,dtype:n})=>this.makeTensorFromDataId(e,t,n));if(c){let e=this.getTensorsForGradient(r,t,i);if(null==e){null==a&&(a=[]);const t=i.filter((e,t)=>a[t]);e=(o||[]).slice().concat(t)}l=this.saveTensorsForBackwardMode(e)}return i};else{const t=e=>{c&&(l=e.map(e=>this.keep(this.clone(e))))};p=()=>{const n=this.backend.numDataIds();m=this.tidy(()=>e(this.backend,t));const s=Array.isArray(m)?m:[m];return this.shouldCheckForMemLeaks()&&this.checkKernelForMemLeak(r,n,s),s}}return this.scopedRun(()=>this.state.kernelDepth++,()=>this.state.kernelDepth--,()=>{i=this.ENV.getBool("DEBUG")?this.profiler.profileKernel(r,t,()=>p()):p()}),c&&this.addTapeNode(r,t,i,n,l,s),this.state.profiling&&this.state.activeProfile.kernels.push({name:r,bytesAdded:this.state.numBytes-h,totalBytesSnapshot:this.state.numBytes,tensorsAdded:this.state.numTensors-d,totalTensorsSnapshot:this.state.numTensors,inputShapes:Object.keys(t).map(e=>t[e].shape),outputShapes:i.map(e=>e.shape)}),Array.isArray(m)?i:i[0]}saveTensorsForBackwardMode(e){return e.map(e=>this.keep(this.clone(e)))}getTensorsForGradient(e,t,n){const r=l(e);if(null!=r){const e=r.inputsToSave||[],s=r.outputsToSave||[];let o;r.saveAllInputs?(m(Array.isArray(t),()=>"saveAllInputs is true, expected inputs to be an array."),o=Object.keys(t).map(e=>t[e])):o=e.map(e=>t[e]);const a=n.filter((e,t)=>s[t]);return o.concat(a)}return null}makeTensor(e,t,n,r){if(null==e)throw new Error("Values passed to engine.makeTensor() are null");n=n||"float32",r=r||this.backend;let s=e;"string"===n&&B(e[0])&&(s=e.map(e=>V(e)));const o=r.write(s,t,n),a=new oe(t,n,o,this.nextTensorId());if(this.incRef(a,r),"string"===n){const e=this.state.tensorInfo.get(o),t=T(s);this.state.numBytes+=t-e.bytes,e.bytes=t}return a}makeTensorFromDataId(e,t,n,r){const s=new oe(t,n=n||"float32",e,this.nextTensorId());return this.incRef(s,r),s}makeVariable(e,t=!0,n,r){n=n||this.nextVariableId().toString(),null!=r&&r!==e.dtype&&(e=e.asType(r));const s=new ae(e,t,n,this.nextTensorId());if(null!=this.state.registeredVariables[s.name])throw new Error(`Variable with name ${s.name} was already registered`);return this.state.registeredVariables[s.name]=s,this.incRef(s,this.backend),s}incRef(e,t){const n=this.state.tensorInfo.has(e.dataId)?this.state.tensorInfo.get(e.dataId).refCount:0;if(this.state.numTensors++,"string"===e.dtype&&this.state.numStringTensors++,0===n){this.state.numDataBuffers++;let n=0;"complex64"!==e.dtype&&"string"!==e.dtype&&(n=e.size*_(e.dtype)),this.state.tensorInfo.set(e.dataId,{backend:t||this.backend,dtype:e.dtype,shape:e.shape,bytes:n,refCount:0}),this.state.numBytes+=n}this.state.tensorInfo.get(e.dataId).refCount++,e instanceof ae||this.track(e)}disposeTensor(e){if(!this.state.tensorInfo.has(e.dataId))return;this.state.numTensors--,"string"===e.dtype&&this.state.numStringTensors--;const t=this.state.tensorInfo.get(e.dataId);t.refCount<=1?("complex64"!==e.dtype&&(this.state.numBytes-=t.bytes),this.state.numDataBuffers--,t.backend.disposeData(e.dataId),this.state.tensorInfo.delete(e.dataId)):this.state.tensorInfo.get(e.dataId).refCount--}disposeVariables(){for(const e in this.state.registeredVariables){const t=this.state.registeredVariables[e];this.disposeVariable(t)}}disposeVariable(e){this.disposeTensor(e),null!=this.state.registeredVariables[e.name]&&delete this.state.registeredVariables[e.name]}memory(){const e=this.backend.memory();return e.numTensors=this.state.numTensors,e.numDataBuffers=this.state.numDataBuffers,e.numBytes=this.state.numBytes,this.state.numStringTensors>0&&(e.unreliable=!0,null==e.reasons&&(e.reasons=[]),e.reasons.push("Memory usage by string tensors is approximate (2 bytes per character)")),e}async profile(e){this.state.profiling=!0;const t=this.state.numBytes,n=this.state.numTensors;return this.state.activeProfile.kernels=[],this.state.activeProfile.result=e(),this.state.profiling=!1,this.state.activeProfile.peakBytes=Math.max(...this.state.activeProfile.kernels.map(e=>e.totalBytesSnapshot)),this.state.activeProfile.newBytes=this.state.numBytes-t,this.state.activeProfile.newTensors=this.state.numTensors-n,this.state.activeProfile}isTapeOn(){return this.state.gradientDepth>0&&0===this.state.kernelDepth}addTapeNode(e,t,n,r,s,o){const a={id:this.state.nextTapeNodeId++,kernelName:e,inputs:t,outputs:n,saved:s},i=l(e);null!=i&&(r=i.gradFunc),null!=r&&(a.gradient=e=>(e=e.map((e,t)=>{if(null==e){const e=n[t],r=G(e.size,e.dtype);return this.makeTensor(r,e.shape,e.dtype)}return e}),r(e.length>1?e:e[0],s,o))),this.state.activeTape.push(a)}keep(e){return e.kept=!0,e}startTape(){0===this.state.gradientDepth&&(this.state.activeTape=[]),this.state.gradientDepth++}endTape(){this.state.gradientDepth--}startScope(e){const t={track:[],name:"unnamed scope",id:this.state.nextScopeId++};e&&(t.name=e),this.state.scopeStack.push(t),this.state.activeScope=t}endScope(e){const t=ge(e),n=new Set(t.map(e=>e.id));for(let e=0;e<this.state.activeScope.track.length;e++){const t=this.state.activeScope.track[e];t.kept||n.has(t.id)||t.dispose()}const r=this.state.scopeStack.pop();this.state.activeScope=0===this.state.scopeStack.length?null:this.state.scopeStack[this.state.scopeStack.length-1],t.forEach(e=>{e.kept||e.scopeId!==r.id||this.track(e)})}gradients(e,t,n,r=!1){if(m(t.length>0,()=>"gradients() received an empty list of xs."),null!=n&&"float32"!==n.dtype)throw new Error(`dy must have 'float32' dtype, but has '${n.dtype}'`);const s=this.scopedRun(()=>this.startTape(),()=>this.endTape(),()=>this.tidy("forward",e));m(s instanceof oe,()=>"The result y returned by f() must be a tensor.");const o=function(e,t,n){const r={},s={};for(let e=0;e<t.length;e++)r[t[e].id]=!0;for(let n=0;n<e.length;n++){const o=e[n],a=o.inputs;for(const e in a){const n=a[e];let i=!1;for(let e=0;e<t.length;e++)if(r[n.id]){o.outputs.forEach(e=>r[e.id]=!0),i=!0,s[o.id]=!0;break}if(i)break}}const o={};o[n.id]=!0;const a={};for(let t=e.length-1;t>=0;t--){const n=e[t],r=n.inputs;for(let e=0;e<n.outputs.length;e++)if(o[n.outputs[e].id]){for(const e in r)o[r[e].id]=!0,a[n.id]=!0;break}}const i=[];for(let t=0;t<e.length;t++){const n=e[t];if(s[n.id]&&a[n.id]){const e={};for(const t in n.inputs){const s=n.inputs[t];r[s.id]&&(e[t]=s)}const t=Object.assign({},n);t.inputs=e,t.outputs=n.outputs,i.push(t)}}return i}(this.state.activeTape,t,s);if(!r&&0===o.length&&t.length>0)throw new Error("Cannot compute gradient of y=f(x) with respect to x. Make sure that the f you passed encloses all operations that lead from x to y.");return this.tidy("backward",()=>{const e={};e[s.id]=null==n?function(e){const t=K(y(e),"float32");return ke.makeTensor(t,e,"float32")}(s.shape):n,function(e,t,n){for(let r=t.length-1;r>=0;r--){const s=t[r],o=[];if(s.outputs.forEach(t=>{const n=e[t.id];null!=n?o.push(n):o.push(null)}),null==s.gradient)throw new Error(`Cannot compute gradient: gradient function not found for ${s.kernelName}.`);const a=s.gradient(o);for(const t in s.inputs){if(!(t in a))throw new Error(`Cannot backprop through input ${t}. Available gradients found: ${Object.keys(a)}.`);const r=n(()=>a[t]());if("float32"!==r.dtype)throw new Error(`Error in gradient for op ${s.kernelName}. The gradient of input ${t} must have 'float32' dtype, but has '${r.dtype}'`);const o=s.inputs[t];if(!k(r.shape,o.shape))throw new Error(`Error in gradient for op ${s.kernelName}. The gradient of input '${t}' has shape '${r.shape}', which does not match the shape of the input '${o.shape}'`);if(null==e[o.id])e[o.id]=r;else{const t=e[o.id];e[o.id]=t.add(r),t.dispose()}}}}(e,o,e=>this.tidy(e));const r=t.map(t=>e[t.id]);return 0===this.state.gradientDepth&&(this.state.activeTape.forEach(e=>{for(const t of e.saved)t.dispose()}),this.state.activeTape=null),{value:s,grads:r}})}customGrad(e){return m(q(e),()=>"The f passed in customGrad(f) must be a function."),(...t)=>{let n;m(t.every(e=>e instanceof oe),()=>"The args passed in customGrad(f)(x1, x2,...) must all be tensors");const r={};return t.forEach((e,t)=>{r[t]=e}),this.runKernelFunc((r,s)=>(n=e(...t,s),m(n.value instanceof oe,()=>"The function f passed in customGrad(f) must return an object where `obj.value` is a tensor"),m(q(n.gradFunc),()=>"The function f passed in customGrad(f) must return an object where `obj.gradFunc` is a function."),n.value),r,(e,r)=>{const s=n.gradFunc(e,r),o=Array.isArray(s)?s:[s];m(o.length===t.length,()=>"The function f passed in customGrad(f) must return an object where `obj.gradFunc` is a function that returns the same number of tensors as inputs passed to f(...)."),m(o.every(e=>e instanceof oe),()=>"The function f passed in customGrad(f) must return an object where `obj.gradFunc` is a function that returns a list of only tensors.");const a={};return o.forEach((e,t)=>{a[t]=()=>e}),a})}}readSync(e){return this.state.tensorInfo.get(e).backend.readSync(e)}read(e){return this.state.tensorInfo.get(e).backend.read(e)}async time(e){const t=U(),n=await this.backend.time(e);return n.wallMs=U()-t,n}track(e){return null!=this.state.activeScope&&(e.scopeId=this.state.activeScope.id,this.state.activeScope.track.push(e)),e}get registeredVariables(){return this.state.registeredVariables}reset(){this.pendingBackendInitId++,this.state.dispose(),this.ENV.reset(),this.state=new we;for(const e in this.registry)this.disposeRegisteredKernels(e),this.registry[e].dispose(),delete this.registry[e];this.backendName=null,this.backendInstance=null,this.pendingBackendInit=null}}ye.nextTensorId=0,ye.nextVariableId=0;const ke=function(){const n=s();if(null==n._tfengine){const e=new t(n);n._tfengine=new ye(e)}var r;return r=n._tfengine.ENV,e.ENV=r,re=()=>n._tfengine,n._tfengine}();function ve(){return"undefined"!=typeof window&&null!=window.document||"undefined"!=typeof WorkerGlobalScope}var xe=Object.freeze({__proto__:null,isMobile:function(){if("undefined"!=typeof navigator&&null!=navigator){const e=navigator.userAgent||navigator.vendor||window.opera;return/(android|bb\d+|meego).+mobile|avantgo|bada\/|blackberry|blazer|compal|elaine|fennec|hiptop|iemobile|ip(hone|od)|iris|kindle|lge |maemo|midp|mmp|mobile.+firefox|netfront|opera m(ob|in)i|palm( os)?|phone|p(ixi|re)\/|plucker|pocket|psp|series(4|6)0|symbian|treo|up\.(browser|link)|vodafone|wap|windows ce|xda|xiino/i.test(e)||/1207|6310|6590|3gso|4thp|50[1-6]i|770s|802s|a wa|abac|ac(er|oo|s\-)|ai(ko|rn)|al(av|ca|co)|amoi|an(ex|ny|yw)|aptu|ar(ch|go)|as(te|us)|attw|au(di|\-m|r |s )|avan|be(ck|ll|nq)|bi(lb|rd)|bl(ac|az)|br(e|v)w|bumb|bw\-(n|u)|c55\/|capi|ccwa|cdm\-|cell|chtm|cldc|cmd\-|co(mp|nd)|craw|da(it|ll|ng)|dbte|dc\-s|devi|dica|dmob|do(c|p)o|ds(12|\-d)|el(49|ai)|em(l2|ul)|er(ic|k0)|esl8|ez([4-7]0|os|wa|ze)|fetc|fly(\-|_)|g1 u|g560|gene|gf\-5|g\-mo|go(\.w|od)|gr(ad|un)|haie|hcit|hd\-(m|p|t)|hei\-|hi(pt|ta)|hp( i|ip)|hs\-c|ht(c(\-| |_|a|g|p|s|t)|tp)|hu(aw|tc)|i\-(20|go|ma)|i230|iac( |\-|\/)|ibro|idea|ig01|ikom|im1k|inno|ipaq|iris|ja(t|v)a|jbro|jemu|jigs|kddi|keji|kgt( |\/)|klon|kpt |kwc\-|kyo(c|k)|le(no|xi)|lg( g|\/(k|l|u)|50|54|\-[a-w])|libw|lynx|m1\-w|m3ga|m50\/|ma(te|ui|xo)|mc(01|21|ca)|m\-cr|me(rc|ri)|mi(o8|oa|ts)|mmef|mo(01|02|bi|de|do|t(\-| |o|v)|zz)|mt(50|p1|v )|mwbp|mywa|n10[0-2]|n20[2-3]|n30(0|2)|n50(0|2|5)|n7(0(0|1)|10)|ne((c|m)\-|on|tf|wf|wg|wt)|nok(6|i)|nzph|o2im|op(ti|wv)|oran|owg1|p800|pan(a|d|t)|pdxg|pg(13|\-([1-8]|c))|phil|pire|pl(ay|uc)|pn\-2|po(ck|rt|se)|prox|psio|pt\-g|qa\-a|qc(07|12|21|32|60|\-[2-7]|i\-)|qtek|r380|r600|raks|rim9|ro(ve|zo)|s55\/|sa(ge|ma|mm|ms|ny|va)|sc(01|h\-|oo|p\-)|sdk\/|se(c(\-|0|1)|47|mc|nd|ri)|sgh\-|shar|sie(\-|m)|sk\-0|sl(45|id)|sm(al|ar|b3|it|t5)|so(ft|ny)|sp(01|h\-|v\-|v )|sy(01|mb)|t2(18|50)|t6(00|10|18)|ta(gt|lk)|tcl\-|tdg\-|tel(i|m)|tim\-|t\-mo|to(pl|sh)|ts(70|m\-|m3|m5)|tx\-9|up(\.b|g1|si)|utst|v400|v750|veri|vi(rg|te)|vk(40|5[0-3]|\-v)|vm40|voda|vulc|vx(52|53|60|61|70|80|81|83|85|98)|w3c(\-| )|webc|whit|wi(g |nc|nw)|wmlb|wonu|x700|yas\-|your|zeto|zte\-/i.test(e.substr(0,4))}return!1},isBrowser:ve});const Ee=n();Ee.registerFlag("DEBUG",()=>!1,e=>{e&&console.warn("Debugging mode is ON. The output of every math call will be downloaded to CPU and checked for NaNs. This significantly impacts performance.")}),Ee.registerFlag("IS_BROWSER",()=>ve()),Ee.registerFlag("IS_NODE",()=>"undefined"!=typeof process&&void 0!==process.versions&&void 0!==process.versions.node),Ee.registerFlag("IS_CHROME",()=>"undefined"!=typeof navigator&&null!=navigator&&null!=navigator.userAgent&&/Chrome/.test(navigator.userAgent)&&/Google Inc/.test(navigator.vendor)),Ee.registerFlag("PROD",()=>!1),Ee.registerFlag("TENSORLIKE_CHECK_SHAPE_CONSISTENCY",()=>Ee.getBool("DEBUG")),Ee.registerFlag("DEPRECATION_WARNINGS_ENABLED",()=>!0),Ee.registerFlag("IS_TEST",()=>!1);function Se(e,t){const n=[];for(let r=0;r<t.length;r++){const s=e[e.length-r-1],o=t.length-r-1,a=t[o];(null==s||1===s&&a>1)&&n.unshift(o)}return n}function De(e,t){const n=[],r=Math.max(e.length,t.length);for(let s=0;s<r;s++){let r=e[e.length-s-1];null==r&&(r=1);let o=t[t.length-s-1];if(null==o&&(o=1),1===r)n.unshift(o);else if(1===o)n.unshift(r);else{if(r!==o){throw Error(`Operands could not be broadcast together with shapes ${e} and ${t}.`)}n.unshift(r)}}return n}const Ie={kernelName:"Add",inputsToSave:["a","b"],gradFunc:(e,t)=>{const[n,r]=t,s=De(n.shape,r.shape);return{a:()=>{let t=e;const r=Se(n.shape,s);return r.length>0&&(t=t.sum(r)),t.reshape(n.shape)},b:()=>{let t=e;const n=Se(r.shape,s);return n.length>0&&(t=t.sum(n)),t.reshape(r.shape)}}}},Ne={kernelName:"AddN",saveAllInputs:!0,gradFunc:(e,t)=>{const n={};return t.forEach((t,r)=>{n[r]=()=>e.clone()}),n}};function $e(e,t){let r=e;if(A(e))return"string"===t?[]:[e.length];if(!Array.isArray(e))return[];const s=[];for(;Array.isArray(r)||A(r)&&"string"!==t;)s.push(r.length),r=r[0];return Array.isArray(e)&&n().getBool("TENSORLIKE_CHECK_SHAPE_CONSISTENCY")&&function e(t,n,r){if(r=r||[],!Array.isArray(t)&&!A(t))return void m(0===n.length,()=>`Element arr[${r.join("][")}] is a primitive, but should be an array/TypedArray of ${n[0]} elements`);m(n.length>0,()=>`Element arr[${r.join("][")}] should be a primitive, but is an array of ${t.length} elements`),m(t.length===n[0],()=>`Element arr[${r.join("][")}] should have ${n[0]} elements, but has ${t.length} elements`);const s=n.slice(1);for(let n=0;n<t.length;++n)e(t[n],s,r.concat(n))}(e,s,[]),s}function Fe(e,t,n,r){if(null!=e&&("numeric"!==e&&e!==t||"numeric"===e&&"string"===t))throw new Error(`Argument '${n}' passed to '${r}' must be ${e} tensor, but got ${t} tensor`)}function Me(e,t,r,s="numeric"){if(e instanceof oe)return Fe(s,e.dtype,t,r),e;let o=P(e);if("string"!==o&&["bool","int32","float32"].indexOf(s)>=0&&(o=s),Fe(s,o,t,r),null==e||!A(e)&&!Array.isArray(e)&&"number"!=typeof e&&"boolean"!=typeof e&&"string"!=typeof e){const n=null==e?"null":e.constructor.name;throw new Error(`Argument '${t}' passed to '${r}' must be a Tensor or TensorLike, but got '${n}'`)}const a=$e(e,o);A(e)||Array.isArray(e)||(e=[e]);const i="string"!==o?O(e,o,n().getBool("DEBUG")):w(e,[],!0);return ke.makeTensor(i,a,o)}function Ae(e,t,n,r="numeric"){if(!Array.isArray(e))throw new Error(`Argument ${t} passed to ${n} must be a \`Tensor[]\` or \`TensorLike[]\``);return e.map((e,r)=>Me(e,`${t}[${r}]`,n),r)}function _e(e){const t=Object.keys(e);if(1!==t.length)throw new Error("Please provide an object with a single key (operation name) mapping to a function. Got an object with "+t.length+" keys.");let n=t[0];const r=e[n];n.endsWith("_")&&(n=n.substring(0,n.length-1));const s=(...e)=>{ke.startScope(n);try{const t=r(...e);return t instanceof Promise&&console.error("Cannot return a Promise inside of tidy."),ke.endScope(t),t}catch(e){throw ke.endScope(null),e}};return Object.defineProperty(s,"name",{value:n,configurable:!0}),s}const Te=_e({add_:function(e,t){let n=Me(e,"a","add"),r=Me(t,"b","add");[n,r]=fe(n,r);const s={a:n,b:r};return ke.runKernelFunc((e,t)=>{const s=e.add(n,r);return t([n,r]),s},s,null,"Add")}});function Be(e,t){const n=e[0].length;e.forEach((e,t)=>{m(e.length===n,()=>`Error in concat${n}D: rank of tensors[${t}] must be the same as the rank of the rest (${n})`)}),m(t>=0&&t<n,()=>`Error in concat${n}D: axis must be between 0 and ${n-1}.`);const r=e[0];e.forEach((e,s)=>{for(let o=0;o<n;o++)m(o===t||e[o]===r[o],()=>`Error in concat${n}D: Shape of tensors[${s}] (${e}) does not match the shape of the rest (${r}) along the non-concatenated axis ${s}.`)})}function Ce(e,t){const n=e[0].slice();for(let r=1;r<e.length;r++)n[t]+=e[r][t];return n}const Re=_e({complex_:function(e,t){const n=Me(e,"real","complex"),r=Me(t,"imag","complex");g(n.shape,r.shape,`real and imag shapes, ${n.shape} and ${r.shape}, must match in call to tf.complex().`);const s={real:n,imag:r};return ke.runKernelFunc(e=>e.complex(n,r),s,null,"Complex")}});const Pe=_e({imag_:function(e){const t=Me(e,"input","imag"),n={input:t};return ke.runKernelFunc(e=>e.imag(t),n,null,"Imag")}});const qe=_e({real_:function(e){const t=Me(e,"input","real"),n={input:t};return ke.runKernelFunc(e=>e.real(t),n,null,"Real")}});function ze(e,t,n){return Le(e,t,$e(e,n),n)}function Le(e,t,r,s){if(null==s&&(s=P(e)),"complex64"===s)throw new Error("Cannot construct a complex64 tensor directly. Please use tf.complex(real, imag).");if(!A(e)&&!Array.isArray(e)&&"number"!=typeof e&&"boolean"!=typeof e&&"string"!=typeof e)throw new Error("values passed to tensor(values) must be a number/boolean/string or an array of numbers/booleans/strings, or a TypedArray");if(null!=t){H(t);const e=y(t),n=y(r);m(e===n,()=>`Based on the provided shape, [${t}], the tensor should have ${e} values but has ${n}`);for(let e=0;e<r.length;++e){const n=r[e],s=e!==r.length-1||n!==y(t.slice(e));m(r[e]===t[e]||!s,()=>`Error creating a new Tensor. Inferred shape (${r}) does not match the provided shape (${t}). `)}}return A(e)||Array.isArray(e)||(e=[e]),t=t||r,e="string"!==s?O(e,s,n().getBool("DEBUG")):w(e,[],!0),ke.makeTensor(e,t,s)}function Oe(e,t){if((A(e)&&"string"!==t||Array.isArray(e))&&"complex64"!==t)throw new Error("Error creating a new Scalar: value must be a primitive (number|boolean|string)");if("string"===t&&A(e)&&!(e instanceof Uint8Array))throw new Error("When making a scalar from encoded string, the value must be `Uint8Array`.");return Le(e,[],[],t)}function We(e,t){b(e);const n=$e(e,t);if(1!==n.length)throw new Error("tensor1d() requires values to be a flat/TypedArray");return Le(e,null,n,t)}function Ke(e,t,n){if(b(e),null!=t&&2!==t.length)throw new Error("tensor2d() requires shape to have two numbers");const r=$e(e,n);if(2!==r.length&&1!==r.length)throw new Error("tensor2d() requires values to be number[][] or flat/TypedArray");if(1===r.length&&null==t)throw new Error("tensor2d() requires shape to be provided when `values` are a flat/TypedArray");return Le(e,t,r,n)}function Ge(e,t,n){if(b(e),null!=t&&3!==t.length)throw new Error("tensor3d() requires shape to have three numbers");const r=$e(e,n);if(3!==r.length&&1!==r.length)throw new Error("tensor3d() requires values to be number[][][] or flat/TypedArray");if(1===r.length&&null==t)throw new Error("tensor3d() requires shape to be provided when `values` are a flat array");return Le(e,t,r,n)}function Ue(e,t,n){if(b(e),null!=t&&4!==t.length)throw new Error("tensor4d() requires shape to have four numbers");const r=$e(e,n);if(4!==r.length&&1!==r.length)throw new Error("tensor4d() requires values to be number[][][][] or flat/TypedArray");if(1===r.length&&null==t)throw new Error("tensor4d() requires shape to be provided when `values` are a flat array");return Le(e,t,r,n)}function He(e,t,n){if(b(e),null!=t&&5!==t.length)throw new Error("tensor5d() requires shape to have five numbers");const r=$e(e,n);if(5!==r.length&&1!==r.length)throw new Error("tensor5d() requires values to be number[][][][][] or flat/TypedArray");if(1===r.length&&null==t)throw new Error("tensor5d() requires shape to be provided when `values` are a flat array");return Le(e,t,r,n)}function Ve(e,t,n){if(b(e),null!=t&&6!==t.length)throw new Error("tensor6d() requires shape to have six numbers");const r=$e(e,n);if(6!==r.length&&1!==r.length)throw new Error("tensor6d() requires values to be number[][][][][][] or flat/TypedArray");if(1===r.length&&null==t)throw new Error("tensor6d() requires shape to be provided when `values` are a flat array");return Le(e,t=t||r,r,n)}function je(e,t=!0,n,r){return ke.makeVariable(e,t,n,r)}function Je(e,t="float32"){if("complex64"===t){const t=Je(e,"float32"),n=Ye(e,"float32");return Re(t,n)}const n=K(y(e),t);return ke.makeTensor(n,e,t)}function Ye(e,t="float32"){if("complex64"===t){const t=Ye(e,"float32"),n=Ye(e,"float32");return Re(t,n)}const n=G(y(e),t);return ke.makeTensor(n,e,t)}function Xe(e,t,n){if(n<=0)throw new Error("The number of values should be positive.");return ke.runKernelFunc(r=>r.linspace(e,t,n),{})}function Ze(e,t,n=1,r="float32"){if(0===n)throw new Error("Cannot have a step of zero");if(e===t||e<t&&n<0||t<e&&n>1)return Ye([0],r);const s=G(Math.abs(Math.ceil((t-e)/n)),r);t<e&&1===n&&(n=-1),s[0]=e;for(let e=1;e<s.length;e++)s[e]=s[e-1]+n;return We(s,r)}const Qe=_e({onesLike_:function(e){const t=Me(e,"x","onesLike");if("complex64"===t.dtype){const e=Qe(qe(t)),n=et(Pe(t));return Re(e,n)}return ke.runKernelFunc(e=>e.onesLike(t),{x:t},(e,t)=>({x:()=>et(e)}),"OnesLike")}}),et=_e({zerosLike_:function(e){const t=Me(e,"x","zerosLike");return ke.runKernelFunc(e=>e.zerosLike(t),{x:t},(e,t)=>({x:()=>et(e)}),"ZerosLike")}});const tt=_e({concat_:function(e,t=0){m(e.length>=1,()=>"Pass at least one tensor to concat");let n=Ae(e,"tensors","concat");"complex64"===n[0].dtype&&n.forEach(e=>{if("complex64"!==e.dtype)throw new Error(`Cannot concatenate complex64 tensors with a tensor\n          with dtype ${e.dtype}. `)});const r=S(t,n[0].shape)[0],s=Ce(n.map(e=>e.shape),r);if(0===y(s))return ze([],s);if(n=n.filter(e=>e.size>0),1===n.length)return n[0];Be(n.map(e=>e.shape),r);const o=n,a={axis:t};return ke.runKernelFunc((e,t)=>{const s=e.concat(n,r);return t(n),s},o,null,"Concat",a)}});function nt(e,t="float32",n){return t=t||"float32",H(e),new ne(e,t,n)}function rt(e,t=!1){console.log(e.toString(t))}const st=_e({cast_:function(e,t){const n=Me(e,"x","cast");if(!F(t))throw new Error("Failed to cast to unknown dtype "+t);if("string"===t&&"string"!==n.dtype||"string"!==t&&"string"===n.dtype)throw new Error("Only strings can be casted to strings");const r={dtype:t};return ke.runKernelFunc(e=>e.cast(n,t),{x:n},e=>({x:()=>e.clone()}),"Cast",r)}}),ot=_e({expandDims_:function(e,t=0){const n=Me(e,"x","expandDims",null);m(t<=n.rank,()=>"Axis must be <= rank of the tensor");const r=n.shape.slice();return t<0&&(m(-(n.rank+1)<=t,()=>`Axis must be in the interval [${-(n.rank+1)}, ${n.rank}]`),t=n.rank+t+1),r.splice(t,0,1),at(n,r)}}),at=_e({reshape_:function(e,t){const n=Me(e,"x","reshape",null);t=E(t,n.size),m(n.size===y(t),()=>"new shape and old shape must have the same number of elements.");const r={shape:t};return ke.runKernelFunc(e=>e.reshape(n,t),{x:n},e=>({x:()=>e.reshape(n.shape)}),"Reshape",r)}}),it=_e({squeeze_:function(e,t){const n=Me(e,"x","squeeze");return at(n,D(n.shape,t).newShape)}}),ut=_e({stack_:function(e,t=0){const n=Ae(e,"tensors","stack");if(m(n.length>=1,()=>"Pass at least one tensor to tf.stack"),1===n.length)return n[0].expandDims(t);const r=n[0].rank,s=n[0].shape,o=n[0].dtype;m(t<=r,()=>"Axis must be <= rank of the tensor"),n.forEach(e=>{g(s,e.shape,"All tensors passed to stack must have matching shapes")}),n.forEach(e=>{m(o===e.dtype,()=>"All tensors passed to stack must have matching dtypes")});const a=n.map(e=>e.expandDims(t));return tt(a,t)}}),lt=_e({unstack_:function(e,t=0){t=t||0;const n=Me(e,"x","unstack");m(t>=-n.shape.length&&t<n.shape.length,()=>`Axis = ${t} is not in [-${n.shape.length}, ${n.shape.length})`),t<0&&(t+=n.shape.length);const r={axis:t};return ke.runKernelFunc(e=>e.unstack(n,t),{x:n},e=>({x:()=>ut(e,t)}),"Unpack",r)}}),ct=async function(e,t){const n=Me(e,"x","setdiff1d"),r=Me(t,"y","setdiff1d");m(n.dtype===r.dtype,()=>`x and y should have the same dtype, but got x (${n.dtype}) and y (${r.dtype}).`),m(1===n.rank,()=>`x should be 1D tensor, but got x (${n.shape}).`),m(1===r.rank,()=>`y should be 1D tensor, but got y (${r.shape}).`);const s=await n.data(),o=await r.data(),a=new Set(o);let i=0;for(let e=0;e<s.length;e++)a.has(s[e])||i++;const u=new ne([i],n.dtype),l=new ne([i],"int32");for(let e=0,t=0;e<s.length;e++)a.has(s[e])||(u.values[t]=s[e],l.values[t]=e,t++);return[u.toTensor(),l.toTensor()]};const ht=_e({floorDiv_:function(e,t){let n=Me(e,"a","floorDiv"),r=Me(t,"b","floorDiv");[n,r]=fe(n,r);const s={a:n,b:r};return ke.runKernelFunc((e,t)=>{const s=e.floorDiv(n,r);return t([n,r]),s},s,null,"FloorDiv")}});const dt=_e({div_:function(e,t){let n=Me(e,"a","div"),r=Me(t,"b","div");if([n,r]=fe(n,r),"int32"===n.dtype&&"int32"===r.dtype)return ht(n,r);const s={a:n,b:r};return ke.runKernelFunc((e,t)=>{const s=e.realDivide(n,r);return t([n,r]),s},s,null,"Div",{})}});const pt=_e({mul_:function(e,t){let n=Me(e,"a","mul"),r=Me(t,"b","mul");[n,r]=fe(n,r);const s={a:n,b:r};return ke.runKernelFunc((e,t)=>{const s=e.multiply(n,r);return t([n,r]),s},s,null,"Multiply")}});function ft(e,t){m(q(e),()=>"The f passed in variableGrads(f) must be a function"),m(null==t||Array.isArray(t)&&t.every(e=>e instanceof ae),()=>"The varList passed in variableGrads(f, varList) must be an array of variables");const n=null!=t;if(!n){t=[];for(const e in ke.registeredVariables)t.push(ke.registeredVariables[e])}const r=n?t.filter(e=>!e.trainable):null,s=t.length;m((t=t.filter(e=>e.trainable)).length>0,()=>`variableGrads() expects at least one of the input variables to be trainable, but none of the ${s} variables is trainable.`);const{value:o,grads:a}=ke.gradients(e,t,null,!0);m(a.some(e=>null!=e),()=>"Cannot find a connection between any variable and the result of the loss function y=f(x). Please make sure the operations that use variables are inside the function f passed to minimize()."),m(0===o.rank,()=>`The f passed in variableGrads(f) must return a scalar, but it returned a rank-${o.rank} tensor`);const i={};return t.forEach((e,t)=>{null!=a[t]&&(i[e.name]=a[t])}),null!=r&&r.forEach(e=>i[e.name]=null),{value:o,grads:i}}function mt(e){return ke.customGrad(e)}function gt(e){if(e.filter(e=>null==e).length>0)throw new Error("Cannot compute gradient of y=f(x) with respect to x. Make sure that\n    the f you passed encloses all operations that lead from x to y.")}function bt(e,t){for(let n=0;n<e.length;++n)if(e[e.length-n-1]!==t-1-n)return!1;return!0}function wt(e,t,n){const r=e.length+t.length,s=[];let o=0,a=0;for(let i=0;i<r;i++)-1===n.indexOf(i)?s.push(e[o++]):s.push(t[a++]);return s}function yt(e,t){const n=[],r=e.length;for(let s=0;s<r;s++)-1===t.indexOf(s)&&n.push(e[s]);return[n,t.map(t=>e[t])]}function kt(e,t){return wt(e,t.map(e=>1),t)}function vt(e,t){if(bt(e,t))return null;const n=[];for(let r=0;r<t;++r)-1===e.indexOf(r)&&n.push(r);return e.forEach(e=>n.push(e)),n}function xt(e){return e.map((e,t)=>[t,e]).sort((e,t)=>e[1]-t[1]).map(e=>e[0])}function Et(e,t){const n=[];for(let r=t-e;r<t;++r)n.push(r);return n}function St(e,t,n,r,s){return t.rank<n.rank&&(t=t.reshape(kt(t.shape,r))),e.rank<n.rank&&(e=e.reshape(kt(e.shape,r))),{x:()=>{const r=e.mul(n.equal(t).cast(e.dtype));return null==s?r:r.transpose(s)}}}const Dt=_e({all_:function(e,t=null,n=!1){let r=Me(e,"x","all","bool");const s=S(t,r.shape);let o=s;const a=vt(o,r.rank);null!=a&&(r=r.transpose(a),o=Et(o.length,r.rank));const i=ke.runKernelFunc(e=>e.all(r,o),{$x:r});if(n){const e=kt(i.shape,s);return i.reshape(e)}return i}}),It=_e({any_:function(e,t=null,n=!1){let r=Me(e,"x","any","bool");const s=S(t,r.shape);let o=s;const a=vt(o,r.rank);null!=a&&(r=r.transpose(a),o=Et(o.length,r.rank));const i=ke.runKernelFunc(e=>e.any(r,o),{$x:r});if(n){const e=kt(i.shape,s);return i.reshape(e)}return i}}),Nt=_e({argMax_:function(e,t=0){let n=Me(e,"x","argMax");null==t&&(t=0);let r=S(t,n.shape);const s=vt(r,n.rank);null!=s&&(n=n.transpose(s),r=Et(r.length,n.rank));const o={axis:r[0]},a=[n];return ke.runKernelFunc((e,t)=>{const s=e.argMax(n,r[0]);return t([n]),s},{x:n},(e,t)=>{const[n]=t;return{x:()=>et(n)}},"ArgMax",o,a)}}),$t=_e({argMin_:function(e,t=0){let n=Me(e,"x","argMin");null==t&&(t=0);let r=S(t,n.shape);const s=vt(r,n.rank);return null!=s&&(n=n.transpose(s),r=Et(r.length,n.rank)),ke.runKernelFunc((e,t)=>{const s=e.argMin(n,r[0]);return t([n]),s},{$x:n},(e,t)=>{const[n]=t;return{$x:()=>et(n)}})}}),Ft=_e({logSumExp_:function(e,t=null,n=!1){const r=Me(e,"x","logSumExp"),s=S(t,r.shape),o=r.max(s,!0),a=r.sub(o).exp().sum(s).log(),i=o.reshape(a.shape).add(a);if(n){const e=kt(i.shape,s);return i.reshape(e)}return i}}),Mt=_e({mean_:function(e,t=null,n=!1){const r=Me(e,"x","mean"),s=S(t,r.shape),o=y(yt(r.shape,s)[1]);return mt(e=>{const r=Oe(o);return{value:(r.dtype===e.dtype?e:e.cast(r.dtype)).div(r).sum(t,n),gradFunc:t=>{const n=e.shape.slice();return s.forEach(e=>{n[e]=1}),t.reshape(n).mul(Je(e.shape,"float32")).div(o)}}})(r)}}),At=_e({min_:function(e,t=null,n=!1){let r=Me(e,"x","min");const s=r,o=S(t,r.shape);let a=o;const i=vt(a,r.rank);null!=i&&(r=r.transpose(i),a=Et(a.length,r.rank));const u=[r];let l=ke.runKernelFunc((e,t)=>{const n=e.min(r,a);return t([s,n]),n},{x:r},(e,t)=>St(e,t[1],t[0],o,i),"Min",{axes:a},u,[!0]);if(n){const e=kt(l.shape,o);l=l.reshape(e)}return l}}),_t=_e({moments_:function(e,t=null,n=!1){const r=S(t,(e=Me(e,"x","moments")).shape),s=e.mean(r,n);let o=s.shape;n||(o=kt(s.shape,r));const a=e.toFloat().sub(s.reshape(o)).square();return{mean:s,variance:a.mean(r,n)}}}),Tt=_e({sum_:function(e,t=null,n=!1){let r=Me(e,"x","sum");"bool"===r.dtype&&(r=r.toInt());const s=S(t,r.shape);return mt(e=>{const t=vt(s,e.rank);let r=s,o=e;null!=t&&(o=e.transpose(t),r=Et(r.length,e.rank));const a=t=>{const n=e.shape.slice();return s.forEach(e=>{n[e]=1}),t.reshape(n).mul(Je(e.shape,"float32"))},i={axes:r};let u=ke.runKernelFunc(e=>e.sum(o,r),{x:o},e=>({x:()=>a(e)}),"Sum",i);if(n){const e=kt(u.shape,s);u=u.reshape(e)}return{value:u,gradFunc:a}})(r)}}),Bt=_e({prod_:function(e,t=null,n=!1){let r=Me(e,"x","prod");"bool"===r.dtype&&(r=r.toInt());const s=S(t,r.shape),o=vt(s,r.rank);let a=s,i=r;null!=o&&(i=r.transpose(o),a=Et(a.length,r.rank));let u=ke.runKernelFunc(e=>e.prod(i,a),{permutedX:i});if(n){const e=kt(u.shape,s);u=u.reshape(e)}return u}});const Ct=_e({square_:function(e){const t=Me(e,"x","square"),n=[t];return ke.runKernelFunc((e,n)=>(n([t]),e.square(t)),{x:t},null,"Square",{},n,[])}});const Rt=_e({abs_:function(e){const t=Me(e,"x","abs");return"complex64"===t.dtype?ke.runKernelFunc(e=>e.complexAbs(t),{$x:t}):ke.runKernelFunc((e,n)=>{const r=e.abs(t);return n([t]),r},{x:t},(e,t)=>{const[n]=t;return{x:()=>e.mul(n.toFloat().step(-1))}},"Abs")}}),Pt=_e({acos_:function(e){const t=Me(e,"x","acos");return ke.runKernelFunc((e,n)=>{const r=e.acos(t);return n([t]),r},{$x:t},(e,t)=>{const[n]=t;return{$x:()=>{const t=n.toFloat().square(),r=Oe(1).sub(t).sqrt();return e.div(r).neg()}}})}}),qt=_e({acosh_:function(e){const t=Me(e,"x","acosh");return ke.runKernelFunc((e,n)=>{const r=e.acosh(t);return n([t]),r},{$x:t},(e,t)=>{const[n]=t;return{$x:()=>{const t=n.toFloat().square().sub(1).sqrt();return e.div(t)}}})}}),zt=_e({asin_:function(e){const t=Me(e,"x","asin");return ke.runKernelFunc((e,n)=>{const r=e.asin(t);return n([t]),r},{$x:t},(e,t)=>{const[n]=t;return{$x:()=>e.div(Oe(1).sub(n.toFloat().square()).sqrt())}})}}),Lt=_e({asinh_:function(e){const t=Me(e,"x","asinh");return ke.runKernelFunc((e,n)=>{const r=e.asinh(t);return n([t]),r},{$x:t},(e,t)=>{const[n]=t;return{$x:()=>{const t=Oe(1).add(n.toFloat().square()).sqrt();return e.div(t)}}})}}),Ot=_e({atan_:function(e){const t=Me(e,"x","atan");return ke.runKernelFunc((e,n)=>{const r=e.atan(t);return n([t]),r},{$x:t},(e,t)=>{const[n]=t;return{$x:()=>e.div(n.toFloat().square().add(1))}})}}),Wt=_e({atanh_:function(e){const t=Me(e,"x","atanh");return ke.runKernelFunc((e,n)=>{const r=e.atanh(t);return n([t]),r},{$x:t},(e,t)=>{const[n]=t;return{$x:()=>e.div(Oe(1).sub(n.toFloat().square()))}})}}),Kt=_e({ceil_:function(e){const t=Me(e,"x","ceil");return ke.runKernelFunc(e=>e.ceil(t),{$x:t},e=>({$x:()=>et(e)}))}}),Gt=_e({clipByValue_:function(e,t,n){const r=Me(e,"x","clipByValue");m(t<=n,()=>`Error in clip: min (${t}) must be less than or equal to max (${n}).`);const s=[r],o={min:t,max:n};return ke.runKernelFunc((e,s)=>{const o=e.clip(r,t,n);return s([r]),o},{x:r},(e,r)=>{const[s]=r;return{x:()=>e.where(s.greaterEqual(t).logicalAnd(s.lessEqual(n)),et(e))}},"ClipByValue",o,s)}}),Ut=_e({cos_:function(e){const t=Me(e,"x","cos"),n=[t];return ke.runKernelFunc((e,n)=>{const r=e.cos(t);return n([t]),r},{x:t},(e,t)=>{const[n]=t;return{x:()=>n.toFloat().sin().neg().mul(e)}},"Cos",{},n)}}),Ht=_e({cosh_:function(e){const t=Me(e,"x","cosh");return ke.runKernelFunc((e,n)=>{const r=e.cosh(t);return n([t]),r},{$x:t},(e,t)=>{const[n]=t;return{$x:()=>n.toFloat().sinh().mul(e)}})}}),Vt=_e({erf_:function(e){let t=Me(e,"x","erf");return m("int32"===t.dtype||"float32"===t.dtype,()=>"Input dtype must be `int32` or `float32`."),"int32"===t.dtype&&(t=t.toFloat()),ke.runKernelFunc((e,n)=>{const r=e.erf(t);return n([t]),r},{$x:t},(e,t)=>{const[n]=t;return{$x:()=>e.mul(n.square().neg().exp().mul(2/Math.sqrt(Math.PI)))}})}}),jt=_e({exp_:function(e){const t=Me(e,"x","exp");return ke.runKernelFunc((e,n)=>{const r=e.exp(t);return n([r]),r},{x:t},(e,t)=>({x:()=>e.mul(t[0])}),"Exp",{},[],[!0])}}),Jt=_e({expm1_:function(e){const t=Me(e,"x","expm1");return ke.runKernelFunc((e,n)=>{const r=e.expm1(t);return n([t]),r},{$x:t},(e,t)=>{const[n]=t;return{$x:()=>e.mul(n.exp())}})}}),Yt=_e({floor_:function(e){const t=Me(e,"x","floor");return ke.runKernelFunc(e=>e.floor(t),{$x:t},e=>({$x:()=>et(e)}))}}),Xt=_e({log_:function(e){const t=Me(e,"x","log"),n=[t];return ke.runKernelFunc((e,n)=>{const r=e.log(t);return n([t]),r},{x:t},(e,t)=>{const[n]=t;return{x:()=>e.div(n.toFloat())}},"Log",{},n)}}),Zt=_e({log1p_:function(e){const t=Me(e,"x","log1p");return ke.runKernelFunc((e,n)=>{const r=e.log1p(t);return n([t]),r},{$x:t},(e,t)=>{const[n]=t;return{$x:()=>e.div(n.add(1))}})}}),Qt=_e({logSigmoid_:function(e){const t=Me(e,"x","logSigmoid");return ke.runKernelFunc((e,n)=>{const r=e.softplus(t.neg()).neg();return n([t]),r},{$x:t},(e,t)=>{const[n]=t;return{$x:()=>e.mul(n.neg().sigmoid())}})}}),en=_e({neg_:function(e){const t=Me(e,"x","neg"),n=[t];return ke.runKernelFunc(e=>e.neg(t),{x:t},e=>({x:()=>e.neg()}),"Neg",{},n)}}),tn=_e({reciprocal_:function(e){const t=Me(e,"x","reciprocal");return ke.runKernelFunc((e,n)=>{const r=e.reciprocal(t);return n([t]),r},{$x:t},(e,t)=>{const[n]=t;return{$x:()=>e.div(n.square().neg())}})}}),nn=_e({round_:function(e){const t=Me(e,"x","round");return ke.runKernelFunc(e=>e.round(t),{$x:t},e=>({$x:()=>et(e)}))}}),rn=_e({rsqrt_:function(e){const t=Me(e,"x","rsqrt"),n=[t];return ke.runKernelFunc((e,n)=>{const r=e.rsqrt(t);return n([t]),r},{x:t},(e,t)=>{const[n]=t;return{x:()=>e.div(n.pow(1.5).mul(2)).neg()}},"Rsqrt",{},n)}}),sn=_e({sigmoid_:function(e){const t=Me(e,"x","sigmoid");return ke.runKernelFunc((e,n)=>{const r=e.sigmoid(t);return n([r]),r},{x:t},(e,t)=>{const[n]=t;return{x:()=>e.mul(n.mul(Oe(1).sub(n)))}},"Sigmoid")}}),on=_e({sign_:function(e){const t=Me(e,"x","sign");return ke.runKernelFunc(e=>e.sign(t),{$x:t},e=>({$x:()=>et(e)}))}}),an=_e({isNaN_:function(e){const t=Me(e,"x","isNaN");return ke.runKernelFunc(e=>e.isNaN(t),{$x:t},e=>({$x:()=>et(e)}))}}),un=_e({isInf_:function(e){const t=Me(e,"x","isInf");return ke.runKernelFunc(e=>e.isInf(t),{$x:t},e=>({$x:()=>et(e)}))}}),ln=_e({isFinite_:function(e){const t=Me(e,"x","isFinite");return ke.runKernelFunc(e=>e.isFinite(t),{$x:t},e=>({$x:()=>et(e)}))}}),cn=_e({sin_:function(e){const t=Me(e,"x","sin"),n=[t];return ke.runKernelFunc((e,n)=>{const r=e.sin(t);return n([t]),r},{x:t},(e,t)=>{const[n]=t;return{x:()=>n.toFloat().cos().mul(e)}},"Sin",{},n)}}),hn=_e({sinh_:function(e){const t=Me(e,"x","sinh");return ke.runKernelFunc((e,n)=>{const r=e.sinh(t);return n([t]),r},{$x:t},(e,t)=>{const[n]=t;return{$x:()=>n.toFloat().cosh().mul(e)}})}}),dn=_e({softplus_:function(e){const t=Me(e,"x","softplus");return ke.runKernelFunc((e,n)=>{const r=e.softplus(t);return n([t]),r},{$x:t},(e,t)=>{const[n]=t;return{$x:()=>e.mul(n.sigmoid())}})}}),pn=_e({sqrt_:function(e){const t=Me(e,"x","sqrt");return ke.runKernelFunc((e,n)=>{const r=e.sqrt(t);return n([t]),r},{x:t},(e,t)=>{const[n]=t;return{x:()=>e.div(n.toFloat().sqrt().mul(2))}},"Sqrt",{})}}),fn=_e({step_:function(e,t=0){const n=Me(e,"x","step");return ke.runKernelFunc(e=>e.step(n,t),{$x:n},e=>({$x:()=>et(e)}))}}),mn=_e({tan_:function(e){const t=Me(e,"x","tan");return ke.runKernelFunc((e,n)=>{const r=e.tan(t);return n([t]),r},{$x:t},(e,t)=>{const[n]=t;return{$x:()=>e.div(n.cos().square())}})}}),gn=_e({tanh_:function(e){const t=Me(e,"x","tanh");return ke.runKernelFunc((e,n)=>{const r=e.tanh(t);return n([r]),r},{x:t},(e,t)=>{const[n]=t;return{x:()=>Oe(1).sub(n.square()).mul(e)}},"Tanh",{},null,[!0])}}),bn={kernelName:"Atan2",inputsToSave:["a","b"],gradFunc:(e,t)=>{const[n,r]=t,s=De(n.shape,r.shape);return{a:()=>{const t=Te(Ct(n),Ct(r));let o=pt(e,dt(r,t));const a=Se(n.shape,s);return a.length>0&&(o=Tt(o,a)),at(o,n.shape)},b:()=>{const t=Te(Ct(n),Ct(r));let o=en(pt(e,dt(n,t)));const a=Se(r.shape,s);return a.length>0&&(o=Tt(o,a)),at(o,r.shape)}}}};function wn(e,t,n,r,s,o,a="channelsLast"){const[i,u]=En(t);let l;if("channelsLast"===a)l=[i,u,e[3],e[3]];else{if("channelsFirst"!==a)throw new Error("Unknown dataFormat "+a);l=[i,u,e[1],e[1]]}return kn(e,l,n,r,s,o,!1,a)}function yn(e,t,n,r,s,o,a="NDHWC"){const[i,u,l]=Sn(t);let c,h;if("NDHWC"===a)h="channelsLast",c=[i,u,l,e[4],e[4]];else{if("NCDHW"!==a)throw new Error("Unknown dataFormat "+a);h="channelsFirst",c=[i,u,l,e[1],e[1]]}return vn(e,c,n,r,s,!1,h,o)}function kn(e,t,n,r,s,o,a=!1,i="channelsLast"){let[u,l,c,h]=[-1,-1,-1,-1];if("channelsLast"===i)[u,l,c,h]=e;else{if("channelsFirst"!==i)throw new Error("Unknown dataFormat "+i);[u,h,l,c]=e}const[d,p,,f]=t,[g,b]=En(n),[w,y]=En(r),k=Dn(d,w),x=Dn(p,y),{padInfo:E,outHeight:S,outWidth:D}=function(e,t,n,r,s,o,a,i,u){let l,c,h;if("number"==typeof e){l={top:e,bottom:e,left:e,right:e,type:0===e?"VALID":"NUMBER"};const s=function(e,t,n,r,s){null==r&&(r=xn(e,t,n));const o=e[0],a=e[1],i=In((o-t+2*r)/n+1,s);m(v(i),()=>`The output # of rows (${i}) must be an integer. Change the stride and/or zero pad parameters`);const u=In((a-t+2*r)/n+1,s);return m(v(u),()=>`The output # of columns (${u}) must be an integer. Change the stride and/or zero pad parameters`),[i,u]}([t,n],o,r,e,i);c=s[0],h=s[1]}else if("same"===e){c=Math.ceil(t/r),h=Math.ceil(n/s);const e=Math.max(0,(c-1)*r+o-t),i=Math.max(0,(h-1)*s+a-n),u=Math.floor(e/2),d=e-u,p=Math.floor(i/2);l={top:u,bottom:d,left:p,right:i-p,type:"SAME"}}else if("valid"===e)l={top:0,bottom:0,left:0,right:0,type:"VALID"},c=Math.ceil((t-o+1)/r),h=Math.ceil((n-a+1)/s);else{if("object"!=typeof e)throw Error("Unknown padding parameter: "+e);{const d="channelsLast"===u?e[1][0]:e[2][0],p="channelsLast"===u?e[1][1]:e[2][1],f="channelsLast"===u?e[2][0]:e[3][0],m="channelsLast"===u?e[2][1]:e[3][1];l={top:d,bottom:p,left:f,right:m,type:0===d&&0===p&&0===f&&0===m?"VALID":"EXPLICIT"},c=In((t-o+d+p)/r+1,i),h=In((n-a+f+m)/s+1,i)}}return{padInfo:l,outHeight:c,outWidth:h}}(s,l,c,g,b,k,x,o,i),I=a?f*h:f;let N;return"channelsFirst"===i?N=[u,I,S,D]:"channelsLast"===i&&(N=[u,S,D,I]),{batchSize:u,dataFormat:i,inHeight:l,inWidth:c,inChannels:h,outHeight:S,outWidth:D,outChannels:I,padInfo:E,strideHeight:g,strideWidth:b,filterHeight:d,filterWidth:p,effectiveFilterHeight:k,effectiveFilterWidth:x,dilationHeight:w,dilationWidth:y,inShape:e,outShape:N,filterShape:t}}function vn(e,t,n,r,s,o=!1,a="channelsLast",i){let[u,l,c,h,d]=[-1,-1,-1,-1,-1];if("channelsLast"===a)[u,l,c,h,d]=e;else{if("channelsFirst"!==a)throw new Error("Unknown dataFormat "+a);[u,d,l,c,h]=e}const[p,f,g,,b]=t,[w,y,k]=Sn(n),[x,E,S]=Sn(r),D=Dn(p,x),I=Dn(f,E),N=Dn(g,S),{padInfo:$,outDepth:F,outHeight:M,outWidth:A}=function(e,t,n,r,s,o,a,i,u,l,c){let h,d,p,f;if("number"==typeof e){h={top:e,bottom:e,left:e,right:e,front:e,back:e,type:0===e?"VALID":"NUMBER"};const o=function(e,t,n,r,s,o){null==s&&(s=xn(e,t,r));const a=e[0],i=e[1],u=e[2],l=In((a-t+2*s)/r+1,o);m(v(l),()=>`The output # of depths (${l}) must be an integer. Change the stride and/or zero pad parameters`);const c=In((i-t+2*s)/r+1,o);m(v(c),()=>`The output # of rows (${c}) must be an integer. Change the stride and/or zero pad parameters`);const h=In((u-t+2*s)/r+1,o);return m(v(h),()=>`The output # of columns (${h}) must be an integer. Change the stride and/or zero pad parameters`),[l,c,h,n]}([t,n,r,1],i,1,s,e,c);d=o[0],p=o[1],f=o[2]}else if("same"===e){d=Math.ceil(t/s),p=Math.ceil(n/o),f=Math.ceil(r/a);const e=(d-1)*s+i-t,c=(p-1)*o+u-n,m=(f-1)*a+l-r,g=Math.floor(e/2),b=e-g,w=Math.floor(c/2),y=c-w,k=Math.floor(m/2);h={top:w,bottom:y,left:k,right:m-k,front:g,back:b,type:"SAME"}}else{if("valid"!==e)throw Error("Unknown padding parameter: "+e);h={top:0,bottom:0,left:0,right:0,front:0,back:0,type:"VALID"},d=Math.ceil((t-i+1)/s),p=Math.ceil((n-u+1)/o),f=Math.ceil((r-l+1)/a)}return{padInfo:h,outDepth:d,outHeight:p,outWidth:f}}(s,l,c,h,w,y,k,D,I,N,i),_=o?b*d:b;let T;return"channelsFirst"===a?T=[u,_,F,M,A]:"channelsLast"===a&&(T=[u,F,M,A,_]),{batchSize:u,dataFormat:a,inDepth:l,inHeight:c,inWidth:h,inChannels:d,outDepth:F,outHeight:M,outWidth:A,outChannels:_,padInfo:$,strideDepth:w,strideHeight:y,strideWidth:k,filterDepth:p,filterHeight:f,filterWidth:g,effectiveFilterDepth:D,effectiveFilterHeight:I,effectiveFilterWidth:N,dilationDepth:x,dilationHeight:E,dilationWidth:S,inShape:e,outShape:T,filterShape:t}}function xn(e,t,n,r=1){const s=Dn(t,r);return Math.floor((e[0]*(n-1)-n+s)/2)}function En(e){return"number"==typeof e?[e,e,e]:2===e.length?[e[0],e[1],1]:e}function Sn(e){return"number"==typeof e?[e,e,e]:e}function Dn(e,t){return t<=1?e:e+(e-1)*(t-1)}function In(e,t){if(!t)return e;switch(t){case"round":return Math.round(e);case"ceil":return Math.ceil(e);case"floor":return Math.floor(e);default:throw new Error("Unknown roundingMode "+t)}}function Nn(e){const[t,n,r]=En(e);return 1===t&&1===n&&1===r}function $n(e,t){return Nn(e)||Nn(t)}function Fn(e){if("NHWC"===e)return"channelsLast";if("NCHW"===e)return"channelsFirst";throw new Error("Unknown dataFormat "+e)}const Mn=_e({avgPool3dBackprop_:function(e,t,n,r,s=[1,1,1],o,a){const i=Me(e,"dy","avgPool3dBackprop"),u=Me(t,"input","avgPool3dBackprop");let l=i,c=u,h=!1;4===u.rank&&(h=!0,l=at(i,[1,i.shape[0],i.shape[1],i.shape[2],i.shape[3]]),c=at(u,[1,u.shape[0],u.shape[1],u.shape[2],u.shape[3]])),m(5===l.rank,()=>"Error in avgPool3dBackprop: dy must be rank 5 but got rank "+l.rank+"."),m(5===c.rank,()=>"Error in avgPool3dBackprop: input must be rank 5 but got rank "+c.rank+"."),m($n(r,s),()=>`Error in avgPool3dBackprop: Either strides or dilations must be 1. Got strides ${r} and dilations '${s}'`),null!=a&&m(v(o),()=>`Error in maxPool3dBackprop: pad must be an integer when using, dimRoundingMode ${a} but got pad ${o}.`);const d={dy:l,input:c},p={filterSize:n,strides:r,dilations:s,pad:o,dimRoundingMode:a},f=ke.runKernelFunc(e=>{const t=yn(c.shape,n,r,s,o,a);return e.avgPool3dBackprop(l,c,t)},d,null,"AvgPool3DBackprop",p);return h?at(f,[f.shape[1],f.shape[2],f.shape[3],f.shape[4]]):f}}),An={kernelName:"AvgPool3D",inputsToSave:["x"],gradFunc:(e,t,n)=>{const[r]=t,{filterSize:s,strides:o,dilations:a,pad:i,dimRoundingMode:u}=n,l=null==a?[1,1,1]:a;return{x:()=>Mn(e,r,s,o,l,i,u)}}};const _n=_e({avgPoolBackprop_:function(e,t,n,r,s){const o=Me(e,"dy","avgPoolBackprop"),a=Me(t,"input","avgPoolBackprop");m(a.rank===o.rank,()=>`Rank of input (${a.rank}) does not match rank of dy (${o.rank})`);let i=a,u=o,l=!1;3===a.rank&&(l=!0,i=at(a,[1,a.shape[0],a.shape[1],a.shape[2]]),u=at(o,[1,o.shape[0],o.shape[1],o.shape[2]])),m(4===u.rank,()=>"Error in avgPoolBackprop: dy must be rank 4 but got rank "+u.rank+"."),m(4===i.rank,()=>"Error in avgPoolBackprop: input must be rank 4 but got rank "+i.rank+".");const c={dy:u,input:i},h={filterSize:n,strides:r,pad:s},d=ke.runKernelFunc(e=>{const t=wn(i.shape,n,r,1,s);return e.avgPoolBackprop(u,i,t)},c,null,"AvgPoolBackprop",h);return l?at(d,[d.shape[1],d.shape[2],d.shape[3]]):d}}),Tn={kernelName:"AvgPool",inputsToSave:["x"],gradFunc:(e,t,n)=>{const[r]=t,{filterSize:s,strides:o,pad:a}=n;return{x:()=>_n(e,r,s,o,a)}}};const Bn=_e({matMul_:function(e,t,n=!1,r=!1){let s=Me(e,"a","matMul"),o=Me(t,"b","matMul");[s,o]=fe(s,o),m(s.rank>=2&&o.rank>=2&&s.rank===o.rank,()=>`Error in matMul: inputs must have the same rank of at least 2, got ranks ${s.rank} and ${o.rank}.`);const a=n?s.shape[s.rank-2]:s.shape[s.rank-1],i=r?o.shape[o.rank-1]:o.shape[o.rank-2],u=n?s.shape[s.rank-1]:s.shape[s.rank-2],l=r?o.shape[o.rank-2]:o.shape[o.rank-1],c=s.shape.slice(0,-2),h=o.shape.slice(0,-2),d=y(c),p=y(h);m(k(c,h),()=>`Error in matMul: outer dimensions (${c}) and (${h}) of Tensors with shapes ${s.shape} and `+o.shape+" must match."),m(a===i,()=>`Error in matMul: inner shapes (${a}) and (${i}) of Tensors with shapes ${s.shape} and ${o.shape} and transposeA=${n} and transposeB=${r} must match.`);const f=s.shape.slice(0,-2).concat([u,l]),g=at(s,n?[d,a,u]:[d,u,a]),b=at(o,r?[p,l,i]:[p,i,l]),w={a:g,b:b},v={transposeA:n,transposeB:r},x=ke.runKernelFunc((e,t)=>(t([g,b]),e.batchMatMul(g,b,n,r)),w,null,"BatchMatMul",v);return at(x,f)}}),Cn={kernelName:"BatchMatMul",inputsToSave:["a","b"],gradFunc:(e,t,n)=>{const[r,s]=t,{transposeA:o,transposeB:a}=n;return o||a?!o&&a?{a:()=>Bn(e,s,!1,!1),b:()=>Bn(e,r,!0,!1)}:o&&!a?{a:()=>Bn(s,e,!1,!0),b:()=>Bn(r,e,!1,!1)}:{a:()=>Bn(s,e,!0,!0),b:()=>Bn(e,r,!0,!0)}:{a:()=>Bn(e,s,!1,!0),b:()=>Bn(r,e,!0,!1)}}};const Rn=_e({spaceToBatchND_:function(e,t,n){const r=Me(e,"x","spaceToBatchND");m(r.rank>=1+t.length,()=>`input rank ${r.rank} should be > than [blockShape] ${t.length}`),m(n.length===t.length,()=>`paddings.shape[0] ${n.length} must be equal to [blockShape] ${t.length}`),m(r.shape.reduce((e,r,s)=>s>0&&s<=t.length?e&&(r+n[s-1][0]+n[s-1][1])%t[s-1]==0:e,!0),()=>`input spatial dimensions ${r.shape.slice(1)} with paddings ${n.toString()} must be divisible by blockShapes ${t.toString()}`);const s={x:r},o={blockShape:t,paddings:n};return ke.runKernelFunc(e=>e.spaceToBatchND(r,t,n),s,null,"SpaceToBatchND",o)}}),Pn={kernelName:"BatchToSpaceND",gradFunc:(e,t,n)=>{const{blockShape:r,crops:s}=n;return{x:()=>Rn(e,r,s)}}},qn={kernelName:"BroadcastTo",gradFunc:(e,t,n)=>{const r=n,s=r.inputShape,o=r.shape,a=Array.from(o);for(let e=s.length-1;e>=0;e--)if(s[e]===o[e])a[e]=1;else if(1!==s[e])throw new Error(`broadcastTo(): [${s}] cannot be broadcast to [${o}].`);const i=[];for(let e=0;e<a.length;e++)a[e]>1&&i.push(e);return{x:()=>Tt(e,i,!0)}}};const zn=_e({split_:function(e,t,n=0){const r=Me(e,"x","split"),s=S(n,r.shape)[0];let o;"number"==typeof t?(m(r.shape[s]%t==0,()=>"Number of splits must evenly divide the axis."),o=new Array(t).fill(r.shape[s]/t)):(m(r.shape[s]===t.reduce((e,t)=>e+t),()=>"The sum of sizes must match the size of the axis dimension."),o=t);const a={x:r},i={numOrSizeSplits:t,axis:n};return ke.runKernelFunc((e,t)=>e.split(r,o,s),a,null,"SplitV",i)}}),Ln={kernelName:"Concat",saveAllInputs:!0,gradFunc:(e,t,n)=>{const r=t.map(e=>e.shape),{axis:s}=n,o=S(s,t[0].shape)[0],a=r.map(e=>e[o]);return zn(e,a,o).map(e=>()=>e)}};const On=_e({conv2DBackpropFilter_:function(e,t,n,r,s,o="NHWC",a){let i=e;3===e.rank&&(i=at(e,[1,e.shape[0],e.shape[1],e.shape[2]]));let u=t;3===u.rank&&(u=at(t,[1,t.shape[0],t.shape[1],t.shape[2]])),m(4===i.rank,()=>"Error in conv2dDerFilter: input must be rank 4, but got shape "+i.shape+"."),m(4===u.rank,()=>"Error in conv2dDerFilter: dy must be rank 4, but got shape "+u.shape+"."),m(4===n.length,()=>"Error in conv2dDerFilter: filterShape must be length 4, but got "+n+".");const l="NHWC"===o?i.shape[3]:i.shape[1],c="NHWC"===o?u.shape[3]:u.shape[1];m(l===n[2],()=>`Error in conv2dDerFilter: depth of input ${l}) must match input depth in filter (${n[2]}.`),m(c===n[3],()=>`Error in conv2dDerFilter: depth of dy (${c}) must match output depth for filter (${n[3]}).`),null!=a&&m(v(s),()=>`Error in conv2dDerFilter: pad must be an integer when using, dimRoundingMode ${a} but got pad ${s}.`);const h={x:i,dy:u},d={strides:r,pad:s,dataFormat:o,dimRoundingMode:a};return ke.runKernelFunc(e=>{const t=Fn(o),l=kn(i.shape,n,r,1,s,a,!1,t);return e.conv2dDerFilter(i,u,l)},h,null,"Conv2DBackpropFilter",d)}});const Wn=_e({conv2DBackpropInput_:function(e,t,n,r,s,o="NHWC",a){m(e.length===t.rank,()=>`Length of inShape (${e.length}) and rank of dy (${t.rank}) must match`);let i=e,u=t,l=!1;3===t.rank&&(l=!0,u=at(t,[1,t.shape[0],t.shape[1],t.shape[2]]),i=[1,e[0],e[1],e[2]]),m(4===i.length,()=>"Error in conv2dDerInput: inShape must be length 4, but got length "+i.length+"."),m(4===u.rank,()=>"Error in conv2dDerInput: dy must be rank 4, but got rank "+u.rank),m(4===n.rank,()=>"Error in conv2dDerInput: filter must be rank 4, but got rank "+n.rank);const c="NHWC"===o?i[3]:i[1],h="NHWC"===o?u.shape[3]:u.shape[1];m(c===n.shape[2],()=>`Error in conv2dDerInput: depth of input (${c}) must match input depth for filter ${n.shape[2]}.`),m(h===n.shape[3],()=>`Error in conv2dDerInput: depth of output (${h}) must match output depth for filter ${n.shape[3]}.`),null!=a&&m(v(s),()=>`Error in conv2dDerInput: pad must be an integer when using, dimRoundingMode ${a} but got pad ${s}.`);const d={dy:u,filter:n},p={strides:r,pad:s,dataFormat:o,dimRoundingMode:a},f=ke.runKernelFunc((e,t)=>{const l=Fn(o),c=kn(i,n.shape,r,1,s,a,!1,l),h=e.conv2dDerInput(u,n,c);return t([u,n]),h},d,null,"Conv2DBackpropInput",p);return l?at(f,[f.shape[1],f.shape[2],f.shape[3]]):f}}),Kn={kernelName:"Conv2D",inputsToSave:["x","filter"],gradFunc:(e,t,n)=>{const[r,s]=t,{dilations:o,strides:a,pad:i,dataFormat:u}=n;return m(Nn(o),()=>`Error in gradient of conv2D: dilation rates greater than 1 are not yet supported in gradients. Got dilations '${o}'`),{x:()=>Wn(r.shape,e,s,a,i,u),filter:()=>On(r,e,s.shape,a,i,u)}}};const Gn=_e({conv2d_:function(e,t,n,r,s="NHWC",o=[1,1],a){const i=Me(e,"x","conv2d"),u=Me(t,"filter","conv2d");let l=i,c=!1;3===i.rank&&(c=!0,l=at(i,[1,i.shape[0],i.shape[1],i.shape[2]])),m(4===l.rank,()=>`Error in conv2d: input must be rank 4, but got rank ${l.rank}.`),m(4===u.rank,()=>"Error in conv2d: filter must be rank 4, but got rank "+u.rank+"."),null!=a&&m(v(r),()=>`Error in conv2d: pad must be an integer when using, dimRoundingMode ${a} but got pad ${r}.`);const h="NHWC"===s?l.shape[3]:l.shape[1];m(h===u.shape[2],()=>`Error in conv2d: depth of input (${h}) must match input depth for filter ${u.shape[2]}.`),m($n(n,o),()=>`Error in conv2D: Either strides or dilations must be 1. Got strides ${n} and dilations '${o}'`);const d={x:l,filter:u},p={strides:n,pad:r,dataFormat:s,dilations:o,dimRoundingMode:a},f=ke.runKernelFunc((e,t)=>{const i=Fn(s),c=kn(l.shape,u.shape,n,o,r,a,!1,i),h=e.conv2d(l,u,c);return t([l,u]),h},d,null,"Conv2D",p);return c?at(f,[f.shape[1],f.shape[2],f.shape[3]]):f}}),Un={kernelName:"Conv2DBackpropInput",inputsToSave:["dy","filter"],gradFunc:(e,t,n)=>{const[r,s]=t,{strides:o,pad:a,dataFormat:i,dimRoundingMode:u}=n;return{dy:()=>Gn(e,s,o,a,i,1,u),filter:()=>On(e,r,s.shape,o,a,i,u)}}};const Hn=_e({conv3DBackpropFilter_:function(e,t,n,r,s){let o=e;4===e.rank&&(o=at(e,[1,e.shape[0],e.shape[1],e.shape[2],e.shape[3]]));let a=t;4===a.rank&&(a=at(t,[1,t.shape[0],t.shape[1],t.shape[2],t.shape[3]])),m(5===o.rank,()=>"Error in conv3dDerFilter: input must be rank 5, but got shape "+o.shape+"."),m(5===a.rank,()=>"Error in conv3dDerFilter: dy must be rank 5, but got shape "+a.shape+"."),m(5===n.length,()=>"Error in conv3dDerFilter: filterShape must be length 5, but got "+n+"."),m(o.shape[4]===n[3],()=>`Error in conv3dDerFilter: depth of input ${o.shape[4]}) must match input depth in filter (${n[3]}.`),m(a.shape[4]===n[4],()=>`Error in conv3dDerFilter: depth of dy (${a.shape[4]}) must match output depth for filter (${n[4]}).`);const i={x:o,y:a},u={strides:r,pad:s};return ke.runKernelFunc(e=>{const t=vn(o.shape,n,r,1,s);return e.conv3dDerFilter(o,a,t)},i,null,"Conv3DBackpropFilterV2",u)}});const Vn=_e({conv3DBackpropInput_:function(e,t,n,r,s){m(e.length===t.rank,()=>`Length of inShape (${e.length}) and rank of dy (${t.rank}) must match`);let o=e,a=t,i=!1;4===t.rank&&(i=!0,a=at(t,[1,t.shape[0],t.shape[1],t.shape[2],t.shape[3]]),o=[1,e[0],e[1],e[2],e[3]]);const u=o[4],l=a.shape[4];m(5===o.length,()=>"Error in conv3dDerInput: inShape must be length 5, but got length "+o.length+"."),m(5===a.rank,()=>"Error in conv3dDerInput: dy must be rank 5, but got rank "+a.rank),m(5===n.rank,()=>"Error in conv3dDerInput: filter must be rank 5, but got rank "+n.rank),m(u===n.shape[3],()=>`Error in conv3dDerInput: depth of input (${u}) must match input depth for filter ${n.shape[3]}.`),m(l===n.shape[4],()=>`Error in conv3dDerInput: depth of output (${l}) must match output depth for filter ${n.shape[4]}.`);const c={dy:a},h={pad:s},d=ke.runKernelFunc(e=>{const t=vn(o,n.shape,r,1,s);return e.conv3dDerInput(a,n,t)},c,null,"Conv3DBackpropInputV2",h);return i?at(d,[d.shape[1],d.shape[2],d.shape[3],d.shape[4]]):d}}),jn={kernelName:"Conv3D",inputsToSave:["x","filter"],gradFunc:(e,t,n)=>{const{dilations:r,strides:s,pad:o}=n;m(Nn(r),()=>`Error in gradient of conv3D: dilation rates greater than 1 are not yet supported in gradients. Got dilations '${r}'`);const[a,i]=t;return{x:()=>Vn(a.shape,e,i,s,o),filter:()=>Hn(a,e,i.shape,s,o)}}};const Jn=_e({transpose_:function(e,t){const n=Me(e,"x","transpose");if(null==t&&(t=n.shape.map((e,t)=>t).reverse()),m(n.rank===t.length,()=>`Error in transpose: rank of input ${n.rank} must match length of perm ${t}.`),t.forEach(e=>{m(e>=0&&e<n.rank,()=>"All entries in 'perm' must be between 0 and "+(n.rank-1)+" but got "+t)}),n.rank<=1)return n.clone();const r={perm:t};return ke.runKernelFunc(e=>e.transpose(n,t),{x:n},null,"Transpose",r)}});const Yn=_e({cumsum_:function(e,t=0,n=!1,r=!1){const s=Me(e,"x","cumsum"),o={x:s},a={axis:t,exclusive:n,reverse:r};return ke.runKernelFunc((e,o)=>{const a=vt([t],s.rank);let i=s;null!=a&&(i=Jn(s,a));const u=Et(1,s.rank)[0];let l=e.cumsum(i,u,n,r);return o([s]),null!=a&&(l=Jn(l,a)),l},o,null,"Cumsum",a)}}),Xn={kernelName:"Cumsum",inputsToSave:["x"],gradFunc:(e,t,n)=>{const[r]=t,{axis:s,exclusive:o,reverse:a}=n;return{x:()=>{const t=vt([s],r.rank);let n=Yn(e,s,o,!a);return null!=t&&(n=Jn(n,t)),n}}}};const Zn=_e({depthwiseConv2dNativeBackpropFilter_:function(e,t,n,r){let s=e;3===e.rank&&(s=at(e,[1,e.shape[0],e.shape[1],e.shape[2]]));let o=t;3===o.rank&&(o=at(t,[1,t.shape[0],t.shape[1],t.shape[2]]));const a={x:s,dy:o};return ke.runKernelFunc(e=>e.depthwiseConv2DDerFilter(s,o,r),a,null,"DepthwiseConv2dNativeBackpropFilter")}});const Qn=_e({depthwiseConv2dNativeBackpropInput_:function(e,t,n,r){let s=t,o=!1;3===t.rank&&(o=!0,s=at(t,[1,t.shape[0],t.shape[1],t.shape[2]]));const a={dy:s},i=ke.runKernelFunc(e=>e.depthwiseConv2DDerInput(s,n,r),a,null,"DepthwiseConv2dNativeBackpropInput");return o?at(i,[i.shape[1],i.shape[2],i.shape[3]]):i}}),er={kernelName:"DepthwiseConv2dNative",inputsToSave:["x","filter"],gradFunc:(e,t,n)=>{const{dilations:r,strides:s,pad:o,dimRoundingMode:a}=n,i=null==r?[1,1]:r;m(Nn(i),()=>`Error in gradient of depthwiseConv2dNative: dilation rates greater than 1 are not yet supported. Got dilations '${i}'`);const[u,l]=t;m(4===u.rank,()=>`Error in gradient of depthwiseConv2dNative: input must be rank 4, but got rank ${u.rank}.`),m(4===l.rank,()=>`Error in gradient of depthwiseConv2dNative: filter must be rank 4, but got rank ${l.rank}.`),m(u.shape[3]===l.shape[2],()=>`Error in gradient of depthwiseConv2d: number of input channels (${u.shape[3]}) must match the inChannels dimension in filter ${l.shape[2]}.`),m($n(s,i),()=>`Error in gradient of depthwiseConv2d: Either strides or dilations must be  1. Got strides ${s} and dilations '${i}'.`),null!=a&&m(v(o),()=>`Error in depthwiseConv2d: pad must be an integer when using, dimRoundingMode ${a} but got pad ${o}.`);const c=kn(u.shape,l.shape,s,i,o,a,!0);return{x:()=>Qn(u.shape,e,l,c),filter:()=>Zn(u,e,l.shape,c)}}},tr={kernelName:"Div",inputsToSave:["a","b"],gradFunc:(e,t)=>{const[n,r]=t,s=De(n.shape,r.shape);return{a:()=>{const t=dt(e,r.toFloat()),o=Se(n.shape,s);return o.length>0?Tt(t,o).reshape(n.shape):t},b:()=>{let t=pt(e,n.toFloat());const o=Se(r.shape,s);o.length>0&&(t=at(Tt(t,o),r.shape));const a=Ct(r);return en(dt(t,a.toFloat()))}}}},nr={kernelName:"Elu",outputsToSave:[!0],gradFunc:(e,t)=>{const[n]=t,r=t=>t.eluDer(e,n),s={dy:e,y:n};return{x:()=>ke.runKernelFunc(r,s,null,"EluGrad")}}},rr={kernelName:"FloorDiv",inputsToSave:["a","b"],gradFunc:(e,t)=>{const[n,r]=t,s=De(n.shape,r.shape);return{a:()=>{const t=e.div(r.toFloat()),o=Se(n.shape,s);return o.length>0?t.sum(o).reshape(n.shape):t},b:()=>{let t=e.mul(n.toFloat());const o=Se(r.shape,s);o.length>0&&(t=t.sum(o).reshape(r.shape));const a=r.square();return t.div(a.toFloat()).neg()}}}};const sr=_e({sub_:function(e,t){let n=Me(e,"a","sub"),r=Me(t,"b","sub");[n,r]=fe(n,r);const s={a:n,b:r};return ke.runKernelFunc((e,t)=>{const s=e.subtract(n,r);return t([n,r]),s},s,null,"Sub")}});const or=_e({tile_:function(e,t){const n=Me(e,"x","tile",null);m(n.rank===t.length,()=>`Error in transpose: rank of input ${n.rank} must match length of reps ${t}.`);const r=[n],s={x:n},o={reps:t};return ke.runKernelFunc((e,r)=>{const s=e.tile(n,t);return r([n]),s},s,null,"Tile",o,r)}}),ar={kernelName:"FusedBatchNorm",inputsToSave:["x","mean","variance","scale"],gradFunc:(e,t,n)=>{const{varianceEpsilon:r}=n,[s,o,a,i]=t,u=null==i?Oe(1):i,l=Se(o.shape,s.shape),c=[];if(1===o.rank){for(let e=0;e<s.shape.length-1;++e)c.push(s.shape[e]);c.push(1)}const h=sr(s,o),d=pt(e,u),p=rn(Te(a,Oe(r))),f=pt(pt(pt(p,p),p),Oe(-.5));return{x:()=>1===o.rank?at(pt(pt(e,or(p.as4D(1,1,1,o.shape[0]),c)),u),s.shape):at(pt(pt(e,p),u),s.shape),mean:()=>{let e=pt(pt(p,Oe(-1)),d);return 1===o.rank&&(e=Tt(e,l)),at(e,o.shape)},variance:()=>{let e=pt(pt(f,h),d);return 1===o.rank&&(e=Tt(e,l)),at(e,o.shape)},scale:()=>{const t=pt(h,p);let n=pt(e,t);return 1===o.rank&&(n=Tt(n,l)),at(n,o.shape)},offset:()=>{let t=e;return 1===o.rank&&(t=Tt(t,l)),at(t,o.shape)}}}},ir={kernelName:"GreaterEqual",inputsToSave:["a","b"],gradFunc:(e,t)=>{const[n,r]=t;return{a:()=>et(n),b:()=>et(r)}}},ur={kernelName:"Identity",gradFunc:e=>({x:()=>e.toFloat()})};const lr=_e({localResponseNormalizationBackprop_:function(e,t,n,r=5,s=1,o=1,a=.5){const i={x:e,y:t,dy:n},u={depthRadius:r,bias:s,alpha:o,beta:a};return ke.runKernelFunc(i=>i.LRNGrad(n,e,t,r,s,o,a),i,null,"LRNBackprop",u)}}),cr={kernelName:"LRN",inputsToSave:["x"],outputsToSave:[!0],gradFunc:(e,t,n)=>{const[r,s]=t,{depthRadius:o,bias:a,alpha:i,beta:u}=n;return{x:()=>lr(r,s,e,o,a,i,u)}}},hr={kernelName:"Max",inputsToSave:["x"],outputsToSave:[!0],gradFunc:(e,t,n)=>{const r=n,{reductionIndices:s}=r,[o,a]=t,i=S(s,o.shape),u=vt(i,o.rank),l=St(e,a,o,i,u);return{x:()=>{let e=l.x();return null!=u&&(e=Jn(e)),e}}}};const dr=_e({greaterEqual_:function(e,t){let n=Me(e,"a","greaterEqual"),r=Me(t,"b","greaterEqual");[n,r]=fe(n,r),De(n.shape,r.shape);const s={a:n,b:r};return ke.runKernelFunc((e,t)=>{const s=e.greaterEqual(n,r);return t([n,r]),s},s,null,"GreaterEqual")}});const pr=_e({less_:function(e,t){let n=Me(e,"a","less"),r=Me(t,"b","less");[n,r]=fe(n,r),De(n.shape,r.shape);const s={a:n,b:r};return ke.runKernelFunc(e=>e.less(n,r),s,null,"Less")}}),fr={kernelName:"Maximum",inputsToSave:["a","b"],gradFunc:(e,t)=>{const[n,r]=t;return{a:()=>pt(e,st(dr(n,r),"float32")),b:()=>pt(e,st(pr(n,r),"float32"))}}};const mr=_e({maxPool3dBackprop_:function(e,t,n,r,s,o=[1,1,1],a,i){const u=Me(e,"dy","maxPool3dBackprop"),l=Me(t,"input","maxPool3dBackprop"),c=Me(n,"output","maxPool3dBackprop");let h=u,d=l,p=c,f=!1;4===l.rank&&(f=!0,h=at(u,[1,u.shape[0],u.shape[1],u.shape[2],u.shape[3]]),d=at(l,[1,l.shape[0],l.shape[1],l.shape[2],l.shape[3]]),p=at(c,[1,c.shape[0],c.shape[1],c.shape[2],c.shape[3]])),m(5===h.rank,()=>"Error in maxPool3dBackprop: dy must be rank 5 but got rank "+h.rank+"."),m(5===d.rank,()=>"Error in maxPool3dBackprop: input must be rank 5 but got rank "+d.rank+"."),m(5===p.rank,()=>"Error in maxPool3dBackprop: output must be rank 5 but got rank "+p.rank+"."),m($n(s,o),()=>`Error in maxPool3dBackprop: Either strides or dilations must be 1. Got strides ${s} and dilations '${o}'`),null!=i&&m(v(a),()=>`Error in maxPool3dBackprop: pad must be an integer when using, dimRoundingMode ${i} but got pad ${a}.`);const g={dy:h,input:d,output:p},b={filterSize:r,strides:s,dilations:o,pad:a,dimRoundingMode:i},w=ke.runKernelFunc(e=>{const t=yn(d.shape,r,s,o,a,i);return e.maxPool3dBackprop(h,d,p,t)},g,null,"MaxPool3DBackprop",b);return f?at(w,[w.shape[1],w.shape[2],w.shape[3],w.shape[4]]):w}}),gr={kernelName:"MaxPool3D",inputsToSave:["x"],outputsToSave:[!0],gradFunc:(e,t,n)=>{const[r,s]=t,{filterSize:o,strides:a,dilations:i,pad:u,dimRoundingMode:l}=n,c=null==i?[1,1,1]:i;return{x:()=>mr(e,r,s,o,a,c,u,l)}}};const br=_e({maxPoolBackprop_:function(e,t,n,r,s,o,a){const i=Me(e,"dy","maxPoolBackprop"),u=Me(t,"input","maxPoolBackprop"),l=Me(n,"output","maxPoolBackprop");m(u.rank===i.rank,()=>`Rank of input (${u.rank}) does not match rank of dy (${i.rank})`),m(4===i.rank,()=>"Error in maxPoolBackprop: dy must be rank 4 but got rank "+i.rank+"."),m(4===u.rank,()=>"Error in maxPoolBackprop: input must be rank 4 but got rank "+u.rank+"."),null!=a&&m(v(o),()=>`Error in maxPoolBackprop: pad must be an integer when using, dimRoundingMode ${a} but got pad ${o}.`);const c={dy:i,input:u,output:l},h={filterSize:r,strides:s,pad:o,dimRoundingMode:a};return ke.runKernelFunc(e=>{const t=wn(u.shape,r,s,1,o,a);return e.maxPoolBackprop(i,u,l,t)},c,null,"MaxPoolBackprop",h)}}),wr={kernelName:"MaxPool",inputsToSave:["x"],outputsToSave:[!0],gradFunc:(e,t,n)=>{const[r,s]=t,{filterSize:o,strides:a,pad:i}=n;return{x:()=>br(e,r,s,o,a,i)}}};const yr=_e({greater_:function(e,t){let n=Me(e,"a","greater"),r=Me(t,"b","greater");[n,r]=fe(n,r),De(n.shape,r.shape);const s={a:n,b:r};return ke.runKernelFunc(e=>e.greater(n,r),s,null,"Greater")}});const kr=_e({lessEqual_:function(e,t){let n=Me(e,"a","lessEqual"),r=Me(t,"b","lessEqual");[n,r]=fe(n,r),De(n.shape,r.shape);const s={a:n,b:r};return ke.runKernelFunc((e,t)=>{const s=e.lessEqual(n,r);return t([n,r]),s},s,null,"LessEqual")}}),vr={kernelName:"Minimum",inputsToSave:["a","b"],gradFunc:(e,t)=>{const[n,r]=t;return{a:()=>pt(e,st(kr(n,r),"float32")),b:()=>pt(e,st(yr(n,r),"float32"))}}},xr={kernelName:"Mod",inputsToSave:["a","b"],gradFunc:(e,t)=>{const[n,r]=t,s=De(n.shape,r.shape);return{a:()=>{const t=Se(n.shape,s);return t.length>0?at(Tt(e,t),n.shape):e},b:()=>{const t=pt(e,en(Yt(dt(n,r)))),o=Se(r.shape,s);return o.length>0?at(Tt(t,o),r.shape):t}}}},Er={kernelName:"Multiply",inputsToSave:["a","b"],gradFunc:(e,t)=>{const[n,r]=t,s=De(n.shape,r.shape);return{a:()=>{const t=pt(e,st(r,"float32")),o=Se(n.shape,s);return o.length>0?at(Tt(t,o),n.shape):t},b:()=>{const t=pt(e,st(n,"float32")),o=Se(r.shape,s);return o.length>0?at(Tt(t,o),r.shape):t}}}},Sr={kernelName:"OneHot",inputsToSave:["indices"],gradFunc:(e,t)=>{const n=t[0];return{indices:()=>Ye(n.shape,"float32")}}},Dr={kernelName:"PadV2",inputsToSave:["x"],gradFunc:(e,t,n)=>{const r=t[0],{paddings:s}=n,o=s.map(e=>e[0]);return{x:()=>e.slice(o,r.shape)}}};function Ir(e,t){const n=[];for(let e=0;e<t.length;e++)t[e]&&n.push(e);const r=nt(e,"int32"),s=nt([n.length,e.length],"int32");for(let t=0;t<n.length;t++){const o=r.indexToLoc(n[t]),a=t*e.length;s.values.set(o,a)}return s.toTensor()}const Nr=_e({logicalAnd_:function(e,t){const n=Me(e,"a","logicalAnd","bool"),r=Me(t,"b","logicalAnd","bool");return De(n.shape,r.shape),ke.runKernelFunc(e=>e.logicalAnd(n,r),{a:n,b:r},null,"LogicalAnd")}}),$r=_e({logicalNot_:function(e){const t=Me(e,"x","logicalNot","bool");return ke.runKernelFunc(e=>e.logicalNot(t),{$x:t})}}),Fr=_e({logicalOr_:function(e,t){const n=Me(e,"a","logicalOr","bool"),r=Me(t,"b","logicalOr","bool");return De(n.shape,r.shape),ke.runKernelFunc(e=>e.logicalOr(n,r),{$a:n,$b:r})}}),Mr=_e({logicalXor_:function(e,t){const n=Me(e,"a","logicalXor","bool"),r=Me(t,"b","logicalXor","bool");return De(n.shape,r.shape),Fr(e,t).logicalAnd(Nr(e,t).logicalNot())}}),Ar=_e({where_:function(e,t,n){const r=Me(t,"a","where"),s=Me(n,"b","where"),o=Me(e,"condition","where","bool");g(r.shape,s.shape,"Error in where: "),1===o.rank?m(o.shape[0]===r.shape[0],()=>"The first dimension of `a` must match the size of `condition`."):g(o.shape,s.shape,"Error in where: ");const a={condition:o,t:r,e:s};return ke.runKernelFunc((e,t)=>{const n=e.select(o,r,s);return t([o]),n},a,(e,t)=>{const[n]=t;return{condition:()=>et(n).toFloat(),t:()=>e.mul(n.cast(e.dtype)),e:()=>e.mul(n.logicalNot().cast(e.dtype))}},"SelectV2")}}),_r=async function(e){const t=Me(e,"condition","whereAsync","bool"),n=await t.data(),r=Ir(t.shape,n);return e!==t&&t.dispose(),r};const Tr=_e({pow_:function(e,t){let n=Me(e,"base","pow"),r=Me(t,"exp","pow");[n,r]=fe(n,r);const s={a:n,b:r};return ke.runKernelFunc((e,t)=>{const s=e.pow(n,r);return t([n,r,s]),s},s,null,"Pow")}}),Br={kernelName:"Pow",inputsToSave:["a","b"],outputsToSave:[!0],gradFunc:(e,t)=>{const[n,r,s]=t,o=n,a=r,i=De(o.shape,a.shape);return{a:()=>{const t=st(a,"float32");let n=pt(e,pt(t,Tr(o,sr(t,Oe(1)))));const r=Se(o.shape,i);return r.length>0&&(n=Tt(n,r)),at(n,o.shape)},b:()=>{const t=yr(o,0),n=Ar(t,Xt(o),et(o));let r=pt(e,pt(s,n));const u=Se(a.shape,i);return u.length>0&&(r=Tt(r,u)),at(r,a.shape)}}}},Cr={kernelName:"Prelu",inputsToSave:["x","alpha"],gradFunc:(e,t)=>{const[n,r]=t,s=yr(n,0);return{x:()=>Ar(s,e,pt(e,r)),alpha:()=>{let t=Ar(s,et(e),pt(e,n));const o=Se(r.shape,e.shape);return o.length>0&&(t=Tt(t,o)),at(t,r.shape)}}}},Rr={kernelName:"Relu6",inputsToSave:["x"],gradFunc:(e,t)=>{const[n]=t,r=pt(kr(n,6),fn(n));return{x:()=>pt(e,st(r,"float32"))}}},Pr={kernelName:"Relu",inputsToSave:["x"],gradFunc:(e,t)=>{const[n]=t;return{x:()=>pt(e,st(fn(n),"float32"))}}},qr={kernelName:"Selu",inputsToSave:["x"],gradFunc:(e,t)=>{const[n]=t;return{x:()=>{const t=yr(n,Oe(0)),r=Oe(1.7580993408473768),s=Oe(1.0507009873554805),o=pt(e,s),a=pt(pt(e,r),jt(st(n,"float32")));return Ar(t,o,a)}}}};const zr=_e({batchToSpaceND_:function(e,t,n){const r=Me(e,"x","batchToSpaceND"),s=t.reduce((e,t)=>e*t);m(r.rank>=1+t.length,()=>`input rank is ${r.rank} but should be > than blockShape.length ${t.length}`),m(n.length===t.length,()=>`crops.length is ${n.length} but should be equal to blockShape.length  ${t.length}`),m(r.shape[0]%s==0,()=>`input tensor batch is ${r.shape[0]} but is not divisible by the product of the elements of blockShape ${t.join(" * ")} === ${s}`);const o={x:r},a={blockShape:t,crops:n};return ke.runKernelFunc(e=>e.batchToSpaceND(r,t,n),o,null,"BatchToSpaceND",a)}}),Lr={kernelName:"SpaceToBatchND",gradFunc:(e,t,n)=>{const{blockShape:r,paddings:s}=n;return{x:()=>zr(e,r,s)}}},Or={kernelName:"SplitV",gradFunc:(e,t,n)=>{const{axis:r}=n;return{x:()=>tt(e,r)}}},Wr={kernelName:"Square",inputsToSave:["x"],gradFunc:(e,t)=>{const[n]=t;return{x:()=>pt(e,pt(n.toFloat(),2))}}},Kr={kernelName:"SquaredDifference",inputsToSave:["a","b"],gradFunc:(e,t)=>{const[n,r]=t,s=Oe(2);return{a:()=>pt(e,pt(s,sr(n,r))),b:()=>pt(e,pt(s,sr(r,n)))}}},Gr={kernelName:"Sub",inputsToSave:["a","b"],gradFunc:(e,t)=>{const[n,r]=t,s=De(n.shape,r.shape);return{a:()=>{let t=e;const r=Se(n.shape,s);return r.length>0&&(t=Tt(t,r)),at(t,n.shape)},b:()=>{let t=e;const n=Se(r.shape,s);return n.length>0&&(t=Tt(t,n)),at(en(t),r.shape)}}}};const Ur=_e({pad_:function(e,t,n=0){const r=Me(e,"x","pad");if(0===r.rank)throw new Error("pad(scalar) is not defined. Pass non-scalar to pad");const s={paddings:t,constantValue:n},o={x:r};return ke.runKernelFunc((e,s)=>(s([r]),e.pad(r,t,n)),o,null,"PadV2",s)}});function Hr(e,t,n){m(e.rank===t.length,()=>`Error in slice${e.rank}D: Length of begin ${t} must match the rank of the array (${e.rank}).`),m(e.rank===n.length,()=>`Error in slice${e.rank}D: Length of size ${n} must match the rank of the array (${e.rank}).`);for(let r=0;r<e.rank;++r)m(t[r]+n[r]<=e.shape[r],()=>`Error in slice${e.rank}D: begin[${r}] + size[${r}] (${t[r]+n[r]}) would overflow input.shape[${r}] (${e.shape[r]})`)}function Vr(e){const t=[];let n=0;for(;e>0;)1&e&&t.push(n),e/=2,n++;return t}function jr(e,t,n){const r=[];for(let s=0;s<e.length;s++)r[s]=Math.ceil((t[s]-e[s])/n[s]);return r}function Jr(e,t,n){const r=[...e];for(let e=0;e<n;e++)0===e?r[t]=1:(r.splice(t,0,1),r.pop());return r}function Yr(e,t,n){const r=[...e];for(let e=0;e<n;e++)0===e?r[t]=0:(r.splice(t,0,0),r.pop());return r}function Xr(e,t,n,r){const s=[...e];for(let e=0;e<n;e++)0===e?s[t]=Number.MAX_SAFE_INTEGER:(s.splice(t,0,Number.MAX_SAFE_INTEGER),s.pop());for(let e=0;e<s.length;e++)s[e]=f(0,s[e],r[e]);return s}function Zr(e,t,n){let r=e[t];return(n&1<<t||null==r)&&(r=1),r}function Qr(e,t,n,r,s,o){let a=t[s];const i=n[s]||1;(e&1<<s||o&1<<s||null==a)&&(a=i>0?Number.MIN_SAFE_INTEGER:Number.MAX_SAFE_INTEGER);const u=r[s];return a<0&&(a+=u),a=f(0,a,u-1),a}function es(e,t,n,r,s,o){let a=t[s];const i=n[s]||1;(e&1<<s||o&1<<s||null==a)&&(a=i>0?Number.MAX_SAFE_INTEGER:Number.MIN_SAFE_INTEGER);const u=r[s];return a<0&&(a+=u),a=i>0?f(0,a,u):f(-1,a,u-1),a}var ts=Object.freeze({__proto__:null,assertParamsValid:Hr,maskToAxes:Vr,computeOutShape:jr,stridesWithElidedDims:Jr,startIndicesWithElidedDims:Yr,stopIndicesWithElidedDims:Xr,stridesForAxis:Zr,startForAxis:Qr,stopForAxis:es,isSliceContinous:function(e,t,n){let r=n.length;for(let e=0;e<n.length;e++)if(n[e]>1){r=e;break}for(let s=r+1;s<n.length;s++)if(t[s]>0||n[s]!==e[s])return!1;return!0},computeFlatOffset:function(e,t){let n=e.length>0?e[e.length-1]:1;for(let r=0;r<e.length-1;r++)n+=e[r]*t[r];return n}});const ns=_e({slice_:function(e,t,n){const r=Me(e,"x","slice");if(0===r.rank)throw new Error("Slicing scalar is not possible");let s,o;s="number"==typeof t?[t,...new Array(r.rank-1).fill(0)]:t.length<r.rank?t.concat(new Array(r.rank-t.length).fill(0)):t.slice(),s.forEach(e=>{m(-1!==e,()=>"slice() does not support negative begin indexing.")}),o=null==n?new Array(r.rank).fill(-1):"number"==typeof n?[n,...new Array(r.rank-1).fill(-1)]:n.length<r.rank?n.concat(new Array(r.rank-n.length).fill(-1)):n,o=o.map((e,t)=>e>=0?e:(m(-1===e,()=>`Negative size values should be exactly -1 but got ${e} for the slice() size at index ${t}.`),r.shape[t]-s[t])),Hr(r,s,o);const a=r.shape,i={begin:s,size:o};return ke.runKernelFunc(e=>e.slice(r,s,o),{x:r},e=>{const t=[];for(let n=0;n<e.rank;n++)t.push([s[n],a[n]-s[n]-o[n]]);return{x:()=>Ur(e,t)}},"Slice",i)}}),rs=_e({slice1d_:function(e,t,n){const r=Me(e,"x","slice1d");return m(1===r.rank,()=>`slice1d expects a rank-1 tensor, but got a rank-${r.rank} tensor`),ns(r,[t],[n])}}),ss=_e({slice2d_:function(e,t,n){const r=Me(e,"x","slice2d");return m(2===r.rank,()=>`slice2d expects a rank-2 tensor, but got a rank-${r.rank} tensor`),ns(r,t,n)}}),os=_e({slice3d_:function(e,t,n){const r=Me(e,"x","slice3d");return m(3===r.rank,()=>`slice3d expects a rank-3 tensor, but got a rank-${r.rank} tensor`),ns(r,t,n)}}),as=_e({slice4d_:function(e,t,n){const r=Me(e,"x","slice4d");return m(4===r.rank,()=>`slice4d expects a rank-4 tensor, but got a rank-${r.rank} tensor`),ns(r,t,n)}}),is=[Ie,Ne,bn,Tn,An,Cn,Pn,qn,Ln,Kn,Un,jn,Xn,er,tr,nr,rr,ar,ir,ur,cr,Sr,Dr,Or,hr,Lr,hr,fr,wr,gr,vr,xr,Er,Sr,Dr,Br,Cr,Pr,Rr,qr,Lr,Or,Wr,Kr,{kernelName:"Tile",inputsToSave:["x"],gradFunc:(e,t,n)=>{const[r]=t,{reps:s}=n;return{x:()=>{let t=et(r);if(1===r.rank)for(let n=0;n<s[0];++n)t=Te(t,ns(e,[n*r.shape[0]],[r.shape[0]]));else if(2===r.rank)for(let n=0;n<s[0];++n)for(let o=0;o<s[1];++o)t=Te(t,ns(e,[n*r.shape[0],o*r.shape[1]],[r.shape[0],r.shape[1]]));else if(3===r.rank)for(let n=0;n<s[0];++n)for(let o=0;o<s[1];++o)for(let a=0;a<s[2];++a)t=Te(t,ns(e,[n*r.shape[0],o*r.shape[1],a*r.shape[2]],[r.shape[0],r.shape[1],r.shape[2]]));else{if(4!==r.rank)throw new Error("Gradient for tile operation is not implemented for rank-"+r.rank+" tensors yet.");for(let n=0;n<s[0];++n)for(let o=0;o<s[1];++o)for(let a=0;a<s[2];++a)for(let i=0;i<s[3];++i)t=Te(t,ns(e,[n*r.shape[0],o*r.shape[1],a*r.shape[2],i*r.shape[3]],[r.shape[0],r.shape[1],r.shape[2],r.shape[3]]))}return t}}}},{kernelName:"Transpose",gradFunc:(e,t,n)=>{const r=n,{perm:s}=r,o=xt(s);return{x:()=>Jn(e,o)}}},Gr];for(const e of is)h(e);class us{fetch(e,t){return fetch(e,t)}now(){return performance.now()}encode(e,t){if("utf-8"!==t&&"utf8"!==t)throw new Error("Browser's encoder only supports utf-8, but got "+t);return null==this.textEncoder&&(this.textEncoder=new TextEncoder),this.textEncoder.encode(e)}decode(e,t){return new TextDecoder(t).decode(e)}}n().get("IS_BROWSER")&&n().setPlatform("browser",new us);const ls=()=>require("node-fetch");let cs;class hs{constructor(){this.util=require("util"),this.textEncoder=new this.util.TextEncoder}fetch(e,t){return null!=n().global.fetch?n().global.fetch(e,t):(null==cs&&(cs=ls()),cs(e,t))}now(){const e=process.hrtime();return 1e3*e[0]+e[1]/1e6}encode(e,t){if("utf-8"!==t&&"utf8"!==t)throw new Error("Node built-in encoder only supports utf-8, but got "+t);return this.textEncoder.encode(e)}decode(e,t){return 0===e.length?"":new this.util.TextDecoder(t).decode(e)}}n().get("IS_NODE")&&n().setPlatform("node",new hs);const ds={float32:4,float16:2,int32:4,uint16:2,uint8:1,bool:1,complex64:8};function ps(e,t){const n={};let r,s=0;for(const o of t){const t=o.name,a=o.dtype,i=o.shape,u=y(i);let l;if("quantization"in o){const n=o.quantization;if("uint8"===n.dtype||"uint16"===n.dtype){if(!("min"in n)||!("scale"in n))throw new Error(`Weight ${o.name} with quantization ${n.dtype} doesn't have corresponding metadata min and scale.`)}else{if("float16"!==n.dtype)throw new Error(`Weight ${o.name} has unknown quantization dtype ${n.dtype}. Supported quantization dtypes are: 'uint8', 'uint16', and 'float16'.`);if("float32"!==a)throw new Error(`Weight ${o.name} is quantized with ${n.dtype} which only supports weights of type float32 not ${a}.`)}const i=ds[n.dtype],c=e.slice(s,s+u*i),h="uint8"===n.dtype?new Uint8Array(c):new Uint16Array(c);if("float32"===a)if("uint8"===n.dtype||"uint16"===n.dtype){l=new Float32Array(h.length);for(let e=0;e<h.length;e++){const t=h[e];l[e]=t*n.scale+n.min}}else{if("float16"!==n.dtype)throw new Error(`Unsupported quantization type ${n.dtype} for weight type float32.`);void 0===r&&(r=ks()),l=r(h)}else{if("int32"!==a)throw new Error(`Unsupported dtype in weight '${t}': ${a}`);if("uint8"!==n.dtype&&"uint16"!==n.dtype)throw new Error(`Unsupported quantization type ${n.dtype} for weight type int32.`);l=new Int32Array(h.length);for(let e=0;e<h.length;e++){const t=h[e];l[e]=Math.round(t*n.scale+n.min)}}s+=u*i}else if("string"===a){const t=y(o.shape);l=[];for(let n=0;n<t;n++){const t=new Uint32Array(e.slice(s,s+4))[0];s+=4;const n=new Uint8Array(e.slice(s,s+t));l.push(n),s+=t}}else{const r=ds[a],o=e.slice(s,s+u*r);if("float32"===a)l=new Float32Array(o);else if("int32"===a)l=new Int32Array(o);else if("bool"===a)l=new Uint8Array(o);else{if("complex64"!==a)throw new Error(`Unsupported dtype in weight '${t}': ${a}`);{l=new Float32Array(o);const e=new Float32Array(l.length/2),r=new Float32Array(l.length/2);for(let t=0;t<e.length;t++)e[t]=l[2*t],r[t]=l[2*t+1];const s=ze(e,i,"float32"),a=ze(r,i,"float32");n[t]=Re(s,a)}}s+=u*r}"complex64"!==a&&(n[t]=ze(l,i,a))}return n}function fs(e){if(null===e)throw new Error("Invalid input value: "+JSON.stringify(e));let t=0;const n=[];e.forEach(e=>{if(t+=e.byteLength,n.push(e.byteLength===e.buffer.byteLength?e:new e.constructor(e)),!(e instanceof Float32Array||e instanceof Int32Array||e instanceof Uint8Array))throw new Error("Unsupported TypedArray subtype: "+e.constructor.name)});const r=new Uint8Array(t);let s=0;return n.forEach(e=>{r.set(new Uint8Array(e.buffer),s),s+=e.byteLength}),r.buffer}const ms="undefined"!=typeof Buffer&&("undefined"==typeof Blob||"undefined"==typeof atob||"undefined"==typeof btoa);function gs(e){return ms?Buffer.byteLength(e):new Blob([e]).size}function bs(e){if(1===e.length)return e[0];let t=0;e.forEach(e=>{t+=e.byteLength});const n=new Uint8Array(t);let r=0;return e.forEach(e=>{n.set(new Uint8Array(e),r),r+=e.byteLength}),n.buffer}function ws(e){for(e=e.trim();e.endsWith("/");)e=e.slice(0,e.length-1);const t=e.split("/");return t[t.length-1]}function ys(e){if(e.modelTopology instanceof ArrayBuffer)throw new Error("Expected JSON model topology, received ArrayBuffer.");return{dateSaved:new Date,modelTopologyType:"JSON",modelTopologyBytes:null==e.modelTopology?0:gs(JSON.stringify(e.modelTopology)),weightSpecsBytes:null==e.weightSpecs?0:gs(JSON.stringify(e.weightSpecs)),weightDataBytes:null==e.weightData?0:e.weightData.byteLength}}function ks(){const e=function(){const e=e=>{let t=e<<13,n=0;for(;0==(8388608&t);)n-=8388608,t<<=1;return t&=-8388609,n+=947912704,t|n},t=new Uint32Array(2048);t[0]=0;for(let n=1;n<1024;n++)t[n]=e(n);for(let e=1024;e<2048;e++)t[e]=939524096+(e-1024<<13);return t}(),t=function(){const e=new Uint32Array(64);e[0]=0,e[31]=1199570944,e[32]=2147483648,e[63]=3347054592;for(let t=1;t<31;t++)e[t]=t<<23;for(let t=33;t<63;t++)e[t]=2147483648+(t-32<<23);return e}(),n=function(){const e=new Uint32Array(64);for(let t=0;t<64;t++)e[t]=1024;return e[0]=e[32]=0,e}();return r=>{const s=new ArrayBuffer(4*r.length),o=new Uint32Array(s);for(let s=0;s<r.length;s++){const a=r[s],i=e[n[a>>10]+(1023&a)]+t[a>>10];o[s]=i}return new Float32Array(s)}}class vs{constructor(){this.saveRouters=[],this.loadRouters=[]}static getInstance(){return null==vs.instance&&(vs.instance=new vs),vs.instance}static registerSaveRouter(e){vs.getInstance().saveRouters.push(e)}static registerLoadRouter(e){vs.getInstance().loadRouters.push(e)}static getSaveHandlers(e){return vs.getHandlers(e,"save")}static getLoadHandlers(e,t){return vs.getHandlers(e,"load",t)}static getHandlers(e,t,n){const r=[];return("load"===t?vs.getInstance().loadRouters:vs.getInstance().saveRouters).forEach(t=>{const s=t(e,n);null!==s&&r.push(s)}),r}}class xs{constructor(){this.managers={}}static getInstance(){return null==xs.instance&&(xs.instance=new xs),xs.instance}static registerManager(e,t){m(null!=e,()=>"scheme must not be undefined or null."),e.endsWith("://")&&(e=e.slice(0,e.indexOf("://"))),m(e.length>0,()=>"scheme must not be an empty string.");const n=xs.getInstance();m(null==n.managers[e],()=>`A model store manager is already registered for scheme '${e}'.`),n.managers[e]=t}static getManager(e){const t=this.getInstance().managers[e];if(null==t)throw new Error(`Cannot find model manager for scheme '${e}'`);return t}static getSchemes(){return Object.keys(this.getInstance().managers)}}function Es(e){if(-1===e.indexOf("://"))throw new Error("The url string provided does not contain a scheme. Supported schemes are: "+xs.getSchemes().join(","));return{scheme:e.split("://")[0],path:e.split("://")[1]}}async function Ss(e,t,n=!1){m(e!==t,()=>`Old path and new path are the same: '${e}'`);const r=vs.getLoadHandlers(e);m(r.length>0,()=>`Copying failed because no load handler is found for source URL ${e}.`),m(r.length<2,()=>`Copying failed because more than one (${r.length}) load handlers for source URL ${e}.`);const s=r[0],o=vs.getSaveHandlers(t);m(o.length>0,()=>`Copying failed because no save handler is found for destination URL ${t}.`),m(o.length<2,()=>`Copying failed because more than one (${r.length}) save handlers for destination URL ${t}.`);const a=o[0],i=Es(e).scheme,u=Es(e).path,l=i===Es(e).scheme,c=await s.load();n&&l&&await xs.getManager(i).removeModel(u);const h=await a.save(c);return n&&!l&&await xs.getManager(i).removeModel(u),h.modelArtifactsInfo}function Ds(){if(!n().getBool("IS_BROWSER"))throw new Error("Failed to obtain IndexedDB factory because the current environmentis not a web browser.");const e="undefined"==typeof window?self:window,t=e.indexedDB||e.mozIndexedDB||e.webkitIndexedDB||e.msIndexedDB||e.shimIndexedDB;if(null==t)throw new Error("The current browser does not appear to support IndexedDB.");return t}function Is(e){const t=e.result;t.createObjectStore("models_store",{keyPath:"modelPath"}),t.createObjectStore("model_info_store",{keyPath:"modelPath"})}class Ns{constructor(e){if(this.indexedDB=Ds(),null==e||!e)throw new Error("For IndexedDB, modelPath must not be null, undefined or empty.");this.modelPath=e}async save(e){if(e.modelTopology instanceof ArrayBuffer)throw new Error("BrowserLocalStorage.save() does not support saving model topology in binary formats yet.");return this.databaseAction(this.modelPath,e)}async load(){return this.databaseAction(this.modelPath)}databaseAction(e,t){return new Promise((e,n)=>{const r=this.indexedDB.open("tensorflowjs",1);r.onupgradeneeded=()=>Is(r),r.onsuccess=()=>{const s=r.result;if(null==t){const t=s.transaction("models_store","readonly"),r=t.objectStore("models_store").get(this.modelPath);r.onsuccess=()=>{if(null==r.result)return s.close(),n(new Error(`Cannot find model with path '${this.modelPath}' in IndexedDB.`));e(r.result.modelArtifacts)},r.onerror=e=>(s.close(),n(r.error)),t.oncomplete=()=>s.close()}else{const r=ys(t),o=s.transaction("model_info_store","readwrite");let a=o.objectStore("model_info_store");const i=a.put({modelPath:this.modelPath,modelArtifactsInfo:r});let u;i.onsuccess=()=>{u=s.transaction("models_store","readwrite");const i=u.objectStore("models_store").put({modelPath:this.modelPath,modelArtifacts:t,modelArtifactsInfo:r});i.onsuccess=()=>e({modelArtifactsInfo:r}),i.onerror=e=>{a=o.objectStore("model_info_store");const t=a.delete(this.modelPath);t.onsuccess=()=>(s.close(),n(i.error)),t.onerror=e=>(s.close(),n(i.error))}},i.onerror=e=>(s.close(),n(i.error)),o.oncomplete=()=>{null==u?s.close():u.oncomplete=()=>s.close()}}},r.onerror=e=>n(r.error)})}}Ns.URL_SCHEME="indexeddb://";const $s=e=>{return n().getBool("IS_BROWSER")&&!Array.isArray(e)&&e.startsWith(Ns.URL_SCHEME)?(t=e.slice(Ns.URL_SCHEME.length),new Ns(t)):null;var t};vs.registerSaveRouter($s),vs.registerLoadRouter($s);class Fs{constructor(){this.indexedDB=Ds()}async listModels(){return new Promise((e,t)=>{const n=this.indexedDB.open("tensorflowjs",1);n.onupgradeneeded=()=>Is(n),n.onsuccess=()=>{const r=n.result,s=r.transaction("model_info_store","readonly"),o=s.objectStore("model_info_store").getAll();o.onsuccess=()=>{const t={};for(const e of o.result)t[e.modelPath]=e.modelArtifactsInfo;e(t)},o.onerror=e=>(r.close(),t(o.error)),s.oncomplete=()=>r.close()},n.onerror=e=>t(n.error)})}async removeModel(e){var t;return e=(t=e).startsWith(Ns.URL_SCHEME)?t.slice(Ns.URL_SCHEME.length):t,new Promise((t,n)=>{const r=this.indexedDB.open("tensorflowjs",1);r.onupgradeneeded=()=>Is(r),r.onsuccess=()=>{const s=r.result,o=s.transaction("model_info_store","readwrite"),a=o.objectStore("model_info_store"),i=a.get(e);let u;i.onsuccess=()=>{if(null==i.result)return s.close(),n(new Error(`Cannot find model with path '${e}' in IndexedDB.`));{const r=a.delete(e),o=()=>{u=s.transaction("models_store","readwrite");const r=u.objectStore("models_store").delete(e);r.onsuccess=()=>t(i.result.modelArtifactsInfo),r.onerror=e=>n(i.error)};r.onsuccess=o,r.onerror=e=>(o(),s.close(),n(i.error))}},i.onerror=e=>(s.close(),n(i.error)),o.oncomplete=()=>{null==u?s.close():u.oncomplete=()=>s.close()}},r.onerror=e=>n(r.error)})}}if(n().getBool("IS_BROWSER"))try{xs.registerManager(Ns.URL_SCHEME,new Fs)}catch(e){}const Ms="tensorflowjs_models",As="info",_s="model_topology",Ts="weight_specs",Bs="weight_data",Cs="model_metadata";function Rs(e){return{info:[Ms,e,As].join("/"),topology:[Ms,e,_s].join("/"),weightSpecs:[Ms,e,Ts].join("/"),weightData:[Ms,e,Bs].join("/"),modelMetadata:[Ms,e,Cs].join("/")}}function Ps(e){const t=e.split("/");if(t.length<3)throw new Error("Invalid key format: "+e);return t.slice(1,t.length-1).join("/")}class qs{constructor(e){if(!n().getBool("IS_BROWSER")||"undefined"==typeof window||void 0===window.localStorage)throw new Error("The current environment does not support local storage.");if(this.LS=window.localStorage,null==e||!e)throw new Error("For local storage, modelPath must not be null, undefined or empty.");this.modelPath=e,this.keys=Rs(this.modelPath)}async save(e){if(e.modelTopology instanceof ArrayBuffer)throw new Error("BrowserLocalStorage.save() does not support saving model topology in binary formats yet.");{const t=JSON.stringify(e.modelTopology),n=JSON.stringify(e.weightSpecs),r=ys(e);try{return this.LS.setItem(this.keys.info,JSON.stringify(r)),this.LS.setItem(this.keys.topology,t),this.LS.setItem(this.keys.weightSpecs,n),this.LS.setItem(this.keys.weightData,function(e){if(ms)return Buffer.from(e).toString("base64");const t=new Uint8Array(e);let n="";for(let e=0,r=t.length;e<r;e++)n+=String.fromCharCode(t[e]);return btoa(n)}(e.weightData)),this.LS.setItem(this.keys.modelMetadata,JSON.stringify({format:e.format,generatedBy:e.generatedBy,convertedBy:e.convertedBy,userDefinedMetadata:e.userDefinedMetadata})),{modelArtifactsInfo:r}}catch(e){throw this.LS.removeItem(this.keys.info),this.LS.removeItem(this.keys.topology),this.LS.removeItem(this.keys.weightSpecs),this.LS.removeItem(this.keys.weightData),this.LS.removeItem(this.keys.modelMetadata),new Error(`Failed to save model '${this.modelPath}' to local storage: size quota being exceeded is a possible cause of this failure: modelTopologyBytes=${r.modelTopologyBytes}, weightSpecsBytes=${r.weightSpecsBytes}, weightDataBytes=${r.weightDataBytes}.`)}}}async load(){const e=JSON.parse(this.LS.getItem(this.keys.info));if(null==e)throw new Error(`In local storage, there is no model with name '${this.modelPath}'`);if("JSON"!==e.modelTopologyType)throw new Error("BrowserLocalStorage does not support loading non-JSON model topology yet.");const t={},n=JSON.parse(this.LS.getItem(this.keys.topology));if(null==n)throw new Error(`In local storage, the topology of model '${this.modelPath}' is missing.`);t.modelTopology=n;const r=JSON.parse(this.LS.getItem(this.keys.weightSpecs));if(null==r)throw new Error(`In local storage, the weight specs of model '${this.modelPath}' are missing.`);t.weightSpecs=r;const s=this.LS.getItem(this.keys.modelMetadata);if(null!=s){const e=JSON.parse(s);t.format=e.format,t.generatedBy=e.generatedBy,t.convertedBy=e.convertedBy,t.userDefinedMetadata=e.userDefinedMetadata}const o=this.LS.getItem(this.keys.weightData);if(null==o)throw new Error(`In local storage, the binary weight values of model '${this.modelPath}' are missing.`);return t.weightData=function(e){if(ms){const t=Buffer.from(e,"base64");return t.buffer.slice(t.byteOffset,t.byteOffset+t.byteLength)}const t=atob(e),n=new Uint8Array(t.length);for(let e=0;e<t.length;++e)n.set([t.charCodeAt(e)],e);return n.buffer}(o),t}}qs.URL_SCHEME="localstorage://";const zs=e=>{return n().getBool("IS_BROWSER")&&!Array.isArray(e)&&e.startsWith(qs.URL_SCHEME)?(t=e.slice(qs.URL_SCHEME.length),new qs(t)):null;var t};vs.registerSaveRouter(zs),vs.registerLoadRouter(zs);class Ls{constructor(){m(n().getBool("IS_BROWSER"),()=>"Current environment is not a web browser"),m("undefined"==typeof window||void 0!==window.localStorage,()=>"Current browser does not appear to support localStorage"),this.LS=window.localStorage}async listModels(){const e={},t=Ms+"/",n="/"+As;for(let r=0;r<this.LS.length;++r){const s=this.LS.key(r);if(s.startsWith(t)&&s.endsWith(n)){e[Ps(s)]=JSON.parse(this.LS.getItem(s))}}return e}async removeModel(e){var t;const n=Rs(e=(t=e).startsWith(qs.URL_SCHEME)?t.slice(qs.URL_SCHEME.length):t);if(null==this.LS.getItem(n.info))throw new Error(`Cannot find model at path '${e}'`);const r=JSON.parse(this.LS.getItem(n.info));return this.LS.removeItem(n.info),this.LS.removeItem(n.topology),this.LS.removeItem(n.weightSpecs),this.LS.removeItem(n.weightData),r}}if(n().getBool("IS_BROWSER"))try{xs.registerManager(qs.URL_SCHEME,new Ls)}catch(e){}function Os(e){return new Promise(e=>setTimeout(e)).then(e)}class Ws{constructor(e){if(!n().getBool("IS_BROWSER"))throw new Error("browserDownloads() cannot proceed because the current environment is not a browser.");e.startsWith(Ws.URL_SCHEME)&&(e=e.slice(Ws.URL_SCHEME.length)),null!=e&&0!==e.length||(e="model"),this.modelTopologyFileName=e+".json",this.weightDataFileName=e+".weights.bin"}async save(e){if("undefined"==typeof document)throw new Error("Browser downloads are not supported in this environment since `document` is not present");const t=window.URL.createObjectURL(new Blob([e.weightData],{type:"application/octet-stream"}));if(e.modelTopology instanceof ArrayBuffer)throw new Error("BrowserDownloads.save() does not support saving model topology in binary formats yet.");{const n=[{paths:["./"+this.weightDataFileName],weights:e.weightSpecs}],r={modelTopology:e.modelTopology,format:e.format,generatedBy:e.generatedBy,convertedBy:e.convertedBy,weightsManifest:n},s=window.URL.createObjectURL(new Blob([JSON.stringify(r)],{type:"application/json"})),o=null==this.jsonAnchor?document.createElement("a"):this.jsonAnchor;if(o.download=this.modelTopologyFileName,o.href=s,await Os(()=>o.dispatchEvent(new MouseEvent("click"))),null!=e.weightData){const e=null==this.weightDataAnchor?document.createElement("a"):this.weightDataAnchor;e.download=this.weightDataFileName,e.href=t,await Os(()=>e.dispatchEvent(new MouseEvent("click")))}return{modelArtifactsInfo:ys(e)}}}}Ws.URL_SCHEME="downloads://";class Ks{constructor(e){if(null==e||e.length<1)throw new Error("When calling browserFiles, at least 1 file is required, but received "+e);this.files=e}async load(){const e=this.files[0],t=this.files.slice(1);return new Promise((n,r)=>{const s=new FileReader;s.onload=s=>{const o=JSON.parse(s.target.result),a=o.modelTopology;if(null==a)return void r(new Error("modelTopology field is missing from file "+e.name));0===t.length&&n({modelTopology:a});const i=o.weightsManifest;if(null==i)return void r(new Error("weightManifest field is missing from file "+e.name));let u;try{u=this.checkManifestAndWeightFiles(i,t)}catch(e){return void r(e)}const l=[],c=[],h=[];i.forEach(e=>{e.paths.forEach(e=>{c.push(e),h.push(null)}),l.push(...e.weights)}),i.forEach(e=>{e.paths.forEach(e=>{const t=new FileReader;t.onload=t=>{const r=t.target.result,s=c.indexOf(e);h[s]=r,-1===h.indexOf(null)&&n({modelTopology:a,weightSpecs:l,weightData:bs(h),format:o.format,generatedBy:o.generatedBy,convertedBy:o.convertedBy,userDefinedMetadata:o.userDefinedMetadata})},t.onerror=t=>r(`Failed to weights data from file of path '${e}'.`),t.readAsArrayBuffer(u[e])})})},s.onerror=t=>r(`Failed to read model topology and weights manifest JSON from file '${e.name}'. BrowserFiles supports loading Keras-style tf.Model artifacts only.`),s.readAsText(e)})}checkManifestAndWeightFiles(e,t){const n=[],r=t.map(e=>ws(e.name)),s={};for(const o of e)o.paths.forEach(e=>{const o=ws(e);if(-1!==n.indexOf(o))throw new Error(`Duplicate file basename found in weights manifest: '${o}'`);if(n.push(o),-1===r.indexOf(o))throw new Error(`Weight file with basename '${o}' is not provided.`);s[e]=t[r.indexOf(o)]});if(n.length!==t.length)throw new Error(`Mismatch in the number of files in weights manifest (${n.length}) and the number of weight files provided (${t.length}).`);return s}}function Gs(e,t,n,r){!function(e){m(null!=e&&Array.isArray(e)&&e.length>0,()=>"promises must be a none empty array")}(e),function(e,t){m(e>=0&&e<=1,()=>"Progress fraction must be in range [0, 1], but got startFraction "+e),m(t>=0&&t<=1,()=>"Progress fraction must be in range [0, 1], but got endFraction "+t),m(t>=e,()=>`startFraction must be no more than endFraction, but got startFraction ${e} and endFraction `+t)}(n=null==n?0:n,r=null==r?1:r);let s=0;return Promise.all(e.map(o=>(o.then(o=>{const a=n+ ++s/e.length*(r-n);return t(a),o}),o)))}async function Us(e,t){null==t&&(t={});const r=null==t.fetchFunc?n().platform.fetch:t.fetchFunc,s=e.map(e=>r(e,t.requestInit,{isBinary:!0})),o=(null==t.onProgress?await Promise.all(s):await Gs(s,t.onProgress,0,.5)).map(e=>e.arrayBuffer());return null==t.onProgress?await Promise.all(o):await Gs(o,t.onProgress,.5,1)}function Hs(e){return async(t,n="",r)=>{const s=t.map(()=>!1),o={},a=null!=r?r.map(()=>!1):[],i=[];if(t.forEach((e,t)=>{let n=0;e.weights.forEach(e=>{const u="quantization"in e?e.quantization.dtype:e.dtype,l=ds[u]*y(e.shape),c=()=>{s[t]=!0,null==o[t]&&(o[t]=[]),o[t].push({manifestEntry:e,groupOffset:n,sizeBytes:l})};null!=r?r.forEach((t,n)=>{t===e.name&&(c(),a[n]=!0)}):c(),i.push(e.name),n+=l})}),!a.every(e=>e)){const e=r.filter((e,t)=>!a[t]);throw new Error("Could not find weights in manifest with names: "+e.join(", ")+". \nManifest JSON has weights with names: "+i.join(", ")+".")}const u=s.reduce((e,t,n)=>(t&&e.push(n),e),[]),l=[];u.forEach(e=>{t[e].paths.forEach(e=>{const t=n+(n.endsWith("/")?"":"/")+e;l.push(t)})});const c=await e(l),h={};let d=0;return u.forEach(e=>{const n=t[e].paths.length;let r=0;for(let e=0;e<n;e++)r+=c[d+e].byteLength;const s=new ArrayBuffer(r),a=new Uint8Array(s);let i=0;for(let e=0;e<n;e++){const t=new Uint8Array(c[d+e]);a.set(t,i),i+=t.byteLength}o[e].forEach(e=>{const t=ps(s.slice(e.groupOffset,e.groupOffset+e.sizeBytes),[e.manifestEntry]);for(const e in t)h[e]=t[e]}),d+=n}),h}}vs.registerSaveRouter(e=>n().getBool("IS_BROWSER")&&!Array.isArray(e)&&e.startsWith(Ws.URL_SCHEME)?function(e="model"){return new Ws(e)}(e.slice(Ws.URL_SCHEME.length)):null);class Vs{constructor(e,t){if(this.DEFAULT_METHOD="POST",null==t&&(t={}),this.weightPathPrefix=t.weightPathPrefix,this.onProgress=t.onProgress,null!=t.fetchFunc?(m("function"==typeof t.fetchFunc,()=>"Must pass a function that matches the signature of `fetch` (see https://developer.mozilla.org/en-US/docs/Web/API/Fetch_API)"),this.fetch=t.fetchFunc):this.fetch=n().platform.fetch,m(null!=e&&e.length>0,()=>"URL path for http must not be null, undefined or empty."),Array.isArray(e)&&m(2===e.length,()=>`URL paths for http must have a length of 2, (actual length is ${e.length}).`),this.path=e,null!=t.requestInit&&null!=t.requestInit.body)throw new Error("requestInit is expected to have no pre-existing body, but has one.");this.requestInit=t.requestInit||{}}async save(e){if(e.modelTopology instanceof ArrayBuffer)throw new Error("BrowserHTTPRequest.save() does not support saving model topology in binary formats yet.");const t=Object.assign({method:this.DEFAULT_METHOD},this.requestInit);t.body=new FormData;const n=[{paths:["./model.weights.bin"],weights:e.weightSpecs}],r={modelTopology:e.modelTopology,format:e.format,generatedBy:e.generatedBy,convertedBy:e.convertedBy,userDefinedMetadata:e.userDefinedMetadata,weightsManifest:n};t.body.append("model.json",new Blob([JSON.stringify(r)],{type:"application/json"}),"model.json"),null!=e.weightData&&t.body.append("model.weights.bin",new Blob([e.weightData],{type:"application/octet-stream"}),"model.weights.bin");const s=await this.fetch(this.path,t);if(s.ok)return{modelArtifactsInfo:ys(e),responses:[s]};throw new Error("BrowserHTTPRequest.save() failed due to HTTP response status "+s.status+".")}async load(){const e=await this.fetch(this.path,this.requestInit);if(!e.ok)throw new Error(`Request to ${this.path} failed with status code `+e.status+". Please verify this URL points to the model JSON of the model to load.");let t;try{t=await e.json()}catch(e){let t=`Failed to parse model JSON of response from ${this.path}.`;throw this.path.endsWith(".pb")?t+=" Your path contains a .pb file extension. Support for .pb models have been removed in TensorFlow.js 1.0 in favor of .json models. You can re-convert your Python TensorFlow model using the TensorFlow.js 1.0 conversion scripts or you can convert your.pb models with the 'pb2json'NPM script in the tensorflow/tfjs-converter repository.":t+=" Please make sure the server is serving valid JSON for this request.",new Error(t)}const n=t.modelTopology,r=t.weightsManifest,s=t.generatedBy,o=t.convertedBy,a=t.format,i=t.userDefinedMetadata;if(null==n&&null==r)throw new Error(`The JSON from HTTP path ${this.path} contains neither model topology or manifest for weights.`);let u,l;if(null!=r){const e=await this.loadWeights(r);[u,l]=e}return{modelTopology:n,weightSpecs:u,weightData:l,userDefinedMetadata:i,generatedBy:s,convertedBy:o,format:a}}async loadWeights(e){const t=Array.isArray(this.path)?this.path[1]:this.path,[n,r]=function(e){const t=e.lastIndexOf("/"),n=e.lastIndexOf("?"),r=e.substring(0,t),s=n>t?e.substring(n):"";return[r+"/",s]}(t),s=this.weightPathPrefix||n,o=[];for(const t of e)o.push(...t.weights);const a=[];return e.forEach(e=>{e.paths.forEach(e=>{a.push(s+e+r)})}),[o,bs(await Us(a,{requestInit:this.requestInit,fetchFunc:this.fetch,onProgress:this.onProgress}))]}}function js(e){return null!=e.match(Vs.URL_SCHEME_REGEX)}Vs.URL_SCHEME_REGEX=/^https?:\/\//;const Js=(e,t)=>{if("undefined"==typeof fetch&&(null==t||null==t.fetchFunc))return null;{let n=!0;if(n=Array.isArray(e)?e.every(e=>js(e)):js(e),n)return Ys(e,t)}return null};function Ys(e,t){return new Vs(e,t)}vs.registerSaveRouter(Js),vs.registerLoadRouter(Js);class Xs{constructor(e){this.modelArtifacts=e}async load(){return this.modelArtifacts}}class Zs{constructor(e){this.saveHandler=e}async save(e){return this.saveHandler(e)}}var Qs=Object.freeze({__proto__:null,browserFiles:function(e){return new Ks(e)},browserHTTPRequest:function(e,t){return Ys(e,t)},concatenateArrayBuffers:bs,decodeWeights:ps,encodeWeights:async function(e,t){const n=[],r=[],s=Array.isArray(e)?e.map(e=>e.name):Object.keys(e);for(let o=0;o<s.length;++o){const a=s[o],i=Array.isArray(e)?e[o].tensor:e[a];if("float32"!==i.dtype&&"int32"!==i.dtype&&"bool"!==i.dtype&&"string"!==i.dtype&&"complex64"!==i.dtype)throw new Error(`Unsupported dtype in weight '${a}': ${i.dtype}`);const u={name:a,shape:i.shape,dtype:i.dtype};if("string"===i.dtype){const e=new Promise(async e=>{const t=await i.bytes(),n=t.reduce((e,t)=>e+t.length,0)+4*t.length,r=new Uint8Array(n);let s=0;for(let e=0;e<t.length;e++){const n=t[e],o=new Uint8Array(new Uint32Array([n.length]).buffer);r.set(o,s),s+=4,r.set(n,s),s+=n.length}e(r)});r.push(e)}else r.push(i.data());null!=t&&(u.group=t),n.push(u)}return{data:fs(await Promise.all(r)),specs:n}},fromMemory:function(e,t,n,r){if(1===arguments.length){return null!=e.modelTopology||null!=e.weightSpecs?new Xs(e):(console.warn("Please call tf.io.fromMemory() with only one argument. The argument should be of type ModelArtifacts. The multi-argument signature of tf.io.fromMemory() has been deprecated and will be removed in a future release."),new Xs({modelTopology:e}))}return console.warn("Please call tf.io.fromMemory() with only one argument. The argument should be of type ModelArtifacts. The multi-argument signature of tf.io.fromMemory() has been deprecated and will be removed in a future release."),new Xs({modelTopology:e,weightSpecs:t,weightData:n,trainingConfig:r})},getLoadHandlers:(e,t)=>vs.getLoadHandlers(e,t),getModelArtifactsInfoForJSON:ys,getSaveHandlers:e=>vs.getSaveHandlers(e),http:Ys,isHTTPScheme:js,loadWeights:async function(e,t="",n,r){return Hs(e=>Us(e,{requestInit:r}))(e,t,n)},registerLoadRouter:e=>vs.registerLoadRouter(e),registerSaveRouter:e=>vs.registerSaveRouter(e),weightsLoaderFactory:Hs,withSaveHandler:function(e){return new Zs(e)},copyModel:async function(e,t){return Ss(e,t,!1)},listModels:async function(){const e=xs.getSchemes(),t={};for(const n of e){const e=await xs.getManager(n).listModels();for(const r in e){t[n+"://"+r]=e[r]}}return t},moveModel:async function(e,t){return Ss(e,t,!0)},removeModel:async function(e){const t=Es(e);return xs.getManager(t.scheme).removeModel(t.path)}});const eo=_e({oneHot_:function(e,t,n=1,r=0){if(t<2)throw new Error("Error in oneHot: depth must be >=2, but it is "+t);let s=Me(e,"indices","oneHot","int32");const o=[...s.shape,t];s=s.flatten();const a={indices:s},i={depth:t,onValue:n,offValue:r};return ke.runKernelFunc((e,a)=>(a([s]),at(e.oneHot(s,t,n,r),o)),a,null,"OneHot",i)}});const to=_e({confusionMatrix_:function(e,t,n){const r=Me(e,"labels","confusionMatrix"),s=Me(t,"predictions","confusionMatrix");m(null==n||n>0&&Number.isInteger(n),()=>"If provided, numClasses must be a positive integer, but got "+n),m(1===r.rank,()=>"Expected the rank of labels to be 1, but got "+r.rank),m(1===s.rank,()=>"Expected the rank of predictions to be 1, but got "+s.rank),m(r.shape[0]===s.shape[0],()=>`Mismatch in the number of examples: ${r.shape[0]} vs. ${s.shape[0]}. Labels and predictions should have the same number of elements.`),m(n>0&&Number.isInteger(n),()=>"numClasses is required to be a positive integer, but got "+n);const o=eo(r.asType("int32"),n),a=eo(s.asType("int32"),n);return o.transpose().matMul(a).asType("int32")}});var no=Object.freeze({__proto__:null,confusionMatrix:to});let ro;const so=_e({fromPixels_:function(e,t=3){if(t>4)throw new Error("Cannot construct Tensor with more than 4 channels from pixels.");if(null==e)throw new Error("pixels passed to tf.browser.fromPixels() can not be null");let n=!1,r=!1,s=!1,o=!1,a=!1;if(e.data instanceof Uint8Array)n=!0;else if("undefined"!=typeof ImageData&&e instanceof ImageData)r=!0;else if("undefined"!=typeof HTMLVideoElement&&e instanceof HTMLVideoElement)s=!0;else if("undefined"!=typeof HTMLImageElement&&e instanceof HTMLImageElement)o=!0;else{if(null==e.getContext)throw new Error("pixels passed to tf.browser.fromPixels() must be either an HTMLVideoElement, HTMLImageElement, HTMLCanvasElement, ImageData in browser, or OffscreenCanvas, ImageData in webworker or {data: Uint32Array, width: number, height: number}, but was "+e.constructor.name);a=!0}if(s){const t=2;if(s&&e.readyState<t)throw new Error("The video element has not loaded data yet. Please wait for `loadeddata` event on the <video> element.")}if(null!=u("FromPixels",ke.backendName)){const n={pixels:e},r={numChannels:t};return ke.runKernel("FromPixels",n,r)}const[i,l]=s?[e.videoWidth,e.videoHeight]:[e.width,e.height];let c,h;if(a?c=e.getContext("2d").getImageData(0,0,i,l).data:r||n?c=e.data:(o||s)&&(null==ro&&(ro=document.createElement("canvas").getContext("2d")),ro.canvas.width=i,ro.canvas.height=l,ro.drawImage(e,0,0,i,l),c=ro.getImageData(0,0,i,l).data),4===t)h=new Int32Array(c);else{const e=i*l;h=new Int32Array(e*t);for(let n=0;n<e;n++)for(let e=0;e<t;++e)h[n*t+e]=c[4*n+e]}return Ge(h,[l,i,t],"int32")}});var oo=Object.freeze({__proto__:null,toPixels:async function(e,t){let n=Me(e,"img","toPixels");if(!(e instanceof oe)){const e=n;n=e.toInt(),e.dispose()}if(2!==n.rank&&3!==n.rank)throw new Error(`toPixels only supports rank 2 or 3 tensors, got rank ${n.rank}.`);const[r,s]=n.shape.slice(0,2),o=2===n.rank?1:n.shape[2];if(o>4||2===o)throw new Error("toPixels only supports depth of size 1, 3 or 4 but got "+o);const a=await n.data(),i=n.min(),u=n.max(),l=await Promise.all([i.data(),u.data()]),c=l[0],h=l[1],d=c[0],p=h[0];if(i.dispose(),u.dispose(),"float32"===n.dtype){if(d<0||p>1)throw new Error(`Tensor values for a float32 Tensor must be in the range [0 - 1] but got range [${d} - ${p}].`)}else{if("int32"!==n.dtype)throw new Error(`Unsupported type for toPixels: ${n.dtype}. Please use float32 or int32 tensors.`);if(d<0||p>255)throw new Error(`Tensor values for a int32 Tensor must be in the range [0 - 255] but got range [${d} - ${p}].`)}const f="float32"===n.dtype?255:1,m=new Uint8ClampedArray(s*r*4);for(let e=0;e<r*s;++e){let t,n,r,s;1===o?(t=a[e]*f,n=a[e]*f,r=a[e]*f,s=255):3===o?(t=a[3*e]*f,n=a[3*e+1]*f,r=a[3*e+2]*f,s=255):4===o&&(t=a[4*e]*f,n=a[4*e+1]*f,r=a[4*e+2]*f,s=a[4*e+3]*f);const i=4*e;m[i+0]=Math.round(t),m[i+1]=Math.round(n),m[i+2]=Math.round(r),m[i+3]=Math.round(s)}if(null!=t){t.width=s,t.height=r;const e=t.getContext("2d"),n=new ImageData(m,s,r);e.putImageData(n,0,0)}return n!==e&&n.dispose(),m},fromPixels:so});function ao(e,t){if(e.rank<1)throw new Error(`tf.gatherND() expects the input to be rank 1 or higher, but the rank was ${e.rank}.`);if(t.rank<1)throw new Error(`tf.gatherND() expects the indices to be rank 1 or higher, but the rank was ${t.rank}.`);if("int32"!==t.dtype)throw new Error(`tf.gatherND() expects the indices to be int32 type, but the dtype was ${t.dtype}.`);if(t.shape[t.rank-1]>e.rank)throw new Error(`index innermost dimension length must be <= tensor rank; saw: ${t.shape[t.rank-1]} vs. ${e.rank}`);if(0===e.size)throw new Error(`Requested more than 0 entries, but input is empty. Input shape: ${e.shape}.`);const n=t.shape,r=n[n.length-1];let s=1;for(let e=0;e<n.length-1;++e)s*=n[e];const o=e.shape,a=n.slice();a.pop();let i=1;for(let t=r;t<e.rank;++t)i*=o[t],a.push(o[t]);const u=[...L(e.shape).map(e=>e/i),1].slice(0,r);return[a,s,i,u]}var io=Object.freeze({__proto__:null,prepareAndValidate:ao});function uo(e,t,n){const r=t.rank>1?t.shape[t.rank-1]:1,s=t.rank>1?t.rank-1:1,o="Must have updates.shape = indices.shape[:batchDim] + shape[sliceDim:], got updates.shape: "+n.shape+`, indices.shape: ${t.shape}, shape: ${e}`+`, sliceDim: ${r}, and batchDim: ${s}.`;if(n.rank<s)throw new Error(o+` update.rank < ${s}. `);if(e.length<r+(n.rank-s))throw new Error(o+" Output shape length < "+(r+(n.rank-s)));if(n.rank!==s+e.length-r)throw new Error(o+" update.rank != "+(s+e.length-r));for(let e=0;e<s;++e)if(n.shape[e]!==t.shape[e])throw new Error(o+` updates.shape[${e}] (${n.shape[e]}) != indices.shape[${e}] (${t.shape[e]}).`);for(let t=0;t<n.rank-s;++t)if(n.shape[t+s]!==e[t+r])throw new Error(o+` updates.shape[${t+s}] (${n.shape[t+s]}) != shape[${t+s}] (${e[t+s]})`)}function lo(e,t,n){if(t.rank<1)throw new Error(`tf.scatterND() expects the indices to be rank 1 or higher, but the rank was ${t.rank}.`);if(e.rank<1)throw new Error(`tf.scatterND() expects the updates to be rank 1 or higher, but the rank was ${e.rank}.`);if("int32"!==t.dtype)throw new Error("The dtype of 'indices' should be int32, but got dtype: "+t.dtype);if(n.length<1)throw new Error("Output rank must be greater or equal to 1, but got shape: "+n);if(0===n.length){if(0===t.size)throw new Error("Indices specified for empty output. indices shape: "+t.shape);if(0===e.size)throw new Error("Updates specified for empty output. updates shape: "+e.shape)}uo(n,t,e)}function co(e,t,n){const r=t.shape.length,s=r>1?t.shape[r-1]:1,o=n.length;let a=1;for(let e=s;e<o;++e)a*=n[e];const i=s<1?1:s;return{sliceRank:s,numUpdates:y(t.shape)/i,sliceSize:a,strides:[...L(n.slice(0,s)),1],outputSize:y(n)}}var ho=Object.freeze({__proto__:null,validateUpdateShape:uo,validateInput:lo,calculateShapes:co});class po{getClassName(){return this.constructor.className}static fromConfig(e,t){return new e(t)}}class fo{constructor(){this.classNameMap={}}static getMap(){return null==fo.instance&&(fo.instance=new fo),fo.instance}static register(e){fo.getMap().classNameMap[e.className]=[e,e.fromConfig]}}function mo(e){m(null!=e.className,()=>"Class being registered does not have the static className property defined."),m("string"==typeof e.className,()=>"className is required to be a string, but got type "+typeof e.className),m(e.className.length>0,()=>"Class being registered has an empty-string as its className, which is disallowed."),fo.register(e)}var go=Object.freeze({__proto__:null,Serializable:po,SerializationMap:fo,registerClass:mo});function bo(){return 32===ke.backend.floatPrecision()?.001:.1}function wo(e,t,n){let r=!0;if((A(e)||A(t))&&(r=!1),A(e)&&A(t)&&(r=!0),r){const n=e.constructor.name,r=t.constructor.name;if(n!==r)throw new Error(`Arrays are of different type. Actual: ${n}. Expected: `+r)}if(Array.isArray(e)&&Array.isArray(t)){const n=$e(e),r=$e(t);if(!k(n,r))throw new Error(`Arrays have different shapes. Actual: [${n}]. Expected: [${r}]`)}const s=A(e)?e:w(e),o=A(t)?t:w(t);if(s.length!==o.length)throw new Error(`Arrays have different lengths actual: ${s.length} vs expected: ${o.length}.\nActual:   ${s}.\nExpected: ${o}.`);for(let e=0;e<o.length;++e){const t=s[e],r=o[e];if(!n(t,r))throw new Error(`Arrays differ: actual[${e}] = ${t}, expected[${e}] = ${r}.\nActual:   ${s}.\nExpected: ${o}.`)}}function yo(e,t,n){return!isFinite(e)&&!isFinite(t)||!(isNaN(e)||isNaN(t)||Math.abs(e-t)>n)}var ko=Object.freeze({__proto__:null,TEST_EPSILON_FLOAT16:.1,expectArraysClose:function(e,t,n){return null==n&&(n=bo()),wo(e,t,(e,t)=>yo(e,t,n))},testEpsilon:bo,expectPromiseToFail:function(e,t){e().then(()=>t.fail(),()=>t())},expectArraysEqual:function(e,t){const n="string"==typeof t||"number"==typeof t||"boolean"==typeof t?[t]:t;return B(e)||B(e[0])||B(t)||B(t[0])?wo(e,n,(e,t)=>e==t):wo(e,t,(e,t)=>yo(e,t,0))},expectNumbersClose:function(e,t,n){if(null==n&&(n=bo()),!yo(e,t,n))throw new Error(`Numbers differ: actual === ${e}, expected === ${t}`)},expectValuesInRange:function(e,t,n){for(let r=0;r<e.length;r++)if(e[r]<t||e[r]>n)throw new Error(`Value out of range:${e[r]} low: ${t}, high: ${n}`)},expectArrayBuffersEqual:function(e,t){expect(new Float32Array(e)).toEqual(new Float32Array(t))}});function vo(e){n().getBool("DEPRECATION_WARNINGS_ENABLED")&&console.warn(e+" You can disable deprecation warnings with tf.disableDeprecationWarnings().")}function xo(e,t){return ke.tidy(e,t)}function Eo(e){ge(e).forEach(e=>e.dispose())}function So(e){return ke.keep(e)}const Do=_e({addN_:function(e){m(Array.isArray(e),()=>"The argument passed to tf.addN() must be a list of tensors"),m(e.length>=1,()=>"Must pass at least one tensor to tf.addN(), but got "+e.length);const t=e.map((e,t)=>Me(e,"tensors"+t,"addN")),n=t[0];t.forEach(e=>{if(e.dtype!==n.dtype)throw new Error("All tensors passed to tf.addN() must have the same dtype")}),t.forEach(e=>{if(!k(e.shape,n.shape))throw new Error("All tensors passed to tf.addN() must have the same shape")});const r=t;return ke.runKernelFunc((e,n)=>{const r=e.addN(t);return n(t),r},r,null,"AddN")}});const Io=_e({atan2_:function(e,t){let n=Me(e,"a","atan2"),r=Me(t,"b","atan2");[n,r]=fe(n,r);const s={a:n,b:r};return ke.runKernelFunc((e,t)=>{const s=e.atan2(n,r);return t([n,r]),s},s,null,"Atan2")}});const No=_e({avgPool_:function(e,t,n,r,s){const o=Me(e,"x","avgPool","float32");m($n(n,1),()=>`Error in avgPool: Either strides or dilations must be 1. Got strides ${n} and dilations '1'`);let a=o,i=!1;3===o.rank&&(i=!0,a=at(o,[1,o.shape[0],o.shape[1],o.shape[2]])),m(4===a.rank,()=>`Error in avgPool: x must be rank 4 but got rank ${a.rank}.`),null!=s&&m(v(r),()=>`Error in avgPool: pad must be an integer when using, dimRoundingMode ${s} but got pad ${r}.`);const u={x:a},l={filterSize:t,strides:n,pad:r,dimRoundingMode:s};let c=ke.runKernelFunc((e,o)=>{const i=wn(a.shape,t,n,1,r,s);return o([a]),1===i.filterWidth&&1===i.filterHeight&&k(i.inShape,i.outShape)?a.clone():e.avgPool(a,i)},u,null,"AvgPool",l);return c=st(c,o.dtype),i?c.as3D(c.shape[1],c.shape[2],c.shape[3]):c}});const $o=_e({avgPool3d_:function(e,t,n,r,s,o="NDHWC",a){null==a?a=[1,1,1]:vo("dilations is deprecated, this field will be gone in v3.0.0.");const i=Me(e,"x","avgPool3d","float32");let u=i,l=!1;4===i.rank&&(l=!0,u=at(i,[1,i.shape[0],i.shape[1],i.shape[2],i.shape[3]])),m(5===u.rank,()=>`Error in avgPool3d: x must be rank 5 but got rank ${u.rank}.`),m("NDHWC"===o,()=>"Error in avgPool3d: Only NDHWC is currently supported, but got dataFormat of "+o),m($n(n,a),()=>`Error in avgPool3d: Either strides or dilations must be 1. Got strides ${n} and dilations '${a}'`),null!=s&&m(v(r),()=>`Error in avgPool3d: pad must be an integer when using, dimRoundingMode ${s} but got pad ${r}.`);const c={x:u},h={filterSize:t,strides:n,pad:r,dimRoundingMode:s,dataFormat:o,dilations:a};let d=ke.runKernelFunc((e,i)=>{null==a&&(a=[1,1,1]);const l=yn(u.shape,t,n,a,r,s,o);return i([u]),e.avgPool3d(u,l)},c,null,"AvgPool3D",h);return d=st(d,u.dtype),l?d.as4D(d.shape[1],d.shape[2],d.shape[3],d.shape[4]):d}});function Fo(e){return null==e?null:0===e.rank?e.as1D():1===e.rank?e:2===e.rank?e.as4D(1,1,e.shape[0],e.shape[1]):3===e.rank?e.as4D(1,e.shape[0],e.shape[1],e.shape[2]):e}const Mo=_e({batchNorm_:function(e,t,n,r,s,o){null==o&&(o=.001);const a=Me(e,"x","batchNorm"),i=Me(t,"mean","batchNorm"),u=Me(n,"variance","batchNorm");let l,c;null!=s&&(l=Me(s,"scale","batchNorm")),null!=r&&(c=Me(r,"offset","batchNorm")),m(i.rank===u.rank,()=>"Batch normalization gradient requires mean and variance to have equal ranks."),m(null==c||i.rank===c.rank,()=>"Batch normalization gradient requires mean and offset to have equal ranks."),m(null==l||i.rank===l.rank,()=>"Batch normalization gradient requires mean and scale to have equal ranks.");const h=function(e){let t;return t=0===e.rank||1===e.rank?e.as4D(1,1,1,e.size):2===e.rank?e.as4D(1,1,e.shape[0],e.shape[1]):3===e.rank?e.as4D(1,e.shape[0],e.shape[1],e.shape[2]):e,t}(a),d={x:h,scale:l,offset:c,mean:i,variance:u},p={varianceEpsilon:o},f=ke.runKernelFunc((e,t)=>(t([h,i,u,l]),e.batchNorm(h,Fo(i),Fo(u),Fo(c),Fo(l),o)),d,null,"FusedBatchNorm",p);return at(f,a.shape)}});const Ao=_e({batchNorm2d_:function(e,t,n,r,s,o){const a=Me(e,"x","batchNorm"),i=Me(t,"mean","batchNorm"),u=Me(n,"variance","batchNorm");let l,c;return null!=s&&(l=Me(s,"scale","batchNorm")),null!=r&&(c=Me(r,"offset","batchNorm")),m(2===a.rank,()=>"Error in batchNorm3D: x must be rank 3 but got rank "+a.rank+"."),m(2===i.rank||1===i.rank,()=>`Error in batchNorm2D: mean must be rank 2 or rank 1 but got rank ${i.rank}.`),m(2===u.rank||1===u.rank,()=>`Error in batchNorm2D: variance must be rank 2 or rank 1 but got rank ${u.rank}.`),null!=l&&m(2===l.rank||1===l.rank,()=>`Error in batchNorm2D: scale must be rank 2 or rank 1 but got rank ${l.rank}.`),null!=c&&m(2===c.rank||1===c.rank,()=>`Error in batchNorm2D: offset must be rank 2 or rank 1 but got rank ${c.rank}.`),Mo(a,i,u,c,l,o)}});const _o=_e({batchNorm3d_:function(e,t,n,r,s,o){const a=Me(e,"x","batchNorm"),i=Me(t,"mean","batchNorm"),u=Me(n,"variance","batchNorm");let l,c;return null!=s&&(l=Me(s,"scale","batchNorm")),null!=r&&(c=Me(r,"offset","batchNorm")),m(3===a.rank,()=>"Error in batchNorm3D: x must be rank 3 but got rank "+a.rank+"."),m(3===i.rank||1===i.rank,()=>`Error in batchNorm3D: mean must be rank 3 or rank 1 but got rank ${i.rank}.`),m(3===u.rank||1===u.rank,()=>`Error in batchNorm3D: variance must be rank 3 or rank 1 but got rank ${u.rank}.`),null!=l&&m(3===l.rank||1===l.rank,()=>`Error in batchNorm3D: scale must be rank 3 or rank 1 but got rank ${l.rank}.`),null!=c&&m(3===c.rank||1===c.rank,()=>`Error in batchNorm3D: offset must be rank 3 or rank 1 but got rank ${c.rank}.`),Mo(a,i,u,c,l,o)}});const To=_e({batchNorm4d_:function(e,t,n,r,s,o){const a=Me(e,"x","batchNorm"),i=Me(t,"mean","batchNorm"),u=Me(n,"variance","batchNorm");let l,c;return null!=s&&(l=Me(s,"scale","batchNorm")),null!=r&&(c=Me(r,"offset","batchNorm")),m(4===a.rank,()=>"Error in batchNorm4D: x must be rank 4 but got rank "+a.rank+"."),m(4===i.rank||1===i.rank,()=>`Error in batchNorm4D: mean must be rank 4 or rank 1 but got rank ${i.rank}.`),m(4===u.rank||1===u.rank,()=>`Error in batchNorm4D: variance must be rank 4 or rank 1 but got rank ${u.rank}.`),null!=l&&m(4===l.rank||1===l.rank,()=>`Error in batchNorm4D: scale must be rank 4 or rank 1 but got rank ${l.rank}.`),null!=c&&m(4===c.rank||1===c.rank,()=>`Error in batchNorm4D: offset must be rank 4 or rank 1 but got rank ${c.rank}.`),Mo(a,i,u,c,l,o)}});const Bo=_e({clone_:function(e){const t=Me(e,"x","clone",null);return ke.runKernelFunc(()=>ke.makeTensorFromDataId(t.dataId,t.shape,t.dtype),{x:t},null,"Identity")}});const Co=_e({broadcastTo_:function(e,t){let n=Me(e,"broadcastTo","x");const r=n.shape;if(t.some(e=>!(e>0)||e%1!=0))throw new Error(`broadcastTo(): Invalid broadcast shape [${t}].`);if(t.length<n.rank)throw new Error(`broadcastTo(): shape.length=${t.length} < input.rank=${n.rank}.`);if(t.length>n.rank){const e=n.shape.slice();for(;e.length<t.length;)e.unshift(1);n=at(n,e)}const s=n.shape,o=Array.from(t);for(let e=t.length-1;e>=0;e--)if(s[e]===t[e])o[e]=1;else if(1!==n.shape[e])throw new Error(`broadcastTo(): [${r}] cannot be broadcast to [${t}].`);if(0===o.map((e,t)=>e>1?t:-1).filter(e=>e>=0).length)return Bo(n);const a={x:n},i={shape:t,inputShape:s};return ke.runKernelFunc(e=>e.tile(n,o),a,null,"BroadcastTo",i)}});const Ro=_e({concat1d_:function(e){return tt(e,0)}});const Po=_e({concat2d_:function(e,t){return tt(e,t)}});const qo=_e({concat3d_:function(e,t){return tt(e,t)}});const zo=_e({concat4d_:function(e,t){return tt(e,t)}});const Lo=_e({conv1d_:function(e,t,n,r,s="NWC",o=1,a){const i=Me(e,"x","conv1d"),u=Me(t,"filter","conv1d");let l=i,c=!1;2===i.rank&&(c=!0,l=at(i,[1,i.shape[0],i.shape[1]])),m(3===l.rank,()=>`Error in conv1d: input must be rank 3, but got rank ${l.rank}.`),m(3===u.rank,()=>"Error in conv1d: filter must be rank 3, but got rank "+u.rank+"."),null!=a&&m(v(r),()=>`Error in conv1d: pad must be an integer when using, dimRoundingMode ${a} but got pad ${r}.`),m(l.shape[2]===u.shape[1],()=>`Error in conv1d: depth of input (${l.shape[2]}) must match input depth for filter ${u.shape[1]}.`),m($n(n,o),()=>`Error in conv1D: Either stride or dilation must be 1. Got stride ${n} and dilation '${o}'`),m("NWC"===s,()=>`Error in conv1d: got dataFormat of ${s} but only NWC is currently supported.`);const h=at(u,[1,u.shape[0],u.shape[1],u.shape[2]]),d=at(l,[l.shape[0],1,l.shape[1],l.shape[2]]),p=Gn(d,h,[1,n],r,"NHWC",[1,o],a);return at(p,c?[p.shape[2],p.shape[3]]:[p.shape[0],p.shape[2],p.shape[3]])}});const Oo=_e({conv2dTranspose_:function(e,t,n,r,s,o){const a=Me(e,"x","conv2dTranspose"),i=Me(t,"filter","conv2dTranspose");return Wn(n,a,i,r,s,"NHWC",o)}});const Wo=_e({conv3d_:function(e,t,n,r,s="NDHWC",o=[1,1,1]){const a=Me(e,"x","conv3d"),i=Me(t,"filter","conv3d");let u=a,l=!1;4===a.rank&&(l=!0,u=at(a,[1,a.shape[0],a.shape[1],a.shape[2],a.shape[3]])),m(5===u.rank,()=>`Error in conv3d: input must be rank 5, but got rank ${u.rank}.`),m(5===i.rank,()=>"Error in conv3d: filter must be rank 5, but got rank "+i.rank+"."),m(u.shape[4]===i.shape[3],()=>`Error in conv3d: depth of input (${u.shape[4]}) must match input depth for filter ${i.shape[3]}.`),m($n(n,o),()=>`Error in conv3D: Either strides or dilations must be 1. Got strides ${n} and dilations '${o}'`),m("NDHWC"===s,()=>`Error in conv3d: got dataFormat of ${s} but only NDHWC is currently supported.`);const c={x:u,filter:i},h={strides:n,pad:r,dataFormat:s,dilations:o},d=ke.runKernelFunc((e,t)=>{const s=vn(u.shape,i.shape,n,o,r),a=e.conv3d(u,i,s);return t([u,i]),a},c,null,"Conv3D",h);return l?d.as4D(d.shape[1],d.shape[2],d.shape[3],d.shape[4]):d}});const Ko=_e({conv3dTranspose_:function(e,t,n,r,s){const o=Me(e,"x","conv3dTranspose"),a=Me(t,"filter","conv3dTranspose");return Vn(n,o,a,r,s)}});const Go=_e({depthToSpace_:function(e,t,n="NHWC"){const r=Me(e,"x","depthToSpace"),s="NHWC"===n?r.shape[1]:r.shape[2],o="NHWC"===n?r.shape[2]:r.shape[3],a="NHWC"===n?r.shape[3]:r.shape[1];m(s*t>=0,()=>`Negative dimension size caused by overflow when multiplying\n    ${s} and ${t}  for depthToSpace with input shape\n    ${r.shape}`),m(o*t>=0,()=>`Negative dimension size caused by overflow when multiplying\n    ${o} and ${t} for depthToSpace with input shape\n        ${r.shape}`),m(a%(t*t)==0,()=>`Dimension size must be evenly divisible by ${t*t} but is ${a} for depthToSpace with input shape ${r.shape}`);const i={x:r},u={blockSize:t,dataFormat:n};return ke.runKernelFunc(e=>e.depthToSpace(r,t,n),i,null,"DepthToSpace",u)}});const Uo=_e({depthwiseConv2d_:function(e,t,n,r,s="NHWC",o=[1,1],a){const i=Me(e,"x","depthwiseConv2d"),u=Me(t,"filter","depthwiseConv2d");let l=i,c=!1;3===i.rank&&(c=!0,l=at(i,[1,i.shape[0],i.shape[1],i.shape[2]])),m(4===l.rank,()=>`Error in depthwiseConv2d: input must be rank 4, but got rank ${l.rank}.`),m(4===u.rank,()=>"Error in depthwiseConv2d: filter must be rank 4, but got rank "+u.rank+"."),m(l.shape[3]===u.shape[2],()=>`Error in depthwiseConv2d: number of input channels (${l.shape[3]}) must match the inChannels dimension in filter ${u.shape[2]}.`),null!=a&&m(v(r),()=>`Error in depthwiseConv2d: pad must be an integer when using, dimRoundingMode ${a} but got pad ${r}.`);const h={x:l,filter:u},d={strides:n,pad:r,dataFormat:s,dilations:o,dimRoundingMode:a},p=ke.runKernelFunc((e,t)=>{null==o&&(o=[1,1]),m($n(n,o),()=>`Error in depthwiseConv2d: Either strides or dilations must be 1. Got strides ${n} and dilations '${o}'`);const s=kn(l.shape,u.shape,n,o,r,a,!0),i=e.depthwiseConv2D(l,u,s);return t([l,u]),i},h,null,"DepthwiseConv2dNative",d);return c?at(p,[p.shape[1],p.shape[2],p.shape[3]]):p}});const Ho=_e({diag_:function(e){const t=Me(e,"x","diag").flatten(),n={x:t};return ke.runKernelFunc(n=>{const r=n.diag(t),s=[...e.shape,...e.shape];return at(r,s)},n,null,"Diag")}});const Vo=_e({divNoNan_:function(e,t){let n=Me(e,"a","div"),r=Me(t,"b","div");[n,r]=fe(n,r);const s=dt(n,r),o=et(s),a=r.equal(o);return Ar(a,o,s)}});const jo=_e({dot_:function(e,t){const n=Me(e,"t1","dot"),r=Me(t,"t2","dot");m(!(1!==n.rank&&2!==n.rank||1!==r.rank&&2!==r.rank),()=>`Error in dot: inputs must all be rank 1 or 2, but got ranks ${n.rank} and ${r.rank}.`);const s=1===n.rank?n.size:n.shape[1],o=1===r.rank?r.size:r.shape[0];if(m(s===o,()=>`Error in dot: inner dimensions of inputs must match, but got ${s} and ${o}.`),1===n.rank&&1===r.rank){const e=at(n,[1,-1]),t=at(r,[-1,1]),s=Bn(e,t);return at(s,[])}if(1===n.rank&&2===r.rank){const e=at(n,[1,-1]),t=at(r,[r.shape[0],r.shape[1]]),s=Bn(e,t);return at(s,[s.size])}if(2===n.rank&&1===r.rank){const e=at(r,[-1,1]),t=Bn(n,e);return at(t,[t.size])}{const e=at(r,[r.shape[0],r.shape[1]]);return Bn(n,e)}}});const Jo=_e({elu_:function(e){const t=Me(e,"x","elu"),n={x:t};return ke.runKernelFunc((e,n)=>{const r=e.elu(t);return n([r]),r},n,null,"Elu")}});const Yo=_e({equal_:function(e,t){let n=Me(e,"a","equal"),r=Me(t,"b","equal");[n,r]=fe(n,r),De(n.shape,r.shape);const s={a:n,b:r};return ke.runKernelFunc(e=>e.equal(n,r),s,null,"Equal")}});const Xo=_e({eye_:function(e,t,n,r="float32"){null==t&&(t=e);const s=nt([e,t],r),o=e<=t?e:t;for(let e=0;e<o;++e)s.set(1,e,e);const a=s.toTensor().as2D(e,t);if(null==n)return a;if(1===n.length)return or(ot(a,0),[n[0],1,1]);if(2===n.length)return or(ot(ot(a,0),0),[n[0],n[1],1,1]);if(3===n.length)return or(ot(ot(ot(a,0),0),0),[n[0],n[1],n[2],1,1]);throw new Error(`eye() currently supports only 1D and 2D batchShapes, but received ${n.length}D.`)}});function Zo(e,t,n){const r={shape:e,value:t,dtype:n};return ke.runKernelFunc(r=>r.fill(e,t,n),{},null,"Fill",r)}const Qo=_e({maximum_:function(e,t){let n=Me(e,"a","maximum"),r=Me(t,"b","maximum");[n,r]=fe(n,r),"bool"===n.dtype&&(n=st(n,"int32"),r=st(r,"int32")),De(n.shape,r.shape);const s={a:n,b:r};return ke.runKernelFunc((e,t)=>{const s=e.maximum(n,r);return t([n,r]),s},s,null,"Maximum")}});const ea=_e({leakyRelu_:function(e,t=.2){const n=Me(e,"x","leakyRelu");return Qo(pt(Oe(t),n),n)}});const ta=_e({localResponseNormalization_:function(e,t=5,n=1,r=1,s=.5){const o=Me(e,"x","localResponseNormalization");m(4===o.rank||3===o.rank,()=>`Error in localResponseNormalization: x must be rank 3 or 4 but got\n               rank ${o.rank}.`),m(v(t),()=>`Error in localResponseNormalization: depthRadius must be an integer but got depthRadius ${t}.`);let a=o,i=!1;3===o.rank&&(i=!0,a=at(o,[1,o.shape[0],o.shape[1],o.shape[2]]));const u={x:a},l={depthRadius:t,bias:n,alpha:r,beta:s},c=ke.runKernelFunc((e,o)=>{const i=e.localResponseNormalization4D(a,t,n,r,s);return o([a,i]),i},u,null,"LRN",l);return i?c.as3D(c.shape[1],c.shape[2],c.shape[3]):c}});const na=_e({max_:function(e,t=null,n=!1){const r=Me(e,"x","max"),s={x:r},o={reductionIndices:t,keepDims:n},a=ke.runKernelFunc((e,n)=>{let s=S(t,r.shape);const o=vt(s,r.rank);let a=r;null!=o&&(a=Jn(r,o),s=Et(s.length,a.rank));const i=e.max(a,s);return n([r,i]),null!=o&&e.disposeData(a.dataId),i},s,null,"Max",o);return n?at(a,kt(a.shape,S(t,r.shape))):a}});const ra=_e({maxPool_:function(e,t,n,r,s){const o=Me(e,"x","maxPool");let a=o,i=!1;3===o.rank&&(i=!0,a=at(o,[1,o.shape[0],o.shape[1],o.shape[2]])),m(4===a.rank,()=>`Error in maxPool: input must be rank 4 but got rank ${a.rank}.`),m($n(n,1),()=>`Error in maxPool: Either strides or dilations must be 1. Got strides ${n} and dilations '1'`),null!=s&&m(v(r),()=>`Error in maxPool: pad must be an integer when using, dimRoundingMode ${s} but got pad ${r}.`);const u={x:a},l={filterSize:t,strides:n,pad:r,dimRoundingMode:s},c=ke.runKernelFunc((e,o)=>{const i=wn(a.shape,t,n,1,r,s);let u;return u=1===i.filterWidth&&1===i.filterHeight&&k(i.inShape,i.outShape)?a.clone():e.maxPool(a,i),o([a,u]),u},u,null,"MaxPool",l);return i?at(c,[c.shape[1],c.shape[2],c.shape[3]]):c}});const sa=_e({maxPool3d_:function(e,t=[1,1,1],n,r,s,o="NDHWC",a){null==a?a=[1,1,1]:vo("dilations is deprecated, this field will be gone in v3.0.0.");const i=Me(e,"x","maxPool3d");let u=i,l=!1;4===i.rank&&(l=!0,u=i.as5D(1,i.shape[0],i.shape[1],i.shape[2],i.shape[3])),m(5===u.rank,()=>`Error in maxPool3d: x must be rank 5 but got rank ${u.rank}.`),m("NDHWC"===o,()=>"Error in maxPool3d: Only NDHWC is currently supported, but got dataFormat of "+o),m($n(n,a),()=>`Error in maxPool3d: Either strides or dilations must be 1. Got strides ${n} and dilations '${a}'`),null!=s&&m(v(r),()=>`Error in maxPool3d: pad must be an integer when using, dimRoundingMode ${s} but got pad ${r}.`);const c={x:u},h={filterSize:t,strides:n,pad:r,dimRoundingMode:s,dataFormat:o,dilations:a},d=ke.runKernelFunc((e,i)=>{null==a&&(a=[1,1,1]);const l=yn(u.shape,t,n,a,r,s,o),c=e.maxPool3d(u,l);return i([u,c]),c},c,null,"MaxPool3D",h);return l?at(d,[d.shape[1],d.shape[2],d.shape[3],d.shape[4]]):d}});const oa=_e({maxPoolWithArgmax_:function(e,t,n,r,s=!1){const o={x:Me(e,"x","maxPoolWithArgmax")},a={filterSize:t,strides:n,pad:r,includeBatchInIndex:s},i=ke.runKernel("MaxPoolWithArgmax",o,a);return{result:i[0],indexes:i[1]}}});const aa=_e({minimum_:function(e,t){let n=Me(e,"a","minimum"),r=Me(t,"b","minimum");[n,r]=fe(n,r),"bool"===n.dtype&&(n=st(n,"int32"),r=st(r,"int32")),De(n.shape,r.shape);const s={a:n,b:r};return ke.runKernelFunc((e,t)=>{const s=e.minimum(n,r);return t([n,r]),s},s,null,"Minimum")}});const ia=_e({mod_:function(e,t){let n=Me(e,"a","mod"),r=Me(t,"b","mod");[n,r]=fe(n,r);const s={a:n,b:r};return ke.runKernelFunc((e,t)=>{const s=e.mod(n,r);return t([n,r]),s},s,null,"Mod")}});const ua=_e({multinomial_:function(e,t,n,r=!1){const s=Me(e,"logits","multinomial"),o=s.size,a=s.rank;if(o<2)throw new Error("Error in multinomial: you need at least 2 outcomes, but got "+o+".");if(a>2)throw new Error("Rank of probabilities must be 1 or 2, but is "+a);n=n||Math.random();const i=1===a?s.as2D(1,-1):s,u=ke.runKernelFunc(e=>e.multinomial(i,r,t,n),{logits2D:i});return 1===a?u.as1D():u}});const la=_e({notEqual_:function(e,t){let n=Me(e,"a","notEqual"),r=Me(t,"b","notEqual");[n,r]=fe(n,r),De(n.shape,r.shape);const s={a:n,b:r};return ke.runKernelFunc(e=>e.notEqual(n,r),s,null,"NotEqual")}});const ca=_e({outerProduct_:function(e,t){const n=Me(e,"v1","outerProduct"),r=Me(t,"v2","outerProduct");m(1===n.rank&&1===r.rank,()=>`Error in outerProduct: inputs must be rank 1, but got ranks ${n.rank} and ${r.rank}.`);const s=at(n,[-1,1]),o=at(r,[1,-1]);return Bn(s,o)}});const ha=_e({pad1d_:function(e,t,n=0){return m(2===t.length,()=>"Invalid number of paddings. Must be length of 2."),Ur(e,[t],n)}});const da=_e({pad2d_:function(e,t,n=0){return m(2===t.length&&2===t[0].length&&2===t[1].length,()=>"Invalid number of paddings. Must be length of 2 each."),Ur(e,t,n)}});const pa=_e({pad3d_:function(e,t,n=0){return m(3===t.length&&2===t[0].length&&2===t[1].length&&2===t[2].length,()=>"Invalid number of paddings. Must be length of 2 each."),Ur(e,t,n)}});const fa=_e({pad4d_:function(e,t,n=0){return m(4===t.length&&2===t[0].length&&2===t[1].length&&2===t[2].length&&2===t[3].length,()=>"Invalid number of paddings. Must be length of 2 each."),Ur(e,t,n)}});const ma=_e({pool_:function(e,t,n,r,s,o){null==s&&(s=[1,1]),null==o&&(o=1),0===r&&(r="valid");const a=Me(e,"x","maxPool");let i=a,u=!1;3===a.rank&&(u=!0,i=at(a,[1,a.shape[0],a.shape[1],a.shape[2]])),m($n(o,s),()=>`Error in pool: Either strides or dilations must be 1. Got strides ${o} and dilations '${s}'`);const l=wn(i.shape,t,o,s,r),c=[l.dilationHeight,l.dilationWidth];let h;h="same"===r?function(e,t){const n=e.map((e,n)=>e+(e-1)*(t[n]-1)).map(e=>e-1),r=n.map(e=>Math.floor(e/2)),s=n.map((e,t)=>e-r[t]);return n.map((e,t)=>[r[t],s[t]])}([l.filterHeight,l.filterWidth],c):[[0,0],[0,0]];const d=1===c[0]&&1===c[1],[p,f]=function(e,t,n){const r=n.map(e=>e[0]),s=n.map(e=>e[1]),o=e.concat(r,s),a=t.map((e,t)=>(e-o[t]%e)%e),i=s.map((e,t)=>e+a[t]),u=t.map((e,t)=>[r[t],i[t]]),l=t.map((e,t)=>[0,a[t]]);return[u,l]}([l.inHeight,l.inWidth],c,h),g=d?r:"valid",b=d?i:Rn(i,c,p),w=("avg"===n?()=>No(b,t,o,g):()=>ra(b,t,o,g))(),y=d?w:zr(w,c,f);return u?at(y,[y.shape[1],y.shape[2],y.shape[3]]):y}});const ga=_e({prelu_:function(e,t){const n=Me(e,"x","prelu"),r=Me(t,"alpha","prelu"),s={x:n,alpha:r};return ke.runKernelFunc((e,t)=>{const s=e.prelu(n,r);return t([n,r]),s},s,null,"Prelu")}});const ba=_e({rand_:function(e,t,n){const r=y(e);let s=null;if(null==n||"float32"===n)s=new Float32Array(r);else if("int32"===n)s=new Int32Array(r);else{if("bool"!==n)throw new Error("Unknown data type "+n);s=new Uint8Array(r)}for(let e=0;e<r;e++)s[e]=t();return ke.makeTensor(s,e,n)}});"undefined"!=typeof globalThis?globalThis:"undefined"!=typeof window?window:"undefined"!=typeof global?global:"undefined"!=typeof self&&self;function wa(e,t){return e(t={exports:{}},t.exports),t.exports}var ya=wa((function(e){!function(e,t,n){function r(e){var t,n=this,r=(t=4022871197,function(e){e=e.toString();for(var n=0;n<e.length;n++){var r=.02519603282416938*(t+=e.charCodeAt(n));r-=t=r>>>0,t=(r*=t)>>>0,t+=4294967296*(r-=t)}return 2.3283064365386963e-10*(t>>>0)});n.next=function(){var e=2091639*n.s0+2.3283064365386963e-10*n.c;return n.s0=n.s1,n.s1=n.s2,n.s2=e-(n.c=0|e)},n.c=1,n.s0=r(" "),n.s1=r(" "),n.s2=r(" "),n.s0-=r(e),n.s0<0&&(n.s0+=1),n.s1-=r(e),n.s1<0&&(n.s1+=1),n.s2-=r(e),n.s2<0&&(n.s2+=1),r=null}function s(e,t){return t.c=e.c,t.s0=e.s0,t.s1=e.s1,t.s2=e.s2,t}function o(e,t){var n=new r(e),o=t&&t.state,a=n.next;return a.int32=function(){return 4294967296*n.next()|0},a.double=function(){return a()+11102230246251565e-32*(2097152*a()|0)},a.quick=a,o&&("object"==typeof o&&s(o,n),a.state=function(){return s(n,{})}),a}t&&t.exports?t.exports=o:n&&n.amd?n((function(){return o})):this.alea=o}(0,e,!1)})),ka=wa((function(e){!function(e,t,n){function r(e){var t=this,n="";t.x=0,t.y=0,t.z=0,t.w=0,t.next=function(){var e=t.x^t.x<<11;return t.x=t.y,t.y=t.z,t.z=t.w,t.w^=t.w>>>19^e^e>>>8},e===(0|e)?t.x=e:n+=e;for(var r=0;r<n.length+64;r++)t.x^=0|n.charCodeAt(r),t.next()}function s(e,t){return t.x=e.x,t.y=e.y,t.z=e.z,t.w=e.w,t}function o(e,t){var n=new r(e),o=t&&t.state,a=function(){return(n.next()>>>0)/4294967296};return a.double=function(){do{var e=((n.next()>>>11)+(n.next()>>>0)/4294967296)/(1<<21)}while(0===e);return e},a.int32=n.next,a.quick=a,o&&("object"==typeof o&&s(o,n),a.state=function(){return s(n,{})}),a}t&&t.exports?t.exports=o:n&&n.amd?n((function(){return o})):this.xor128=o}(0,e,!1)})),va=wa((function(e){!function(e,t,n){function r(e){var t=this,n="";t.next=function(){var e=t.x^t.x>>>2;return t.x=t.y,t.y=t.z,t.z=t.w,t.w=t.v,(t.d=t.d+362437|0)+(t.v=t.v^t.v<<4^e^e<<1)|0},t.x=0,t.y=0,t.z=0,t.w=0,t.v=0,e===(0|e)?t.x=e:n+=e;for(var r=0;r<n.length+64;r++)t.x^=0|n.charCodeAt(r),r==n.length&&(t.d=t.x<<10^t.x>>>4),t.next()}function s(e,t){return t.x=e.x,t.y=e.y,t.z=e.z,t.w=e.w,t.v=e.v,t.d=e.d,t}function o(e,t){var n=new r(e),o=t&&t.state,a=function(){return(n.next()>>>0)/4294967296};return a.double=function(){do{var e=((n.next()>>>11)+(n.next()>>>0)/4294967296)/(1<<21)}while(0===e);return e},a.int32=n.next,a.quick=a,o&&("object"==typeof o&&s(o,n),a.state=function(){return s(n,{})}),a}t&&t.exports?t.exports=o:n&&n.amd?n((function(){return o})):this.xorwow=o}(0,e,!1)})),xa=wa((function(e){!function(e,t,n){function r(e){var t=this;t.next=function(){var e,n,r=t.x,s=t.i;return e=r[s],n=(e^=e>>>7)^e<<24,n^=(e=r[s+1&7])^e>>>10,n^=(e=r[s+3&7])^e>>>3,n^=(e=r[s+4&7])^e<<7,e=r[s+7&7],n^=(e^=e<<13)^e<<9,r[s]=n,t.i=s+1&7,n},function(e,t){var n,r=[];if(t===(0|t))r[0]=t;else for(t=""+t,n=0;n<t.length;++n)r[7&n]=r[7&n]<<15^t.charCodeAt(n)+r[n+1&7]<<13;for(;r.length<8;)r.push(0);for(n=0;n<8&&0===r[n];++n);for(8==n?r[7]=-1:r[n],e.x=r,e.i=0,n=256;n>0;--n)e.next()}(t,e)}function s(e,t){return t.x=e.x.slice(),t.i=e.i,t}function o(e,t){null==e&&(e=+new Date);var n=new r(e),o=t&&t.state,a=function(){return(n.next()>>>0)/4294967296};return a.double=function(){do{var e=((n.next()>>>11)+(n.next()>>>0)/4294967296)/(1<<21)}while(0===e);return e},a.int32=n.next,a.quick=a,o&&(o.x&&s(o,n),a.state=function(){return s(n,{})}),a}t&&t.exports?t.exports=o:n&&n.amd?n((function(){return o})):this.xorshift7=o}(0,e,!1)})),Ea=wa((function(e){!function(e,t,n){function r(e){var t=this;t.next=function(){var e,n,r=t.w,s=t.X,o=t.i;return t.w=r=r+1640531527|0,n=s[o+34&127],e=s[o=o+1&127],n^=n<<13,e^=e<<17,n^=n>>>15,e^=e>>>12,n=s[o]=n^e,t.i=o,n+(r^r>>>16)|0},function(e,t){var n,r,s,o,a,i=[],u=128;for(t===(0|t)?(r=t,t=null):(t+="\0",r=0,u=Math.max(u,t.length)),s=0,o=-32;o<u;++o)t&&(r^=t.charCodeAt((o+32)%t.length)),0===o&&(a=r),r^=r<<10,r^=r>>>15,r^=r<<4,r^=r>>>13,o>=0&&(a=a+1640531527|0,s=0==(n=i[127&o]^=r+a)?s+1:0);for(s>=128&&(i[127&(t&&t.length||0)]=-1),s=127,o=512;o>0;--o)r=i[s+34&127],n=i[s=s+1&127],r^=r<<13,n^=n<<17,r^=r>>>15,n^=n>>>12,i[s]=r^n;e.w=a,e.X=i,e.i=s}(t,e)}function s(e,t){return t.i=e.i,t.w=e.w,t.X=e.X.slice(),t}function o(e,t){null==e&&(e=+new Date);var n=new r(e),o=t&&t.state,a=function(){return(n.next()>>>0)/4294967296};return a.double=function(){do{var e=((n.next()>>>11)+(n.next()>>>0)/4294967296)/(1<<21)}while(0===e);return e},a.int32=n.next,a.quick=a,o&&(o.X&&s(o,n),a.state=function(){return s(n,{})}),a}t&&t.exports?t.exports=o:n&&n.amd?n((function(){return o})):this.xor4096=o}(0,e,!1)})),Sa=wa((function(e){!function(e,t,n){function r(e){var t=this,n="";t.next=function(){var e=t.b,n=t.c,r=t.d,s=t.a;return e=e<<25^e>>>7^n,n=n-r|0,r=r<<24^r>>>8^s,s=s-e|0,t.b=e=e<<20^e>>>12^n,t.c=n=n-r|0,t.d=r<<16^n>>>16^s,t.a=s-e|0},t.a=0,t.b=0,t.c=-1640531527,t.d=1367130551,e===Math.floor(e)?(t.a=e/4294967296|0,t.b=0|e):n+=e;for(var r=0;r<n.length+20;r++)t.b^=0|n.charCodeAt(r),t.next()}function s(e,t){return t.a=e.a,t.b=e.b,t.c=e.c,t.d=e.d,t}function o(e,t){var n=new r(e),o=t&&t.state,a=function(){return(n.next()>>>0)/4294967296};return a.double=function(){do{var e=((n.next()>>>11)+(n.next()>>>0)/4294967296)/(1<<21)}while(0===e);return e},a.int32=n.next,a.quick=a,o&&("object"==typeof o&&s(o,n),a.state=function(){return s(n,{})}),a}t&&t.exports?t.exports=o:n&&n.amd?n((function(){return o})):this.tychei=o}(0,e,!1)})),Da=wa((function(e){!function(t,n){var r,s=this,o=n.pow(256,6),a=n.pow(2,52),i=2*a;function u(e,u,p){var f=[],m=h(function e(t,n){var r,s=[],o=typeof t;if(n&&"object"==o)for(r in t)try{s.push(e(t[r],n-1))}catch(e){}return s.length?s:"string"==o?t:t+"\0"}((u=1==u?{entropy:!0}:u||{}).entropy?[e,d(t)]:null==e?function(){try{var e;return r&&(e=r.randomBytes)?e=e(256):(e=new Uint8Array(256),(s.crypto||s.msCrypto).getRandomValues(e)),d(e)}catch(e){var n=s.navigator,o=n&&n.plugins;return[+new Date,s,o,s.screen,d(t)]}}():e,3),f),g=new l(f),b=function(){for(var e=g.g(6),t=o,n=0;e<a;)e=256*(e+n),t*=256,n=g.g(1);for(;e>=i;)e/=2,t/=2,n>>>=1;return(e+n)/t};return b.int32=function(){return 0|g.g(4)},b.quick=function(){return g.g(4)/4294967296},b.double=b,h(d(g.S),t),(u.pass||p||function(e,t,r,s){return s&&(s.S&&c(s,g),e.state=function(){return c(g,{})}),r?(n.random=e,t):e})(b,m,"global"in u?u.global:this==n,u.state)}function l(e){var t,n=e.length,r=this,s=0,o=r.i=r.j=0,a=r.S=[];for(n||(e=[n++]);s<256;)a[s]=s++;for(s=0;s<256;s++)a[s]=a[o=255&o+e[s%n]+(t=a[s])],a[o]=t;(r.g=function(e){for(var t,n=0,s=r.i,o=r.j,a=r.S;e--;)t=a[s=255&s+1],n=256*n+a[255&(a[s]=a[o=255&o+t])+(a[o]=t)];return r.i=s,r.j=o,n})(256)}function c(e,t){return t.i=e.i,t.j=e.j,t.S=e.S.slice(),t}function h(e,t){for(var n,r=e+"",s=0;s<r.length;)t[255&s]=255&(n^=19*t[255&s])+r.charCodeAt(s++);return d(t)}function d(e){return String.fromCharCode.apply(0,e)}if(n.seedrandom=u,h(n.random(),t),e.exports){e.exports=u;try{r=require("crypto")}catch(e){}}}([],Math)}));Da.alea=ya,Da.xor128=ka,Da.xorwow=va,Da.xorshift7=xa,Da.xor4096=Ea,Da.tychei=Sa;var Ia=Da.alea;class Na{constructor(e,t,n,r,s){this.mean=e,this.stdDev=t,this.dtype=n,this.nextVal=NaN,this.truncated=r,this.truncated&&(this.upper=this.mean+2*this.stdDev,this.lower=this.mean-2*this.stdDev);const o=s||Math.random();this.random=Ia(o.toString())}nextValue(){if(!isNaN(this.nextVal)){const e=this.nextVal;return this.nextVal=NaN,e}let e,t,n=!1;for(;!n;){let r,s,o;do{r=2*this.random()-1,s=2*this.random()-1,o=r*r+s*s}while(o>=1||0===o);const a=Math.sqrt(-2*Math.log(o)/o);e=this.mean+this.stdDev*r*a,t=this.mean+this.stdDev*s*a,this.truncated&&!this.isValidTruncated(e)||(n=!0)}return this.truncated&&!this.isValidTruncated(t)||(this.nextVal=this.convertValue(t)),this.convertValue(e)}convertValue(e){return null==this.dtype||"float32"===this.dtype?e:Math.round(e)}isValidTruncated(e){return e<=this.upper&&e>=this.lower}}class $a{constructor(e,t,n,r){this.alpha=e,this.beta=1/t,this.dtype=n;const s=r||Math.random();this.randu=Ia(s.toString()),this.randn=new Na(0,1,n,!1,this.randu()),this.d=e<1?e+2/3:e-1/3,this.c=1/Math.sqrt(9*this.d)}nextValue(){let e,t,n,r,s,o;for(;;){do{r=this.randn.nextValue(),o=1+this.c*r}while(o<=0);if(o*=o*o,e=r*r,t=1-.331*e*e,n=.5*e+this.d*(1-o+Math.log(o)),s=this.randu(),s<t||Math.log(s)<n)break}return o=1/this.beta*this.d*o,this.alpha<1&&(o*=Math.pow(this.randu(),1/this.alpha)),this.convertValue(o)}convertValue(e){return"float32"===this.dtype?e:Math.round(e)}}class Fa{constructor(e=0,t=1,n,r){if(this.canReturnFloat=()=>null==this.dtype||"float32"===this.dtype,this.min=e,this.range=t-e,this.dtype=n,null==r&&(r=Math.random()),"number"==typeof r&&(r=r.toString()),!this.canReturnFloat()&&this.range<=1)throw new Error(`The difference between ${e} - ${t} <= 1 and dtype is not float`);this.random=Ia(r)}convertValue(e){return this.canReturnFloat()?e:Math.round(e)}nextValue(){return this.convertValue(this.min+this.range*this.random())}}const Ma=_e({randomGamma_:function(e,t,n=1,r="float32",s){if(null==n&&(n=1),null==r&&(r="float32"),"float32"!==r&&"int32"!==r)throw new Error("Unsupported data type "+r);const o=new $a(t,n,r,s),a=nt(e,r);for(let e=0;e<a.values.length;e++)a.values[e]=o.nextValue();return a.toTensor()}});const Aa=_e({randomNormal_:function(e,t=0,n=1,r,s){if(null!=r&&"bool"===r)throw new Error("Unsupported data type "+r);const o=new Na(t,n,r,!1,s),a=nt(e,r);for(let e=0;e<a.values.length;e++)a.values[e]=o.nextValue();return a.toTensor()}});const _a=_e({randomUniform_:function(e,t=0,n=1,r="float32",s){const o=nt(e,r),a=new Fa(t,n,null,s);for(let e=0;e<o.values.length;e++)o.values[e]=a.nextValue();return o.toTensor()}});const Ta=_e({relu_:function(e){const t=Me(e,"x","relu"),n={x:t};return ke.runKernelFunc((e,n)=>(n([t]),"bool"===t.dtype?t.toInt():e.relu(t)),n,null,"Relu")}});const Ba=_e({relu6_:function(e){const t=Me(e,"x","relu6"),n={x:t};return ke.runKernelFunc((e,n)=>(n([t]),"bool"===t.dtype?st(t,"int32"):e.relu6(t)),n,null,"Relu6")}});const Ca=_e({selu_:function(e){const t=Me(e,"x","selu"),n={x:t};return ke.runKernelFunc((e,n)=>{const r=e.selu(t);return n([t]),r},n,null,"Selu")}});const Ra=_e({separableConv2d_:function(e,t,n,r,s,o=[1,1],a="NHWC"){const i=Me(e,"x","separableConv2d"),u=Me(t,"depthwiseFilter","separableConv2d"),l=Me(n,"pointwiseFilter","separableConv2d");let c=i,h=!1;if(3===i.rank&&(h=!0,c=i.as4D(1,i.shape[0],i.shape[1],i.shape[2])),"NCHW"===a)throw new Error("separableConv2d currently does not support dataFormat NCHW; only NHWC is supported");m(4===c.rank,()=>`Error in separableConv2d: input must be rank 4, but got rank ${c.rank}.`),m(4===u.rank,()=>`Error in separableConv2d: depthwise filter must be rank 4, but got rank ${u.rank}.`),m(4===l.rank,()=>`Error in separableConv2d: pointwise filter must be rank 4, but got rank ${u.rank}.`),m(1===l.shape[0],()=>`Error in separableConv2d: the first dimension of pointwise filter  must be 1, but got ${l.shape[0]}.`),m(1===l.shape[1],()=>`Error in separableConv2d: the second dimension of pointwise filter must be 1, but got ${l.shape[1]}.`);const d=u.shape[2],p=u.shape[3];m(l.shape[2]===d*p,()=>`Error in separableConv2d: the third dimension of pointwise filter must be ${d*p}, but got ${l.shape[2]}.`);const f=Uo(c,u,r,s,a,o),g=Gn(f,l,1,"valid",a);return h?g.as3D(g.shape[1],g.shape[2],g.shape[3]):g}});const Pa=_e({squaredDifference_:function(e,t){let n=Me(e,"a","squaredDifference"),r=Me(t,"b","squaredDifference");[n,r]=fe(n,r),De(n.shape,r.shape);const s={a:n,b:r};return ke.runKernelFunc((e,t)=>{const s=e.squaredDifference(n,r);return t([n,r]),s},s,null,"SquaredDifference",{})}});const qa=_e({truncatedNormal_:function(e,t=0,n=1,r,s){if(null!=r&&"bool"===r)throw new Error("Unsupported data type $ { dtype }");const o=new Na(t,n,r,!0,s),a=nt(e,r);for(let e=0;e<a.values.length;e++)a.values[e]=o.nextValue();return a.toTensor()}});function za(e,t,n){const r=e.shape[n],s=[];let o=1,a=1;for(let t=0;t<n;t++)s.push(e.shape[t]),o*=e.shape[t];for(let e=0;e<t.rank;e++)s.push(t.shape[e]);for(let t=n+1;t<e.rank;t++)s.push(e.shape[t]),a*=e.shape[t];return{batchSize:o,sliceSize:a,dimSize:r,outputShape:s}}var La=Object.freeze({__proto__:null,segOpComputeOptimalWindowSize:function(e,t){let n,r=!1;for(e<=30?(n=e,r=!0):n=z(e,Math.floor(Math.sqrt(e)));!r;)n>t||n===e?r=!0:n=z(e,n+1);return n},computeOutShape:function(e,t,n){const r=[],s=e.length;for(let o=0;o<s;o++)o!==t?r.push(e[o]):r.push(n);return r},collectGatherOpShapeInfo:za});function Oa(e,t){const n=[];for(let r=e;r<t;++r)n.push(r);return n}function Wa(e){const t=[];for(let n=0;n<e.length;++n)for(let r=0;r<e[n].length;++r)t.push(e[n][r]);return t}const Ka=_e({gather_:function(e,t,n=0){const r=Me(e,"x","gather"),s=Me(t,"indices","gather","int32");n=S(n,r.shape)[0];const o=za(r,s,n);return ke.runKernelFunc((e,t)=>{const o=e.gather(r,s.flatten(),n);return t([s]),o},{x:r,indices:s},(e,t)=>{const[s]=t;return{x:()=>{const t=r.shape,o=s.size,a=t.slice(0,n),i=a.length,u=t.slice(n,t.length).slice(1),l=u.length,c=Oa(0,i),h=Oa(i+1,i+1+l),d=Wa([a,[o],u]),p=e.reshape(d),f=s.reshape([o]),m=Wa([[i],c,h]),g=p.transpose(m);let b=Ga(g,f,r.shape[n]);const w=xt(m);return b=b.transpose(w),b},indices:()=>s}},"Gather",{axis:n}).reshape(o.outputShape)}}),Ga=_e({unsortedSegmentSum_:function(e,t,n){const r=Me(e,"x","unsortedSegmentSum"),s=Me(t,"segmentIds","unsortedSegmentSum","int32");return m(v(n),()=>"numSegments must be of dtype int"),ke.runKernelFunc((e,t)=>{const o=e.unsortedSegmentSum(r,s,n);return t([s]),o},{$x:r},(e,t)=>{const[n]=t;return{$x:()=>function(e,t){const n=Qo(t,et(t)),r=Ka(e,n);let s=dr(t,Oe(0,"int32"));const o=r.rank-s.rank;for(let e=0;e<o;++e)s=ot(s,e+1);s=Nr(s,Je(r.shape,"bool"));const a=et(r);return Ar(s,r,a)}(e,n)}})}});const Ua=async function(e,t,n){const r=Me(e,"tensor","boolMask"),s=Me(t,"mask","boolMask","bool"),o=null==n?0:n,a=s.rank,i=r.shape;m(a>0,()=>"mask cannot be scalar"),g(i.slice(o,o+a),s.shape,"mask's shape must match the first K dimensions of tensor's shape,");let u=1;for(let e=o;e<o+a;e++)u*=i[e];const l=i.slice(0,o).concat([u],i.slice(o+a)),c=r.reshape(l),h=s.reshape([-1]),d=await _r(h),p=d.squeeze([1]),f=Ka(c,p,o);return e!==r&&r.dispose(),t!==s&&s.dispose(),p.dispose(),c.dispose(),h.dispose(),d.dispose(),f};const Ha=_e({reverse_:function(e,t){const n=Me(e,"x","reverse");if(0===n.rank)return n.clone();const r=S(t,n.shape);return ke.runKernelFunc(e=>e.reverse(n,r),{$x:n},e=>({$x:()=>e.reverse(r)})).reshapeAs(n)}}),Va=_e({reverse1d_:function(e){const t=Me(e,"x","reverse");return m(1===t.rank,()=>`Error in reverse1D: x must be rank 1 but got rank ${t.rank}.`),Ha(t,0)}}),ja=_e({reverse2d_:function(e,t){const n=Me(e,"x","reverse");return m(2===n.rank,()=>`Error in reverse2D: x must be rank 2 but got rank ${n.rank}.`),Ha(n,t)}}),Ja=_e({reverse3d_:function(e,t){const n=Me(e,"x","reverse");return m(3===n.rank,()=>`Error in reverse3D: x must be rank 3 but got rank ${n.rank}.`),Ha(n,t)}}),Ya=_e({reverse4d_:function(e,t){const n=Me(e,"x","reverse");return m(4===n.rank,()=>`Error in reverse4D: x must be rank 4 but got rank ${n.rank}.`),Ha(n,t)}});const Xa=_e({equalStrict_:function(e,t){vo("strict variants of ops have been deprecated and will be removed in future");const n=Me(e,"a","equalStrict"),r=Me(t,"b","equalStrict");return g(n.shape,r.shape,"Error in equalStrict: "),n.equal(r)}}),Za=_e({greaterEqualStrict_:function(e,t){vo("strict variants of ops have been deprecated and will be removed in future");const n=Me(e,"a","greaterEqualStrict"),r=Me(t,"b","greaterEqualStrict");return g(n.shape,r.shape,"Error in greaterEqualStrict: "),n.greaterEqual(r)}}),Qa=_e({greaterStrict_:function(e,t){vo("strict variants of ops have been deprecated and will be removed in future");const n=Me(e,"a","greaterStrict"),r=Me(t,"b","greaterStrict");return g(n.shape,r.shape,"Error in greaterStrict: "),n.greater(r)}}),ei=_e({lessEqualStrict_:function(e,t){vo("strict variants of ops have been deprecated and will be removed in future");const n=Me(e,"a","lessEqualStrict"),r=Me(t,"b","lessEqualStrict");return g(n.shape,r.shape,"Error in lessEqualStrict: "),n.lessEqual(r)}}),ti=_e({lessStrict_:function(e,t){vo("strict variants of ops have been deprecated and will be removed in future");const n=Me(e,"a","lessStrict"),r=Me(t,"b","lessStrict");return g(n.shape,r.shape,"Error in lessStrict: "),n.less(r)}}),ni=_e({notEqualStrict_:function(e,t){vo("strict variants of ops have been deprecated and will be removed in future");const n=Me(e,"a","notEqualStrict"),r=Me(t,"b","notEqualStrict");return g(n.shape,r.shape,"Error in notEqualStrict: "),n.notEqual(r)}});const ri=_e({addStrict_:function(e,t){vo("strict variants of ops have been deprecated and will be removed in future");const n=Me(e,"a","addStrict"),r=Me(t,"b","addStrict");return g(n.shape,r.shape,"Error in addStrict: "),n.add(r)}}),si=_e({divStrict_:function(e,t){vo("strict variants of ops have been deprecated and will be removed in future");const n=Me(e,"a","div"),r=Me(t,"b","div");return g(n.shape,r.shape,"Error in divideStrict: "),n.div(r)}}),oi=_e({maximumStrict_:function(e,t){vo("strict variants of ops have been deprecated and will be removed in future");const n=Me(e,"a","maximumStrict"),r=Me(t,"b","maximumStrict");return g(n.shape,r.shape,"Error in maximumStrict: "),n.maximum(r)}}),ai=_e({minimumStrict_:function(e,t){vo("strict variants of ops have been deprecated and will be removed in future");const n=Me(e,"a","minimumStrict"),r=Me(t,"b","minimumStrict");return g(n.shape,r.shape,"Error in minimumStrict: "),n.minimum(r)}}),ii=_e({modStrict_:function(e,t){vo("strict variants of ops have been deprecated and will be removed in future");const n=Me(e,"a","modStrict"),r=Me(t,"b","modStrict");return g(n.shape,r.shape,"Error in modStrict: "),n.mod(r)}}),ui=_e({mulStrict_:function(e,t){vo("strict variants of ops have been deprecated and will be removed in future");const n=Me(e,"a","mul"),r=Me(t,"b","mul");return g(n.shape,r.shape,"Error in multiplyStrict: "),n.mul(r)}}),li=_e({powStrict_:function(e,t){return vo("strict variants of ops have been deprecated and will be removed in future"),g(e.shape,t.shape,"Error in powStrict: "),e.pow(t)}}),ci=_e({squaredDifferenceStrict_:function(e,t){vo("strict variants of ops have been deprecated and will be removed in future");const n=Me(e,"a","squaredDifferenceStrict"),r=Me(t,"b","squaredDifferenceStrict");return g(n.shape,r.shape,"Error in squaredDifferenceStrict: "),n.squaredDifference(r)}}),hi=_e({subStrict_:function(e,t){vo("strict variants of ops have been deprecated and will be removed in future");const n=Me(e,"a","subStrict"),r=Me(t,"b","subStrict");return g(n.shape,r.shape,"Error in subStrict: "),n.sub(r)}});const di=_e({softmax_:function(e,t=-1){const n=Me(e,"logits","softmax","float32");if(-1===t&&(t=n.rank-1),t!==n.rank-1)throw Error(`Softmax along a non-last dimension is not yet supported. Logits was rank ${n.rank} and dim was ${t}`);return ke.runKernelFunc((e,r)=>{const s=e.softmax(n,t);return r([s]),s},{logits:n},(e,n)=>{const[r]=n,s=e.mul(r);return{logits:()=>s.sub(s.sum([t],!0).mul(r))}},"Softmax",{dim:t},[],[!0])}}),pi=_e({logSoftmax_:function(e,t=-1){const n=Me(e,"logits","logSoftmax");if(-1===t&&(t=n.rank-1),t!==n.rank-1)throw Error(`Log Softmax along a non-last dimension is not yet supported. Logits was rank ${n.rank} and axis was ${t}`);return mt((e,n)=>{const r=e.max(t,!0),s=e.sub(r),o=s.toFloat().sub(s.exp().sum(t,!0).log());n([o]);return{value:o,gradFunc:(e,n)=>{const[r]=n,s=r.exp();return e.sub(e.sum(t,!0).mul(s))}}})(n)}});const fi=_e({norm_:function(e,t="euclidean",n=null,r=!1){const s=function e(t,n,r=null){if(0===t.rank)return t.abs();if(1!==t.rank&&null===r)return e(t.reshape([-1]),n,r);if(1===t.rank||"number"==typeof r||Array.isArray(r)&&1===r.length){if(1===n)return t.abs().sum(r);if(n===1/0)return t.abs().max(r);if(n===-1/0)return t.abs().min(r);if("euclidean"===n||2===n)return t.abs().pow(Oe(2,"int32")).sum(r).sqrt();throw new Error("Error in norm: invalid ord value: "+n)}if(Array.isArray(r)&&2===r.length){if(1===n)return t.abs().sum(r[0]).max(r[1]-1);if(n===1/0)return t.abs().sum(r[1]).max(r[0]);if(n===-1/0)return t.abs().sum(r[1]).min(r[0]);if("fro"===n||"euclidean"===n)return t.square().sum(r).sqrt();throw new Error("Error in norm: invalid ord value: "+n)}throw new Error("Error in norm: invalid axis: "+r)}(e=Me(e,"x","norm"),t,n);let o=s.shape;if(r){const t=S(n,e.shape);o=kt(s.shape,t)}return s.reshape(o)}});const mi=_e({basicLSTMCell_:function(e,t,n,r,s,o){const a=Me(e,"forgetBias","basicLSTMCell"),i=Me(t,"lstmKernel","basicLSTMCell"),u=Me(n,"lstmBias","basicLSTMCell"),l=Me(r,"data","basicLSTMCell"),c=Me(s,"c","basicLSTMCell"),h=Me(o,"h","basicLSTMCell"),d=l.concat(h,1).matMul(i).add(u),p=d.shape[0],f=d.shape[1]/4,m=[p,f],g=d.slice([0,0],m),b=d.slice([0,f],m),w=d.slice([0,2*f],m),y=d.slice([0,3*f],m),k=g.sigmoid().mul(b.tanh()).add(c.mul(a.add(w).sigmoid())),v=k.tanh().mul(y.sigmoid());return[k,v]}}),gi=_e({multiRNNCell_:function(e,t,n,r){const s=Me(t,"data","multiRNNCell"),o=Ae(n,"c","multiRNNCell"),a=Ae(r,"h","multiRNNCell");let i=s;const u=[];for(let t=0;t<e.length;t++){const n=e[t](i,o[t],a[t]);u.push(n[0]),u.push(n[1]),i=n[1]}const l=[],c=[];for(let e=0;e<u.length;e+=2)l.push(u[e]),c.push(u[e+1]);return[l,c]}});const bi=_e({movingAverage_:function(e,t,n,r,s=!0){const o=Me(e,"v","movingAverage"),a=Me(t,"x","movingAverage"),i=Me(n,"decay","movingAverage");me(o,a),m(k(o.shape,a.shape),()=>"Shape mismatch in v and x");const u=Oe(1),l=u.sub(i);let c=a.sub(o).mul(l);if(s){m(null!=r,()=>"When using zeroDebias: true, step is required.");const e=Me(r,"step","movingAverage");c=c.div(u.sub(Tr(i,e)))}return o.add(c)}});const wi=_e({stridedSlice_:function(e,t,n,r,s=0,o=0,a=0,i=0,u=0){null==r&&(r=new Array(t.length));const l=Vr(a);if(l.length>1)throw new Error("Multiple ellipses in slice is not allowed.");if(0!==a&&0!==i)throw new Error("Using both ellipsisMask and newAxisMask is not yet supported.");if(0!==a&&0!==u)throw new Error("Using both ellipsisMask and shrinkAxisMask is not yet supported.");let c=Me(e,"x","stridedSlice");const h=c.rank-t.length,d=Vr(i),p=c.shape.slice();d.forEach(e=>{t[e]=0,n[e]=1,p.splice(e,0,1)}),c=c.reshape(p);for(let e=0;e<c.rank;e++)t[e]=Qr(s,t,r,c.shape,e,a),n[e]=es(o,n,r,c.shape,e,a),r[e]=Zr(r,e,a);if(l.length&&h>0){const e=l[0],s=h+1;t=Yr(t,e,s),n=Xr(n,e,s,c.shape),r=Jr(r,e,s)}const f=Vr(u);f.forEach(e=>{n[e]=t[e]+1,r[e]=1});const m=jr(t,n,r),g=m.filter((e,t)=>-1===f.indexOf(t));return r.every(e=>1===e)?ns(c,t,m).reshape(g):ke.runKernelFunc(e=>e.stridedSlice(c,t,n,r),{$x:c}).reshape(g)}});const yi=_e({topk_:function(e,t=1,n=!0){const r=Me(e,"x","topk");if(0===r.rank)throw new Error("topk() expects the input to be of rank 1 or higher");const s=r.shape[r.shape.length-1];if(t>s)throw new Error(`'k' passed to topk() must be <= the last dimension (${s}) but got `+t);const[o,a]=ke.runKernelFunc(e=>e.topk(r,t,n),{$x:r});return{values:o,indices:a}}});const ki=_e({scatterND_:function(e,t,n){const r=Me(e,"indices","scatterND","int32"),s=Me(t,"updates","scatterND");return lo(s,r,n),ke.runKernelFunc(e=>e.scatterND(r,s,n),{indices:r,updates:s},null,"ScatterNd",{shape:n})}});const vi=_e({fft_:function(e){m("complex64"===e.dtype,()=>`The dtype for tf.spectral.fft() must be complex64 but got ${e.dtype}.`);const t=e.shape[e.shape.length-1],n=e.size/t,r=e.as2D(n,t);return ke.runKernelFunc(e=>e.fft(r),{input:e}).reshape(e.shape)}}),xi=_e({ifft_:function(e){m("complex64"===e.dtype,()=>`The dtype for tf.spectral.ifft() must be complex64 but got ${e.dtype}.`);const t=e.shape[e.shape.length-1],n=e.size/t,r=e.as2D(n,t);return ke.runKernelFunc(e=>e.ifft(r),{input:e}).reshape(e.shape)}}),Ei=_e({rfft_:function(e,t){m("float32"===e.dtype,()=>"The dtype for rfft() must be real value but got "+e.dtype);let n=e.shape[e.shape.length-1];const r=e.size/n;let s;if(null!=t&&t<n){const r=e.shape.map(e=>0),o=e.shape.map(e=>e);o[e.shape.length-1]=t,s=e.slice(r,o),n=t}else if(null!=t&&t>n){const r=e.shape.map(e=>e);r[e.shape.length-1]=t-n,s=e.concat(Ye(r),e.shape.length-1),n=t}else s=e;const o=s.zerosLike(),a=Re(s,o).as2D(r,n),i=vi(a),u=Math.floor(n/2)+1,l=qe(i),c=Pe(i),h=l.split([u,n-u],l.shape.length-1),d=c.split([u,n-u],c.shape.length-1),p=s.shape.slice();return p[s.shape.length-1]=u,Re(h[0],d[0]).reshape(p)}}),Si=_e({irfft_:function(e){const t=e.shape[e.shape.length-1],n=e.size/t;if(t<=2){const r=e.as2D(n,t),s=xi(r);return qe(s)}{const r=[n,2*(t-1)],s=qe(e).as2D(n,t),o=Pe(e).as2D(n,t),a=s.slice([0,1],[n,t-2]).reverse(1),i=o.slice([0,1],[n,t-2]).reverse(1).mul(Oe(-1)),u=s.concat(a,1),l=o.concat(i,1),c=Re(u,l).as2D(r[0],r[1]),h=xi(c);return qe(h)}}});var Di=Object.freeze({__proto__:null,fft:vi,ifft:xi,rfft:Ei,irfft:Si});const Ii=_e({sparseToDense_:function(e,t,n,r=0){const s=Me(e,"sparseIndices","sparseToDense","int32"),o=Me(t,"sparseValues","sparseToDense"),a=Me(r,"defaultValue","sparseToDense",o.dtype);return function(e,t,n,r){if("int32"!==e.dtype)throw new Error(`tf.sparseToDense() expects the indices to be int32 type, but the dtype was ${e.dtype}.`);if(e.rank>2)throw new Error(`sparseIndices should be a scalar, vector, or matrix, but got shape ${e.shape}.`);const s=e.rank>0?e.shape[0]:1,o=e.rank>1?e.shape[1]:1;if(n.length!==o)throw new Error(`outputShape has incorrect number of elements:, ${n.length}, should be: ${o}.`);const a=t.size;if(0!==t.rank&&(1!==t.rank||a!==s))throw new Error(`sparseValues has incorrect shape ${t.shape}, should be [] or [${s}]`);if(t.dtype!==r.dtype)throw new Error("sparseValues.dtype must match defaultValues.dtype")}(s,o,n,a),ke.runKernelFunc(e=>e.sparseToDense(s,o,n,a),{$sparseIndices:s,$sparseValues:o,$defaultValue:a})}});const Ni=_e({gatherND_:function(e,t){const n=Me(t,"indices","gatherND","int32"),r=Me(e,"x","gatherND"),s={params:r,indices:n};return ke.runKernelFunc(e=>e.gatherND(r,n),s,null,"GatherNd")}});const $i=_e({dropout_:function(e,t,n,r){const s=Me(e,"x","dropout");if(m("float32"===s.dtype,()=>`x has to be a floating point tensor since it's going to be scaled, but got a ${s.dtype} tensor instead.`),m(t>=0&&t<1,()=>`rate must be a float in the range [0, 1), but got ${t}.`),0===t)return e instanceof oe?s.clone():s;const o=function(e,t){if(null==t)return e.shape.slice();if(k(e.shape,t))return t;if(e.shape.length===t.length){const n=[];for(let r=0;r<e.shape.length;r++)null==t[r]&&null!=e.shape[r]?n.push(e.shape[r]):n.push(t[r]);return n}return t}(s,n),a=1-t,i=_a(o,0,1,"float32",r).add(a).floor().div(a);return s.mul(i)}});function Fi(e,t,n){const r=1-e%2,s=new Float32Array(e);for(let o=0;o<e;++o){const a=2*Math.PI*o/(e+r-1);s[o]=t-n*Math.cos(a)}return We(s,"float32")}const Mi=_e({hannWindow_:function(e){return Fi(e,.5,.5)}}),Ai=_e({hammingWindow_:function(e){return Fi(e,.54,.46)}}),_i=_e({frame_:function(e,t,n,r=!1,s=0){let o=0;const a=[];for(;o+t<=e.size;)a.push(ns(e,o,t)),o+=n;if(r)for(;o<e.size;){const r=o+t-e.size,i=tt([ns(e,o,t-r),Zo([r],s)]);a.push(i),o+=n}return 0===a.length?Ke([],[0,t]):tt(a).as2D(a.length,t)}}),Ti=_e({stft_:function(e,t,n,r,s=Mi){var o;null==r&&(o=t,r=Math.floor(Math.pow(2,Math.ceil(Math.log(o)/Math.log(2)))));const a=_i(e,t,n),i=pt(a,s(t)),u=[];for(let e=0;e<a.shape[0];e++)u.push(Ei(i.slice([e,0],[1,t]),r));return tt(u)}});var Bi=Object.freeze({__proto__:null,hannWindow:Mi,hammingWindow:Ai,frame:_i,stft:Ti});const Ci=async function(e,t,n=1){const r=Me(e,"predictions","inTopK"),s=Me(t,"targets","inTopK");m(r.rank>1,()=>"inTopK() expects the predictions to be of rank 2 or higher, but got "+r.rank),m(r.rank-1===s.rank,()=>`predictions rank should be 1 larger than targets rank, but got predictions rank ${r.rank} and targets rank ${s.rank}`),g(r.shape.slice(0,r.shape.length-1),s.shape,"predictions's shape should be align with the targets' shape, except the last dimension.");const o=r.shape[r.shape.length-1];m(n>0&&n<=o,()=>`'k' passed to inTopK() must be > 0 && <= the predictions last dimension (${o}), but got ${n}`);const a=await r.data(),i=await s.data(),[u,l]=[a.length/o,o],c=I("bool",u);for(let e=0;e<u;e++){const t=e*l,r=a.subarray(t,t+l),s=[];for(let e=0;e<r.length;e++)s.push({value:r[e],index:e});s.sort((e,t)=>t.value-e.value),c[e]=0;for(let t=0;t<n;t++)if(s[t].index===i[e]){c[e]=1;break}}return e!==r&&r.dispose(),t!==s&&s.dispose(),ze(c,s.shape,"bool")};var Ri;(Ri=e.Reduction||(e.Reduction={}))[Ri.NONE=0]="NONE",Ri[Ri.MEAN=1]="MEAN",Ri[Ri.SUM=2]="SUM",Ri[Ri.SUM_BY_NONZERO_WEIGHTS=3]="SUM_BY_NONZERO_WEIGHTS";const Pi=_e({absoluteDifference_:function(t,n,r,s=e.Reduction.SUM_BY_NONZERO_WEIGHTS){const o=Me(t,"labels","absoluteDifference"),a=Me(n,"predictions","absoluteDifference");let i=null;null!=r&&(i=Me(r,"weights","absoluteDifference")),g(o.shape,a.shape,"Error in absoluteDifference: ");const u=o.sub(a).abs();return qi(u,i,s)}}),qi=_e({computeWeightedLoss_:function(t,n,r=e.Reduction.SUM_BY_NONZERO_WEIGHTS){const s=Me(t,"losses","computeWeightedLoss");let o=null;null!=n&&(o=Me(n,"weights","computeWeightedLoss"));const a=null==o?s:s.mul(o);if(r===e.Reduction.NONE)return a;if(r===e.Reduction.SUM)return a.sum();if(r===e.Reduction.MEAN){if(null==o)return a.mean();{const e=s.size/o.size,t=a.sum().div(o.sum());return e>1?t.div(Oe(e)):t}}if(r===e.Reduction.SUM_BY_NONZERO_WEIGHTS){if(null==o)return a.sum().div(Oe(s.size));{const e=o.mul(Je(s.shape)).notEqual(Oe(0)).sum().toFloat();return a.sum().div(e)}}throw Error("Unknown reduction: "+r)}}),zi=_e({cosineDistance_:function(t,n,r,s,o=e.Reduction.SUM_BY_NONZERO_WEIGHTS){const a=Me(t,"labels","cosineDistance"),i=Me(n,"predictions","cosineDistance");let u=null;null!=s&&(u=Me(s,"weights","cosineDistance")),g(a.shape,i.shape,"Error in cosineDistance: ");const l=Oe(1).sub(a.mul(i).sum(r,!0));return qi(l,u,o)}}),Li=_e({hingeLoss_:function(t,n,r,s=e.Reduction.SUM_BY_NONZERO_WEIGHTS){let o=Me(t,"labels","hingeLoss");const a=Me(n,"predictions","hingeLoss");let i=null;null!=r&&(i=Me(r,"weights","hingeLoss")),g(o.shape,a.shape,"Error in hingeLoss: ");const u=Oe(1);o=Oe(2).mul(o).sub(u);const l=u.sub(o.mul(a)).relu();return qi(l,i,s)}}),Oi=_e({huberLoss_:function(t,n,r,s=1,o=e.Reduction.SUM_BY_NONZERO_WEIGHTS){const a=Me(t,"labels","huberLoss"),i=Me(n,"predictions","huberLoss");let u=null;null!=r&&(u=Me(r,"weights","huberLoss")),g(a.shape,i.shape,"Error in huberLoss: ");const l=Oe(s),c=i.sub(a).abs(),h=aa(c,l),d=c.sub(h),p=Oe(.5).mul(h.square()).add(l.mul(d));return qi(p,u,o)}}),Wi=_e({logLoss_:function(t,n,r,s=1e-7,o=e.Reduction.SUM_BY_NONZERO_WEIGHTS){const a=Me(t,"labels","logLoss"),i=Me(n,"predictions","logLoss");let u=null;null!=r&&(u=Me(r,"weights","logLoss")),g(a.shape,i.shape,"Error in logLoss: ");const l=Oe(1),c=Oe(s),h=a.mul(i.add(c).log()).neg().sub(l.sub(a).mul(l.sub(i).add(c).log()));return qi(h,u,o)}}),Ki=_e({meanSquaredError_:function(t,n,r,s=e.Reduction.SUM_BY_NONZERO_WEIGHTS){const o=Me(t,"labels","meanSquaredError"),a=Me(n,"predictions","meanSquaredError");let i=null;null!=r&&(i=Me(r,"weights","meanSquaredError")),g(o.shape,a.shape,"Error in meanSquaredError: ");const u=o.squaredDifference(a);return qi(u,i,s)}}),Gi=_e({sigmoidCrossEntropy_:function(t,n,r,s=0,o=e.Reduction.SUM_BY_NONZERO_WEIGHTS){let a=Me(t,"multiClassLabels","sigmoidCrossEntropy");const i=Me(n,"logits","sigmoidCrossEntropy");let u=null;if(null!=r&&(u=Me(r,"weights","sigmoidCrossEntropy")),g(a.shape,i.shape,"Error in sigmoidCrossEntropy: "),s>0){const e=Oe(s),t=Oe(1),n=Oe(.5);a=a.mul(t.sub(e)).add(n.mul(e))}const l=function(e,t){const n=Me(e,"labels","sigmoidCrossEntropyWithLogits"),r=Me(t,"logits","sigmoidCrossEntropyWithLogits");g(n.shape,r.shape,"Error in sigmoidCrossEntropyWithLogits: ");const s=r.relu(),o=r.mul(n),a=r.abs().neg().exp().log1p();return s.sub(o).add(a)}(a,i);return qi(l,u,o)}}),Ui=_e({softmaxCrossEntropy_:function(t,n,r,s=0,o=e.Reduction.SUM_BY_NONZERO_WEIGHTS){let a=Me(t,"onehotLabels","softmaxCrossEntropy");const i=Me(n,"logits","softmaxCrossEntropy");let u=null;if(null!=r&&(u=Me(r,"weights","softmaxCrossEntropy")),g(a.shape,i.shape,"Error in softmaxCrossEntropy: "),s>0){const e=Oe(s),t=Oe(1),n=Oe(a.shape[1]);a=a.mul(t.sub(e)).add(e.div(n))}const l=function(e,t,n=-1){if(-1===n&&(n=t.rank-1),n!==t.rank-1)throw Error(`Softmax cross entropy along a non-last dimension is not yet supported. Labels / logits was rank ${t.rank} and dim was `+n);return mt((e,t,r)=>{const s=t.logSumExp([n],!0),o=t.toFloat().sub(s);r([e,o]);return{value:o.mul(e).neg().sum([n]),gradFunc:(e,t)=>{const[r,s]=t,o=kt(e.shape,[n]);return[e.reshape(o).mul(r.toFloat().sub(s.exp())),e.reshape(o).mul(s.exp().sub(r.toFloat()))]}}})(e,t)}(a,i);return qi(l,u,o)}});var Hi=Object.freeze({__proto__:null,get Reduction(){return e.Reduction},absoluteDifference:Pi,computeWeightedLoss:qi,cosineDistance:zi,hingeLoss:Li,huberLoss:Oi,logLoss:Wi,meanSquaredError:Ki,sigmoidCrossEntropy:Gi,softmaxCrossEntropy:Ui});function Vi(e,t=!1){return ke.tidy(()=>{if(2!==e.shape.length)throw new Error(`qr2d() requires a 2D Tensor, but got a ${e.shape.length}D Tensor.`);const n=e.shape[0],r=e.shape[1];let s=Xo(n),o=e.clone();const a=Ke([[1]],[1,1]);let i=a.clone();const u=n>=r?r:n;for(let e=0;e<u;++e){const t=o,u=i,l=s;[i,o,s]=ke.tidy(()=>{const t=o.slice([e,e],[n-e,1]),u=t.norm(),l=o.slice([e,e],[1,1]),c=Ke([[-1]]).where(l.greater(0),Ke([[1]])),h=l.sub(c.mul(u)),d=t.div(h);i=1===d.shape[0]?a.clone():a.concat(d.slice([1,0],[d.shape[0]-1,d.shape[1]]),0);const p=c.matMul(h).div(u).neg(),f=o.slice([e,0],[n-e,r]),m=p.mul(i),g=i.transpose();if(0===e)o=f.sub(m.matMul(g.matMul(f)));else{const t=f.sub(m.matMul(g.matMul(f)));o=o.slice([0,0],[e,r]).concat(t,0)}const b=m.transpose(),w=s.slice([0,e],[n,s.shape[1]-e]);if(0===e)s=w.sub(w.matMul(i).matMul(b));else{const t=w.sub(w.matMul(i).matMul(b));s=s.slice([0,0],[n,e]).concat(t,1)}return[i,o,s]}),Eo([t,u,l])}return!t&&n>r&&(s=s.slice([0,0],[n,r]),o=o.slice([0,0],[r,r])),[s,o]})}const ji=_e({bandPart_:function(e,t,n){if(t%1!=0)throw new Error(`bandPart(): numLower must be an integer, got ${t}.`);if(n%1!=0)throw new Error(`bandPart(): numUpper must be an integer, got ${n}.`);const r=Me(e,"a","bandPart");if(r.rank<2)throw new Error(`bandPart(): Rank must be at least 2, got ${r.rank}.`);const s=r.shape,[o,a]=r.shape.slice(-2);if(!(t<=o))throw new Error(`bandPart(): numLower (${t}) must not be greater than the number of rows (${o}).`);if(!(n<=a))throw new Error(`bandPart(): numUpper (${n}) must not be greater than the number of columns (${a}).`);t<0&&(t=o),n<0&&(n=a);const i=Ze(0,o,1,"int32").reshape([-1,1]),u=Ze(0,a,1,"int32"),l=sr(i,u),c=Nr(l.lessEqual(Oe(+t,"int32")),l.greaterEqual(Oe(-n,"int32"))),h=Ye([o,a],r.dtype);return ut(lt(r.reshape([-1,o,a])).map(e=>Ar(c,e,h))).reshape(s)}}),Ji=_e({gramSchmidt_:function(e){let t;if(Array.isArray(e)){t=!1,m(null!=e&&e.length>0,()=>"Gram-Schmidt process: input must not be null, undefined, or empty");const n=e[0].shape[0];for(let t=1;t<e.length;++t)m(e[t].shape[0]===n,()=>`Gram-Schmidt: Non-unique lengths found in the input vectors: (${e[t].shape[0]} vs. ${n})`)}else t=!0,e=zn(e,e.shape[0],0).map(e=>it(e,[0]));m(e.length<=e[0].shape[0],()=>`Gram-Schmidt: Number of vectors (${e.length}) exceeds number of dimensions (${e[0].shape[0]}).`);const n=[],r=e;for(let t=0;t<e.length;++t)n.push(ke.tidy(()=>{let e=r[t];if(t>0)for(let r=0;r<t;++r){const t=Tt(n[r].mul(e)).mul(n[r]);e=e.sub(t)}return e.div(fi(e,"euclidean"))}));return t?ut(n,0):n}}),Yi=_e({qr_:function(e,t=!1){if(e.rank<2)throw new Error("qr() requires input tensor to have a rank >= 2, but got rank "+e.rank);if(2===e.rank)return Vi(e,t);{const n=e.shape.slice(0,e.shape.length-2).reduce((e,t)=>e*t),r=lt(e.reshape([n,e.shape[e.shape.length-2],e.shape[e.shape.length-1]]),0),s=[],o=[];return r.forEach(e=>{const[n,r]=Vi(e,t);s.push(n),o.push(r)}),[ut(s,0).reshape(e.shape),ut(o,0).reshape(e.shape)]}}});var Xi=Object.freeze({__proto__:null,bandPart:ji,gramSchmidt:Ji,qr:Yi});function Zi(e,t,n){const r=function(e,t,n){return function(e,t,n){let r=0,s=e.length,o=0,a=!1;for(;r<s;){o=r+(s-r>>>1);const i=n(t,e[o]);i>0?r=o+1:(s=o,a=!i)}return a?r:-r-1}(e,t,n||Qi)}(e,t,n),s=r<0?-(r+1):r;e.splice(s,0,t)}function Qi(e,t){return e>t?1:e<t?-1:0}function eu(e,t,n,r,s){const o=nu(e,t,n,r,s,0);return o.selectedScores.dispose(),o.numValidOutputs.dispose(),o.selectedIndices}function tu(e,t,n,r,s,o){const a=nu(e,t,n,r,s,o,!0);return a.numValidOutputs.dispose(),{selectedIndices:a.selectedIndices,selectedScores:a.selectedScores}}function nu(e,t,n,r,s,o,a=!1,i=!1){const u=[];for(let e=0;e<t.length;e++)t[e]>s&&u.push({score:t[e],boxIndex:e,suppressBeginIndex:0});u.sort(ou);const l=o>0?-.5/o:0,c=[],h=[];for(;c.length<n&&u.length>0;){const t=u.pop(),{score:n,boxIndex:o,suppressBeginIndex:a}=t;if(n<s)break;let i=!1;for(let n=c.length-1;n>=a;--n){const a=ru(e,o,c[n]);if(a>=r){i=!0;break}if(t.score=t.score*su(r,l,a),t.score<=s)break}t.suppressBeginIndex=c.length,i||(t.score===n?(c.push(o),h.push(t.score)):t.score>s&&Zi(u,t,ou))}const d=c.length;return i&&(c.fill(0,d),h.fill(0,d)),{selectedIndices:We(c,"int32"),selectedScores:We(h,"float32"),numValidOutputs:Oe(d,"int32")}}function ru(e,t,n){const r=e.subarray(4*t,4*t+4),s=e.subarray(4*n,4*n+4),o=Math.min(r[0],r[2]),a=Math.min(r[1],r[3]),i=Math.max(r[0],r[2]),u=Math.max(r[1],r[3]),l=Math.min(s[0],s[2]),c=Math.min(s[1],s[3]),h=Math.max(s[0],s[2]),d=Math.max(s[1],s[3]),p=(i-o)*(u-a),f=(h-l)*(d-c);if(p<=0||f<=0)return 0;const m=Math.max(o,l),g=Math.max(a,c),b=Math.min(i,h),w=Math.min(u,d),y=Math.max(b-m,0)*Math.max(w-g,0);return y/(p+f-y)}function su(e,t,n){const r=Math.exp(t*n*n);return n<=e?r:0}function ou(e,t){return e.score-t.score||e.score===t.score&&t.boxIndex-e.boxIndex}function au(e,t,n,r,s,o){null==r&&(r=.5),null==s&&(s=Number.NEGATIVE_INFINITY),null==o&&(o=0);const a=e.shape[0];return n=Math.min(n,a),m(0<=r&&r<=1,()=>`iouThreshold must be in [0, 1], but was '${r}'`),m(2===e.rank,()=>`boxes must be a 2D tensor, but was of rank '${e.rank}'`),m(4===e.shape[1],()=>"boxes must have 4 columns, but 2nd dimension was "+e.shape[1]),m(1===t.rank,()=>"scores must be a 1D tensor"),m(t.shape[0]===a,()=>`scores has incompatible shape with boxes. Expected ${a}, but was `+t.shape[0]),m(0<=o&&o<=1,()=>`softNmsSigma must be in [0, 1], but was '${o}'`),{maxOutputSize:n,iouThreshold:r,scoreThreshold:s,softNmsSigma:o}}const iu=_e({nonMaxSuppression_:function(e,t,n,r=.5,s=Number.NEGATIVE_INFINITY){const o=Me(e,"boxes","nonMaxSuppression"),a=Me(t,"scores","nonMaxSuppression"),i=au(o,a,n,r,s);n=i.maxOutputSize,r=i.iouThreshold,s=i.scoreThreshold;const u={maxOutputSize:n,iouThreshold:r,scoreThreshold:s};return ke.runKernelFunc(e=>e.nonMaxSuppression(o,a,n,r,s),{boxes:o,scores:a},null,"NonMaxSuppressionV3",u)}});const uu=_e({resizeBilinear_:function(e,t,n=!1){const r=Me(e,"images","resizeBilinear");m(3===r.rank||4===r.rank,()=>`Error in resizeBilinear: x must be rank 3 or 4, but got rank ${r.rank}.`),m(2===t.length,()=>"Error in resizeBilinear: new shape must 2D, but got shape "+t+".");let s=r,o=!1;3===r.rank&&(o=!0,s=r.as4D(1,r.shape[0],r.shape[1],r.shape[2]));const[a,i]=t,u=ke.runKernelFunc((e,t)=>(t([s]),e.resizeBilinear(s,a,i,n)),{x:s},(e,t)=>({x:()=>ke.runKernelFunc(r=>r.resizeBilinearBackprop(e,t[0],n),{})}),"ResizeBilinear",{alignCorners:n,newHeight:a,newWidth:i});return o?u.as3D(u.shape[1],u.shape[2],u.shape[3]):u}}),lu=_e({resizeNearestNeighbor_:function(e,t,n=!1){const r=Me(e,"images","resizeNearestNeighbor");m(3===r.rank||4===r.rank,()=>`Error in resizeNearestNeighbor: x must be rank 3 or 4, but got rank ${r.rank}.`),m(2===t.length,()=>"Error in resizeNearestNeighbor: new shape must 2D, but got shape "+t+"."),m("float32"===r.dtype||"int32"===r.dtype,()=>"`images` must have `int32` or `float32` as dtype");let s=r,o=!1;3===r.rank&&(o=!0,s=r.as4D(1,r.shape[0],r.shape[1],r.shape[2]));const[a,i]=t,u=ke.runKernelFunc((e,t)=>(t([s]),e.resizeNearestNeighbor(s,a,i,n)),{batchImages:s},(e,t)=>({batchImages:()=>ke.runKernelFunc(r=>r.resizeNearestNeighborBackprop(e,t[0],n),{})}));return o?u.as3D(u.shape[1],u.shape[2],u.shape[3]):u}}),cu=async function(e,t,n,r=.5,s=Number.NEGATIVE_INFINITY){const o=Me(e,"boxes","nonMaxSuppressionAsync"),a=Me(t,"scores","nonMaxSuppressionAsync"),i=au(o,a,n,r,s);n=i.maxOutputSize,r=i.iouThreshold,s=i.scoreThreshold;const u=await Promise.all([o.data(),a.data()]),l=eu(u[0],u[1],n,r,s);return o!==e&&o.dispose(),a!==t&&a.dispose(),l},hu=_e({nonMaxSuppressionWithScore_:function(e,t,n,r=.5,s=Number.NEGATIVE_INFINITY,o=0){const a=Me(e,"boxes","nonMaxSuppression"),i=Me(t,"scores","nonMaxSuppression"),u=au(a,i,n,r,s,o),l={maxOutputSize:n=u.maxOutputSize,iouThreshold:r=u.iouThreshold,scoreThreshold:s=u.scoreThreshold,softNmsSigma:o=u.softNmsSigma},c=ke.runKernel("NonMaxSuppressionV5",{boxes:a,scores:i},l);return{selectedIndices:c[0],selectedScores:c[1]}}}),du=async function(e,t,n,r=.5,s=Number.NEGATIVE_INFINITY,o=0){const a=Me(e,"boxes","nonMaxSuppressionAsync"),i=Me(t,"scores","nonMaxSuppressionAsync"),u=au(a,i,n,r,s,o);n=u.maxOutputSize,r=u.iouThreshold,s=u.scoreThreshold,o=u.softNmsSigma;const l=await Promise.all([a.data(),i.data()]),c=tu(l[0],l[1],n,r,s,o);return a!==e&&a.dispose(),i!==t&&i.dispose(),c},pu=_e({cropAndResize_:function(e,t,n,r,s,o){const a=Me(e,"image","cropAndResize"),i=Me(t,"boxes","cropAndResize","float32"),u=Me(n,"boxInd","cropAndResize","int32");s=s||"bilinear",o=o||0;const l=i.shape[0];return m(4===a.rank,()=>`Error in cropAndResize: image must be rank 4,but got rank ${a.rank}.`),m(2===i.rank&&4===i.shape[1],()=>`Error in cropAndResize: boxes must be have size [${l},4] but had shape ${i.shape}.`),m(1===u.rank&&u.shape[0]===l,()=>`Error in cropAndResize: boxInd must be have size [${l}] but had shape ${i.shape}.`),m(2===r.length,()=>`Error in cropAndResize: cropSize must be of length 2, but got length ${r.length}.`),m(r[0]>=1&&r[1]>=1,()=>"cropSize must be atleast [1,1], but was "+r),m("bilinear"===s||"nearest"===s,()=>"method must be bilinear or nearest, but was "+s),ke.runKernelFunc((e,t)=>e.cropAndResize(a,i,u,r,s,o),{images:a,boxes:i,boxInd:u},null,"CropAndResize",{method:s,extrapolationValue:o,cropSize:r})}});var fu=Object.freeze({__proto__:null,resizeBilinear:uu,resizeNearestNeighbor:lu,nonMaxSuppressionAsync:cu,nonMaxSuppressionWithScore:hu,nonMaxSuppressionWithScoreAsync:du,cropAndResize:pu,nonMaxSuppression:iu});const mu=(e,t)=>!(e>0)||"linear"===t,gu=(e,t,n)=>{if(null==n||"linear"===n)return e;if("relu"===n)return e.mul(t.step());throw new Error(`Gradient for activation ${n} has not been implemented yet.`)},bu=(e,t)=>{let n=t;const r=Se(e.shape,t.shape);return r.length>0&&(n=n.sum(r)),n.reshape(e.shape)},wu=(e,t,n)=>{if("linear"===t)return e;if("relu"===t)return Ta(e);if("elu"===t)return Jo(e);if("relu6"===t)return Ba(e);if("prelu"===t)return ga(e,n);throw new Error(`Unknown fused activation ${t}.`)};const yu=_e({fusedMatMul_:function({a:e,b:t,transposeA:n=!1,transposeB:r=!1,bias:s,activation:o="linear",preluActivationWeights:a}){if(!1===mu(ke.state.gradientDepth,o)){let i=Bn(e,t,n,r);return null!=s&&(i=Te(i,s)),wu(i,o,a)}let i=Me(e,"a","fused matMul"),u=Me(t,"b","fused matMul");[i,u]=fe(i,u);const l=n?i.shape[i.rank-2]:i.shape[i.rank-1],c=r?u.shape[u.rank-1]:u.shape[u.rank-2],h=n?i.shape[i.rank-1]:i.shape[i.rank-2],d=r?u.shape[u.rank-2]:u.shape[u.rank-1],p=i.shape.slice(0,-2),f=u.shape.slice(0,-2),g=y(p),b=y(f);m(i.rank>=2&&u.rank>=2&&i.rank===u.rank,()=>`Error in fused matMul: inputs must have the same rank of at least 2, got ranks ${i.rank} and ${u.rank}.`),m(k(p,f),()=>`Error in fused matMul: outer dimensions (${p}) and (${f}) of Tensors with shapes ${i.shape} and `+u.shape+" must match."),m(l===c,()=>`Error in fused matMul: inner shapes (${l}) and (${c}) of Tensors with shapes ${i.shape} and ${u.shape} and transposeA=${n} and transposeB=${r} must match.`);const w=i.shape.slice(0,-2).concat([h,d]),v=n?i.as3D(g,l,h):i.as3D(g,h,l),x=r?u.as3D(b,d,c):u.as3D(b,c,d);let E,S;null!=s&&(E=Me(s,"bias","fused matMul"),[E]=fe(E,i),De(w,E.shape)),null!=a&&(S=Me(a,"prelu weights","fused matMul"));const D={a:v,b:x};null!=s&&(D.bias=E),null!=a&&(D.preluActivationWeights=S);const I=[v,x];return ke.runKernelFunc((e,t)=>{const s=e.fusedBatchMatMul({a:v,b:x,transposeA:n,transposeB:r,bias:E,activation:o,preluActivationWeights:S});return t([v,x,s]),s},D,(e,t)=>{const[a,i,u]=t,l=gu(e,u,o);let c={};return null!=s&&(c={bias:()=>bu(E,l)}),n||r?!n&&r?Object.assign({a:()=>l.matMul(i,!1,!1),b:()=>l.matMul(a,!0,!1)},c):n&&!r?Object.assign({a:()=>i.matMul(l,!1,!0),b:()=>a.matMul(l,!1,!1)},c):Object.assign({a:()=>i.matMul(l,!0,!0),b:()=>l.matMul(a,!0,!0)},c):Object.assign({a:()=>l.matMul(i,!1,!0),b:()=>a.matMul(l,!0,!1)},c)},"_FusedMatMul",{transposeA:n,transposeB:r,activation:o},I,[!0]).reshape(w)}}),ku=_e({fusedConv2d_:function({x:e,filter:t,strides:n,pad:r,dataFormat:s="NHWC",dilations:o=[1,1],dimRoundingMode:a,bias:i,activation:u="linear",preluActivationWeights:l}){if(u=u||"linear",!1===mu(ke.state.gradientDepth,u)){let c=Gn(e,t,n,r,s,o,a);return null!=i&&(c=Te(c,i)),wu(c,u,l)}const c=Me(e,"x","conv2d"),h=Me(t,"filter","conv2d");let d=c,p=!1;3===c.rank&&(p=!0,d=c.as4D(1,c.shape[0],c.shape[1],c.shape[2])),m(4===d.rank,()=>"Error in fused conv2d: input must be rank 4, but got rank "+d.rank+"."),m(4===h.rank,()=>"Error in fused conv2d: filter must be rank 4, but got rank "+h.rank+"."),null!=a&&m(v(r),()=>`Error in fused conv2d: pad must be an integer when using, dimRoundingMode ${a} but got pad ${r}.`),m(d.shape[3]===h.shape[2],()=>`Error in conv2d: depth of input (${d.shape[3]}) must match input depth for filter ${h.shape[2]}.`),m($n(n,o),()=>`Error in conv2D: Either strides or dilations must be 1. Got strides ${n} and dilations '${o}'`),m("NHWC"===s,()=>`Error in conv2d: got dataFormat of ${s} but only NHWC is currently supported.`);const f=kn(d.shape,h.shape,n,o,r,a);let g,b;null!=i&&(g=Me(i,"bias","fused conv2d"),[g]=fe(g,c),De(f.outShape,g.shape)),null!=l&&(b=Me(l,"prelu weights","fused conv2d"));const w={x:d,filter:h};null!=i&&(w.bias=g),null!=l&&(w.preluActivationWeights=b);const y=[h,d],k=ke.runKernelFunc((e,t)=>{const n=e.fusedConv2d({input:d,filter:h,convInfo:f,bias:g,activation:u,preluActivationWeights:b});return t([h,d,n]),n},w,(e,t)=>{const[s,a,l]=t,c=gu(e,l,u);m(Nn(o),()=>`Error in gradient of fused conv2D: dilation rates greater than 1 are not yet supported in gradients. Got dilations '${o}'`);let h={};return null!=i&&(h={bias:()=>bu(g,c)}),Object.assign({x:()=>Wn(a.shape,c,s,n,r),filter:()=>On(a,c,s.shape,n,r)},h)},"FusedConv2D",{convInfo:f,activation:u},y,[!0]);return p?k.as3D(k.shape[1],k.shape[2],k.shape[3]):k}}),vu=_e({fusedDepthwiseConv2d_:function({x:e,filter:t,strides:n,pad:r,dataFormat:s="NHWC",dilations:o=[1,1],dimRoundingMode:a,bias:i,activation:u="linear",preluActivationWeights:l}){if(!1===mu(ke.state.gradientDepth,u)){let c=Uo(e,t,n,r,s,o,a);return null!=i&&(c=Te(c,i)),wu(c,u,l)}const c=Me(e,"x","depthwiseConv2d"),h=Me(t,"filter","depthwiseConv2d");let d=c,p=!1;3===c.rank&&(p=!0,d=c.as4D(1,c.shape[0],c.shape[1],c.shape[2])),m(4===d.rank,()=>`Error in fused depthwiseConv2d: input must be rank 4, but got rank ${d.rank}.`),m(4===h.rank,()=>`Error in fused depthwiseConv2d: filter must be rank 4, but got rank ${h.rank}.`),m(d.shape[3]===h.shape[2],()=>`Error in fused depthwiseConv2d: number of input channels (${d.shape[3]}) must match the inChannels dimension in filter ${h.shape[2]}.`),null==o&&(o=[1,1]),m($n(n,o),()=>`Error in fused depthwiseConv2d: Either strides or dilations must be 1. Got strides ${n} and dilations '${o}'`),null!=a&&m(v(r),()=>`Error in fused depthwiseConv2d: pad must be an integer when using dimRoundingMode ${a} but got pad ${r}.`);const f=kn(d.shape,h.shape,n,o,r,a,!0);let g,b;null!=i&&(g=Me(i,"bias","fused conv2d"),[g]=fe(g,c),De(f.outShape,g.shape)),null!=l&&(b=Me(l,"prelu weights","fused depthwiseConv2d"));const w={x:d,filter:h};null!=i&&(w.bias=g),null!=l&&(w.preluActivationWeights=b);const y=[h,d],k=ke.runKernelFunc((e,t)=>{const n=e.fusedDepthwiseConv2D({input:d,filter:h,convInfo:f,bias:g,activation:u,preluActivationWeights:b});return t([h,d,n]),n},w,(e,t)=>{m(Nn(o),()=>`Error in gradient of fused depthwiseConv2d: dilation rates greater than 1 are not yet supported. Got dilations '${o}'`);const[n,r,s]=t,a=gu(e,s,u);let l={};return null!=i&&(l={bias:()=>bu(g,a)}),Object.assign({x:()=>Qn(r.shape,a,n,f),filter:()=>Zn(r,a,n.shape,f)},l)},"FusedDepthwiseConv2D",{convInfo:f,activation:u},y,[!0]);return p?k.as3D(k.shape[1],k.shape[2],k.shape[3]):k}});var xu=Object.freeze({__proto__:null,matMul:yu,conv2d:ku,depthwiseConv2d:vu}),Eu=Object.freeze({__proto__:null,image:fu,linalg:Xi,losses:Hi,spectral:Di,fused:xu,signal:Bi,add:Te,addN:Do,atan2:Io,avgPool:No,avgPool3d:$o,batchToSpaceND:zr,batchNorm:Mo,batchNorm2d:Ao,batchNorm3d:_o,batchNorm4d:To,broadcastTo:Co,clone:Bo,complex:Re,concat:tt,concat1d:Ro,concat2d:Po,concat3d:qo,concat4d:zo,conv1d:Lo,conv2d:Gn,conv2dTranspose:Oo,conv3d:Wo,conv3dTranspose:Ko,cumsum:Yn,depthToSpace:Go,depthwiseConv2d:Uo,diag:Ho,div:dt,divNoNan:Vo,dot:jo,elu:Jo,equal:Yo,eye:Xo,fill:Zo,floorDiv:ht,greater:yr,greaterEqual:dr,imag:Pe,leakyRelu:ea,less:pr,lessEqual:kr,localResponseNormalization:ta,matMul:Bn,max:na,maxPool:ra,maxPool3d:sa,maxPoolWithArgmax:oa,maximum:Qo,minimum:aa,mod:ia,mul:pt,multinomial:ua,notEqual:la,oneHot:eo,outerProduct:ca,pad:Ur,pad1d:ha,pad2d:da,pad3d:pa,pad4d:fa,pool:ma,pow:Tr,prelu:ga,rand:ba,randomGamma:Ma,randomNormal:Aa,randomUniform:_a,real:qe,relu:Ta,relu6:Ba,selu:Ca,separableConv2d:Ra,spaceToBatchND:Rn,split:zn,square:Ct,squaredDifference:Pa,sub:sr,tile:or,truncatedNormal:qa,op:_e,booleanMaskAsync:Ua,reverse:Ha,reverse1d:Va,reverse2d:ja,reverse3d:Ja,reverse4d:Ya,slice:ns,slice1d:rs,slice2d:ss,slice3d:os,slice4d:as,abs:Rt,acos:Pt,acosh:qt,asin:zt,asinh:Lt,atan:Ot,atanh:Wt,ceil:Kt,clipByValue:Gt,cos:Ut,cosh:Ht,erf:Vt,exp:jt,expm1:Jt,floor:Yt,log:Xt,log1p:Zt,logSigmoid:Qt,neg:en,reciprocal:tn,round:nn,rsqrt:rn,sigmoid:sn,sign:on,isNaN:an,isInf:un,isFinite:ln,sin:cn,sinh:hn,softplus:dn,sqrt:pn,step:fn,tan:mn,tanh:gn,all:Dt,any:It,argMax:Nt,argMin:$t,logSumExp:Ft,mean:Mt,min:At,moments:_t,sum:Tt,prod:Bt,equalStrict:Xa,greaterEqualStrict:Za,greaterStrict:Qa,lessEqualStrict:ei,lessStrict:ti,notEqualStrict:ni,addStrict:ri,divStrict:si,maximumStrict:oi,minimumStrict:ai,modStrict:ii,mulStrict:ui,powStrict:li,squaredDifferenceStrict:ci,subStrict:hi,logicalAnd:Nr,logicalNot:$r,logicalOr:Fr,logicalXor:Mr,where:Ar,whereAsync:_r,buffer:nt,print:rt,cast:st,expandDims:ot,reshape:at,squeeze:it,stack:ut,unstack:lt,setdiff1dAsync:ct,linspace:Xe,ones:Je,range:Ze,scalar:Oe,tensor:ze,tensor1d:We,tensor2d:Ke,tensor3d:Ge,tensor4d:Ue,tensor5d:He,tensor6d:Ve,variable:je,zeros:Ye,onesLike:Qe,zerosLike:et,transpose:Jn,softmax:di,logSoftmax:pi,norm:fi,gather:Ka,unsortedSegmentSum:Ga,basicLSTMCell:mi,multiRNNCell:gi,movingAverage:bi,stridedSlice:wi,topk:yi,scatterND:ki,fft:vi,ifft:xi,rfft:Ei,irfft:Si,sparseToDense:Ii,gatherND:Ni,dropout:$i,hannWindow:Mi,hammingWindow:Ai,frame:_i,stft:Ti,inTopKAsync:Ci});class Su extends po{minimize(e,t=!1,n){const{value:r,grads:s}=this.computeGradients(e,n);if(null!=n){const e=n.map(e=>({name:e.name,tensor:s[e.name]}));this.applyGradients(e)}else this.applyGradients(s);return Eo(s),t?r:(r.dispose(),null)}get iterations(){return null==this.iterations_&&(this.iterations_=0),this.iterations_}incrementIterations(){this.iterations_=this.iterations+1}computeGradients(e,t){return ft(e,t)}dispose(){null!=this.iterations_&&Eo(this.iterations_)}async saveIterations(){return null==this.iterations_&&(this.iterations_=0),{name:"iter",tensor:Oe(this.iterations_,"int32")}}async getWeights(){throw new Error("getWeights() is not implemented for this optimizer yet.")}async setWeights(e){throw new Error("setWeights() is not implemented for this optimizer class "+this.getClassName())}async extractIterations(e){return this.iterations_=(await e[0].tensor.data())[0],e.slice(1)}}Object.defineProperty(Su,Symbol.hasInstance,{value:e=>null!=e.minimize&&null!=e.computeGradients&&null!=e.applyGradients});class Du extends Su{constructor(e,t,n=null){super(),this.learningRate=e,this.rho=t,this.epsilon=n,this.accumulatedGrads=[],this.accumulatedUpdates=[],null==n&&(this.epsilon=ke.backend.epsilon())}applyGradients(e){(Array.isArray(e)?e.map(e=>e.name):Object.keys(e)).forEach((t,n)=>{const r=ke.registeredVariables[t];null==this.accumulatedGrads[n]&&(this.accumulatedGrads[n]={originalName:t+"/accum_grad",variable:xo(()=>et(r).variable(!1))}),null==this.accumulatedUpdates[n]&&(this.accumulatedUpdates[n]={originalName:t+"/accum_var",variable:xo(()=>et(r).variable(!1))});const s=Array.isArray(e)?e[n].tensor:e[t];if(null==s)return;const o=this.accumulatedGrads[n].variable,a=this.accumulatedUpdates[n].variable;xo(()=>{const e=o.mul(this.rho).add(s.square().mul(1-this.rho)),t=a.add(this.epsilon).sqrt().div(o.add(this.epsilon).sqrt()).mul(s),n=a.mul(this.rho).add(t.square().mul(1-this.rho));o.assign(e),a.assign(n);const i=t.mul(-this.learningRate).add(r);r.assign(i)})}),this.incrementIterations()}dispose(){null!=this.accumulatedUpdates&&(Eo(this.accumulatedGrads.map(e=>e.variable)),Eo(this.accumulatedUpdates.map(e=>e.variable)))}async getWeights(){const e=[...this.accumulatedGrads,...this.accumulatedUpdates];return[await this.saveIterations()].concat(e.map(e=>({name:e.originalName,tensor:e.variable})))}async setWeights(e){const t=(e=await this.extractIterations(e)).length/2;this.accumulatedGrads=e.slice(0,t).map(e=>({originalName:e.name,variable:e.tensor.variable(!1)})),this.accumulatedUpdates=e.slice(t,2*t).map(e=>({originalName:e.name,variable:e.tensor.variable(!1)}))}getConfig(){return{learningRate:this.learningRate,rho:this.rho,epsilon:this.epsilon}}static fromConfig(e,t){return new e(t.learningRate,t.rho,t.epsilon)}}Du.className="Adadelta",mo(Du);class Iu extends Su{constructor(e,t=.1){super(),this.learningRate=e,this.initialAccumulatorValue=t,this.accumulatedGrads=[]}applyGradients(e){(Array.isArray(e)?e.map(e=>e.name):Object.keys(e)).forEach((t,n)=>{const r=ke.registeredVariables[t];if(null==this.accumulatedGrads[n]){const e=!1;this.accumulatedGrads[n]={originalName:t+"/accumulator",variable:xo(()=>Zo(r.shape,this.initialAccumulatorValue).variable(e))}}const s=Array.isArray(e)?e[n].tensor:e[t];if(null==s)return;const o=this.accumulatedGrads[n].variable;xo(()=>{const e=o.add(s.square());o.assign(e);const t=s.div(e.add(ke.backend.epsilon()).sqrt()).mul(-this.learningRate).add(r);r.assign(t)})}),this.incrementIterations()}dispose(){null!=this.accumulatedGrads&&Eo(this.accumulatedGrads.map(e=>e.variable))}async getWeights(){return[await this.saveIterations()].concat(this.accumulatedGrads.map(e=>({name:e.originalName,tensor:e.variable})))}async setWeights(e){e=await this.extractIterations(e);this.accumulatedGrads=e.map(e=>({originalName:e.name,variable:e.tensor.variable(!1)}))}getConfig(){return{learningRate:this.learningRate,initialAccumulatorValue:this.initialAccumulatorValue}}static fromConfig(e,t){return new e(t.learningRate,t.initialAccumulatorValue)}}Iu.className="Adagrad",mo(Iu);class Nu extends Su{constructor(e,t,n,r=null){super(),this.learningRate=e,this.beta1=t,this.beta2=n,this.epsilon=r,this.accumulatedFirstMoment=[],this.accumulatedSecondMoment=[],xo(()=>{this.accBeta1=Oe(t).variable(),this.accBeta2=Oe(n).variable()}),null==r&&(this.epsilon=ke.backend.epsilon())}applyGradients(e){const t=Array.isArray(e)?e.map(e=>e.name):Object.keys(e);xo(()=>{const n=sr(1,this.accBeta1),r=sr(1,this.accBeta2);t.forEach((t,s)=>{const o=ke.registeredVariables[t];null==this.accumulatedFirstMoment[s]&&(this.accumulatedFirstMoment[s]={originalName:t+"/m",variable:xo(()=>et(o).variable(!1))}),null==this.accumulatedSecondMoment[s]&&(this.accumulatedSecondMoment[s]={originalName:t+"/v",variable:xo(()=>et(o).variable(!1))});const a=Array.isArray(e)?e[s].tensor:e[t];if(null==a)return;const i=this.accumulatedFirstMoment[s].variable,u=this.accumulatedSecondMoment[s].variable,l=i.mul(this.beta1).add(a.mul(1-this.beta1)),c=u.mul(this.beta2).add(a.square().mul(1-this.beta2)),h=l.div(n),d=c.div(r);i.assign(l),u.assign(c);const p=h.div(d.sqrt().add(this.epsilon)).mul(-this.learningRate).add(o);o.assign(p)}),this.accBeta1.assign(this.accBeta1.mul(this.beta1)),this.accBeta2.assign(this.accBeta2.mul(this.beta2))}),this.incrementIterations()}dispose(){this.accBeta1.dispose(),this.accBeta2.dispose(),null!=this.accumulatedFirstMoment&&Eo(this.accumulatedFirstMoment.map(e=>e.variable)),null!=this.accumulatedSecondMoment&&Eo(this.accumulatedSecondMoment.map(e=>e.variable))}async getWeights(){const e=[...this.accumulatedFirstMoment,...this.accumulatedSecondMoment];return[await this.saveIterations()].concat(e.map(e=>({name:e.originalName,tensor:e.variable})))}async setWeights(e){e=await this.extractIterations(e),xo(()=>{this.accBeta1.assign(Tr(this.beta1,this.iterations_+1)),this.accBeta2.assign(Tr(this.beta2,this.iterations_+1))});const t=e.length/2;this.accumulatedFirstMoment=e.slice(0,t).map(e=>({originalName:e.name,variable:e.tensor.variable(!1)})),this.accumulatedSecondMoment=e.slice(t,2*t).map(e=>({originalName:e.name,variable:e.tensor.variable(!1)}))}getConfig(){return{learningRate:this.learningRate,beta1:this.beta1,beta2:this.beta2,epsilon:this.epsilon}}static fromConfig(e,t){return new e(t.learningRate,t.beta1,t.beta2,t.epsilon)}}Nu.className="Adam",mo(Nu);class $u extends Su{constructor(e,t,n,r=null,s=0){super(),this.learningRate=e,this.beta1=t,this.beta2=n,this.epsilon=r,this.decay=s,this.accumulatedFirstMoment=[],this.accumulatedWeightedInfNorm=[],xo(()=>{this.iteration=Oe(0).variable(),this.accBeta1=Oe(t).variable()}),null==r&&(this.epsilon=ke.backend.epsilon())}applyGradients(e){const t=Array.isArray(e)?e.map(e=>e.name):Object.keys(e);xo(()=>{const n=sr(1,this.accBeta1),r=dt(-this.learningRate,this.iteration.mul(this.decay).add(1));t.forEach((t,s)=>{const o=ke.registeredVariables[t];null==this.accumulatedFirstMoment[s]&&(this.accumulatedFirstMoment[s]={originalName:t+"/m",variable:et(o).variable(!1)}),null==this.accumulatedWeightedInfNorm[s]&&(this.accumulatedWeightedInfNorm[s]={originalName:t+"/v",variable:et(o).variable(!1)});const a=Array.isArray(e)?e[s].tensor:e[t];if(null==a)return;const i=this.accumulatedFirstMoment[s].variable,u=this.accumulatedWeightedInfNorm[s].variable,l=i.mul(this.beta1).add(a.mul(1-this.beta1)),c=u.mul(this.beta2),h=a.abs(),d=c.maximum(h);i.assign(l),u.assign(d);const p=r.div(n).mul(l.div(d.add(this.epsilon))).add(o);o.assign(p)}),this.iteration.assign(this.iteration.add(1)),this.accBeta1.assign(this.accBeta1.mul(this.beta1))}),this.incrementIterations()}dispose(){this.accBeta1.dispose(),this.iteration.dispose(),null!=this.accumulatedFirstMoment&&Eo(this.accumulatedFirstMoment.map(e=>e.variable)),null!=this.accumulatedWeightedInfNorm&&Eo(this.accumulatedWeightedInfNorm.map(e=>e.variable))}async getWeights(){throw new Error("getWeights() is not implemented for Adamax yet.")}async setWeights(e){throw new Error("setWeights() is not implemented for Adamax yet.")}getConfig(){return{learningRate:this.learningRate,beta1:this.beta1,beta2:this.beta2,epsilon:this.epsilon,decay:this.decay}}static fromConfig(e,t){return new e(t.learningRate,t.beta1,t.beta2,t.epsilon,t.decay)}}$u.className="Adamax",mo($u);class Fu extends Su{constructor(e){super(),this.learningRate=e,this.setLearningRate(e)}applyGradients(e){(Array.isArray(e)?e.map(e=>e.name):Object.keys(e)).forEach((t,n)=>{const r=Array.isArray(e)?e[n].tensor:e[t];if(null==r)return;const s=ke.registeredVariables[t];xo(()=>{const e=this.c.mul(r).add(s);s.assign(e)})}),this.incrementIterations()}setLearningRate(e){this.learningRate=e,null!=this.c&&this.c.dispose(),this.c=So(Oe(-e))}dispose(){this.c.dispose()}async getWeights(){return[await this.saveIterations()]}async setWeights(e){if(0!==(e=await this.extractIterations(e)).length)throw new Error("SGD optimizer does not have settable weights.")}getConfig(){return{learningRate:this.learningRate}}static fromConfig(e,t){return new e(t.learningRate)}}Fu.className="SGD",mo(Fu);class Mu extends Fu{constructor(e,t,n=!1){super(e),this.learningRate=e,this.momentum=t,this.useNesterov=n,this.accumulations=[],this.m=Oe(this.momentum)}applyGradients(e){(Array.isArray(e)?e.map(e=>e.name):Object.keys(e)).forEach((t,n)=>{const r=ke.registeredVariables[t];if(null==this.accumulations[n]){const e=!1;this.accumulations[n]={originalName:t+"/momentum",variable:xo(()=>et(r).variable(e))}}const s=this.accumulations[n].variable,o=Array.isArray(e)?e[n].tensor:e[t];null!=o&&xo(()=>{let e;const t=this.m.mul(s).add(o);e=this.useNesterov?this.c.mul(o.add(t.mul(this.m))).add(r):this.c.mul(t).add(r),s.assign(t),r.assign(e)})}),this.incrementIterations()}dispose(){this.m.dispose(),null!=this.accumulations&&Eo(this.accumulations.map(e=>e.variable))}setMomentum(e){this.momentum=e}async getWeights(){return[await this.saveIterations()].concat(this.accumulations.map(e=>({name:e.originalName,tensor:e.variable})))}async setWeights(e){e=await this.extractIterations(e);this.accumulations=e.map(e=>({originalName:e.name,variable:e.tensor.variable(!1)}))}getConfig(){return{learningRate:this.learningRate,momentum:this.momentum,useNesterov:this.useNesterov}}static fromConfig(e,t){return new e(t.learningRate,t.momentum,t.useNesterov)}}Mu.className="Momentum",mo(Mu);class Au extends Su{constructor(e,t=.9,n=0,r=null,s=!1){if(super(),this.learningRate=e,this.decay=t,this.momentum=n,this.epsilon=r,this.accumulatedMeanSquares=[],this.accumulatedMoments=[],this.accumulatedMeanGrads=[],this.centered=s,null==r&&(this.epsilon=ke.backend.epsilon()),null==e)throw new Error("learningRate for RMSPropOptimizer must be defined.")}applyGradients(e){(Array.isArray(e)?e.map(e=>e.name):Object.keys(e)).forEach((t,n)=>{const r=ke.registeredVariables[t];null==this.accumulatedMeanSquares[n]&&(this.accumulatedMeanSquares[n]={originalName:t+"/rms",variable:xo(()=>et(r).variable(!1))}),null==this.accumulatedMoments[n]&&(this.accumulatedMoments[n]={originalName:t+"/momentum",variable:xo(()=>et(r).variable(!1))}),null==this.accumulatedMeanGrads[n]&&this.centered&&(this.accumulatedMeanGrads[n]={originalName:t+"/mg",variable:xo(()=>et(r).variable(!1))});const s=Array.isArray(e)?e[n].tensor:e[t];if(null==s)return;const o=this.accumulatedMeanSquares[n].variable,a=this.accumulatedMoments[n].variable;xo(()=>{const e=o.mul(this.decay).add(s.square().mul(1-this.decay));if(this.centered){const t=this.accumulatedMeanGrads[n].variable,i=t.mul(this.decay).add(s.mul(1-this.decay)),u=a.mul(this.momentum).add(s.mul(this.learningRate).div(e.sub(i.square().add(this.epsilon)).sqrt()));o.assign(e),t.assign(i),a.assign(u);const l=r.sub(u);r.assign(l)}else{const e=o.mul(this.decay).add(s.square().mul(1-this.decay)),t=a.mul(this.momentum).add(s.mul(this.learningRate).div(e.add(this.epsilon).sqrt()));o.assign(e),a.assign(t);const n=r.sub(t);r.assign(n)}})}),this.incrementIterations()}dispose(){null!=this.accumulatedMeanSquares&&Eo(this.accumulatedMeanSquares.map(e=>e.variable)),null!=this.accumulatedMeanGrads&&this.centered&&Eo(this.accumulatedMeanGrads.map(e=>e.variable)),null!=this.accumulatedMoments&&Eo(this.accumulatedMoments.map(e=>e.variable))}async getWeights(){const e=[...this.accumulatedMeanSquares,...this.accumulatedMoments];return this.centered&&e.push(...this.accumulatedMeanGrads),[await this.saveIterations()].concat(e.map(e=>({name:e.originalName,tensor:e.variable})))}async setWeights(e){e=await this.extractIterations(e);const t=this.centered?e.length/3:e.length/2;this.accumulatedMeanSquares=e.slice(0,t).map(e=>({originalName:e.name,variable:e.tensor.variable(!1)})),this.accumulatedMoments=e.slice(t,2*t).map(e=>({originalName:e.name,variable:e.tensor.variable(!1)})),this.centered&&(this.accumulatedMeanGrads=e.slice(2*t,3*t).map(e=>({originalName:e.name,variable:e.tensor.variable(!1)})))}getConfig(){return{learningRate:this.learningRate,decay:this.decay,momentum:this.momentum,epsilon:this.epsilon,centered:this.centered}}static fromConfig(e,t){return new e(t.learningRate,t.decay,t.momentum,t.epsilon,t.centered)}}Au.className="RMSProp",mo(Au);class _u{static sgd(e){return new Fu(e)}static momentum(e,t,n=!1){return new Mu(e,t,n)}static rmsprop(e,t=.9,n=0,r=null,s=!1){return new Au(e,t,n,r,s)}static adam(e=.001,t=.9,n=.999,r=null){return new Nu(e,t,n,r)}static adadelta(e=.001,t=.95,n=null){return new Du(e,t,n)}static adamax(e=.002,t=.9,n=.999,r=null,s=0){return new $u(e,t,n,r,s)}static adagrad(e,t=.1){return new Iu(e,t)}}const Tu={sgd:_u.sgd,momentum:_u.momentum,adadelta:_u.adadelta,adagrad:_u.adagrad,rmsprop:_u.rmsprop,adamax:_u.adamax,adam:_u.adam},Bu="undefined"!=typeof requestAnimationFrame?requestAnimationFrame:"undefined"!=typeof setImmediate?setImmediate:e=>e();var Cu=Object.freeze({__proto__:null,segment_util:La,castTensor:function(e,t,n){if("complex64"===t){if("complex64"===e.dtype)return e.clone();const t=Ye(e.shape),r=e.toFloat(),s=n.complex(r,t);return t.dispose(),r.dispose(),s}if(!M(e.dtype,t))return ke.makeTensorFromDataId(e.dataId,e.shape,t);if("complex64"===e.dtype){const r=n.real(e),s=r.cast(t);return r.dispose(),s}if("int32"===t)return n.int(e);if("bool"===t){const t=Oe(0,e.dtype),r=n.notEqual(e,t);return t.dispose(),r}throw new Error(`Error in Cast: failed to cast ${e.dtype} to ${t}`)},reshapeTensor:function(e,t){return ke.makeTensorFromDataId(e.dataId,t,e.dtype)},linspaceImpl:function(e,t,n){const r=(t-e)/(n-1),s=G(n,"float32");s[0]=e;for(let e=1;e<s.length;e++)s[e]=s[e-1]+r;return We(s,"float32")},nonMaxSuppressionV3:eu,nonMaxSuppressionV5:tu,upcastType:pe,axesAreInnerMostDims:bt,combineLocations:wt,computeOutAndReduceShapes:yt,expandShapeToKeepDim:kt,assertAxesAreInnerMostDims:function(e,t,n){m(bt(t,n),()=>e+" supports only inner-most axes for now. "+`Got axes ${t} and rank-${n} input.`)},getAxesPermutation:vt,getUndoAxesPermutation:xt,getInnerMostAxes:Et,getBroadcastDims:function(e,t){const n=e.length,r=[];for(let s=0;s<n;s++){const o=n-1-s,a=e[o]||1;(t[t.length-1-s]||1)>1&&1===a&&r.unshift(o)}return r},getReductionAxes:Se,assertAndGetBroadcastShape:De,assertParamsConsistent:Be,computeOutShape:Ce,computePool2DInfo:wn,computePool3DInfo:yn,computeConv2DInfo:kn,computeConv3DInfo:vn,computeDefaultPad:xn,tupleValuesAreOne:Nn,eitherStridesOrDilationsAreOne:$n,convertConv2DDataFormat:Fn,PARALLELIZE_THRESHOLD:30,computeOptimalWindowSize:function(e){return e<=30?e:z(e,Math.floor(Math.sqrt(e)))},getReshaped:function(e,t,n,r=!0){let s=[];if(r)s=s.concat(t.slice(0)),s.push(e[0]/n),s=s.concat(e.slice(1));else{s=s.concat(e[0]);const n=t.length;for(let r=0;r<n;++r)s=s.concat([e[r+1]/t[r],t[r]]);s=s.concat(e.slice(n+1))}return s},getPermuted:function(e,t,n=!0){const r=[];if(n){r.push(t);for(let n=t+1;n<e;++n)n<=2*t?(r.push(n),r.push(n-(t+1))):r.push(n)}else{const n=[],s=[];for(let r=1;r<e;++r)r>=2*t+1||r%2==1?s.push(r):n.push(r);r.push(...n),r.push(0),r.push(...s)}return r},getReshapedPermuted:function(e,t,n,r=!0){const s=[];r?s.push(e[0]/n):s.push(e[0]*n);for(let n=1;n<e.length;++n)n<=t.length?r?s.push(t[n-1]*e[n]):s.push(e[n]/t[n-1]):s.push(e[n]);return s},getSliceBeginCoords:function(e,t){const n=[0];for(let r=0;r<t;++r)n.push(e[r][0]);return n},getSliceSize:function(e,t,n){const r=e.slice(0,1);for(let s=0;s<n;++s)r.push(e[s+1]-t[s][0]-t[s][1]);return r},prepareAndValidate:ao,validateUpdateShape:uo,validateInput:lo,calculateShapes:co,SELU_SCALEALPHA:1.7580993408473768,SELU_SCALE:1.0507009873554805,shouldFuse:mu,ERF_P:.3275911,ERF_A1:.254829592,ERF_A2:-.284496736,ERF_A3:1.421413741,ERF_A4:-1.453152027,ERF_A5:1.061405429,warn:function(...e){n().getBool("IS_TEST")||console.warn(...e)},log:function(...e){n().getBool("IS_TEST")||console.log(...e)},mergeRealAndImagArrays:function(e,t){if(e.length!==t.length)throw new Error(`Cannot merge real and imag arrays of different lengths. real:${e.length}, imag: ${t.length}.`);const n=new Float32Array(2*e.length);for(let r=0;r<n.length;r+=2)n[r]=e[r/2],n[r+1]=t[r/2];return n},splitRealAndImagArrays:function(e){const t=new Float32Array(e.length/2),n=new Float32Array(e.length/2);for(let r=0;r<e.length;r+=2)t[r/2]=e[r],n[r/2]=e[r+1];return{real:t,imag:n}},complexWithEvenIndex:function(e){const t=Math.ceil(e.length/4),n=new Float32Array(t),r=new Float32Array(t);for(let t=0;t<e.length;t+=4)n[Math.floor(t/4)]=e[t],r[Math.floor(t/4)]=e[t+1];return{real:n,imag:r}},complexWithOddIndex:function(e){const t=Math.floor(e.length/4),n=new Float32Array(t),r=new Float32Array(t);for(let t=2;t<e.length;t+=4)n[Math.floor(t/4)]=e[t],r[Math.floor(t/4)]=e[t+1];return{real:n,imag:r}},getComplexWithIndex:function(e,t){return{real:e[2*t],imag:e[2*t+1]}},assignToTypedArray:function(e,t,n,r){e[2*r]=t,e[2*r+1]=n},exponents:function(e,t){const n=new Float32Array(e/2),r=new Float32Array(e/2);for(let s=0;s<Math.ceil(e/2);s++){const o=(t?2:-2)*Math.PI*(s/e);n[s]=Math.cos(o),r[s]=Math.sin(o)}return{real:n,imag:r}},exponent:function(e,t,n){const r=(n?2:-2)*Math.PI*(e/t);return{real:Math.cos(r),imag:Math.sin(r)}}});var Ru=Object.freeze({__proto__:null,nonMaxSuppressionV3:eu,nonMaxSuppressionV5:tu,split:function(e,t,n){const r=new Array(e.rank).fill(0),s=e.shape.slice();return t.map(t=>{const o=[...s];o[n]=t;const a=e.slice(r,o);return r[n]+=t,a})},tile:function(e,t){const n=new Array(e.rank);for(let r=0;r<n.length;r++)n[r]=e.shape[r]*t[r];const r=nt(n,e.dtype);for(let t=0;t<r.values.length;++t){const n=r.indexToLoc(t),s=new Array(e.rank);for(let t=0;t<s.length;t++)s[t]=n[t]%e.shape[t];const o=e.locToIndex(s);r.values[t]=e.values[o]}return r.toTensor()},topkImpl:function(e,t,n,r,s){const o=t[t.length-1],[a,i]=[e.length/o,o],u=I(n,a*r),l=I("int32",a*r);for(let t=0;t<a;t++){const n=t*i,s=e.subarray(n,n+i),o=[];for(let e=0;e<s.length;e++)o.push({value:s[e],index:e});o.sort((e,t)=>t.value-e.value);const a=t*r,c=u.subarray(a,a+r),h=l.subarray(a,a+r);for(let e=0;e<r;e++)c[e]=o[e].value,h[e]=o[e].index}const c=t.slice();return c[c.length-1]=r,[ze(u,c,n),ze(l,c,"int32")]},whereImpl:Ir});function Pu(e){throw new Error(`'${e}' not yet implemented or not found in the registry. Did you forget to import the kernel?`)}oe.prototype.add=function(e){return this.throwIfDisposed(),Te(this,e)},oe.prototype.atan2=function(e){return this.throwIfDisposed(),Io(this,e)},oe.prototype.avgPool=function(e,t,n,r){return this.throwIfDisposed(),No(this,e,t,n,r)},oe.prototype.batchNorm=function(e,t,n,r,s){return this.throwIfDisposed(),Mo(this,e,t,n,r,s)},oe.prototype.broadcastTo=function(e){return this.throwIfDisposed(),Co(this,e)},oe.prototype.batchToSpaceND=function(e,t){return this.throwIfDisposed(),zr(this,e,t)},oe.prototype.concat=function(e,t){return this.throwIfDisposed(),e instanceof oe&&(e=[e]),tt([this,...e],t)},oe.prototype.conv1d=function(e,t,n,r,s,o){return this.throwIfDisposed(),Lo(this,e,t,n,r,s,o)},oe.prototype.conv2d=function(e,t,n,r,s,o){return this.throwIfDisposed(),Gn(this,e,t,n,r,s,o)},oe.prototype.conv2dTranspose=function(e,t,n,r,s){return this.throwIfDisposed(),Oo(this,e,t,n,r,s)},oe.prototype.cumsum=function(e,t,n){return this.throwIfDisposed(),Yn(this,e,t,n)},oe.prototype.depthToSpace=function(e,t){return this.throwIfDisposed(),Go(this,e,t)},oe.prototype.depthwiseConv2d=function(e,t,n,r,s,o){return this.throwIfDisposed(),Uo(this,e,t,n,r,s,o)},oe.prototype.depthwiseConv2D=function(e,t,n,r,s,o){return vo("depthwiseConv2D is deprecated, use depthwiseConv2d instead"),this.throwIfDisposed(),Uo(this,e,t,n,r,s,o)},oe.prototype.div=function(e){return this.throwIfDisposed(),dt(this,e)},oe.prototype.divNoNan=function(e){return this.throwIfDisposed(),Vo(this,e)},oe.prototype.dot=function(e){return this.throwIfDisposed(),jo(this,e)},oe.prototype.elu=function(){return this.throwIfDisposed(),Jo(this)},oe.prototype.equal=function(e){return this.throwIfDisposed(),Yo(this,e)},oe.prototype.floorDiv=function(e){return this.throwIfDisposed(),ht(this,e)},oe.prototype.greater=function(e){return this.throwIfDisposed(),yr(this,e)},oe.prototype.greaterEqual=function(e){return this.throwIfDisposed(),dr(this,e)},oe.prototype.leakyRelu=function(e){return this.throwIfDisposed(),ea(this,e)},oe.prototype.less=function(e){return this.throwIfDisposed(),pr(this,e)},oe.prototype.lessEqual=function(e){return this.throwIfDisposed(),kr(this,e)},oe.prototype.localResponseNormalization=function(e,t,n,r){return this.throwIfDisposed(),ta(this,e,t,n,r)},oe.prototype.matMul=function(e,t,n){return this.throwIfDisposed(),Bn(this,e,t,n)},oe.prototype.max=function(e,t){return this.throwIfDisposed(),na(this,e,t)},oe.prototype.maxPool=function(e,t,n,r){return this.throwIfDisposed(),ra(this,e,t,n,r)},oe.prototype.maximum=function(e){return this.throwIfDisposed(),Qo(this,e)},oe.prototype.minimum=function(e){return this.throwIfDisposed(),aa(this,e)},oe.prototype.mod=function(e){return this.throwIfDisposed(),ia(this,e)},oe.prototype.mul=function(e){return this.throwIfDisposed(),pt(this,e)},oe.prototype.notEqual=function(e){return this.throwIfDisposed(),la(this,e)},oe.prototype.oneHot=function(e,t=1,n=0){return this.throwIfDisposed(),eo(this,e,t,n)},oe.prototype.pad=function(e,t){return this.throwIfDisposed(),Ur(this,e,t)},oe.prototype.pool=function(e,t,n,r,s){return this.throwIfDisposed(),ma(this,e,t,n,r,s)},oe.prototype.pow=function(e){return this.throwIfDisposed(),Tr(this,e)},oe.prototype.prelu=function(e){return this.throwIfDisposed(),ga(this,e)},oe.prototype.relu=function(){return this.throwIfDisposed(),Ta(this)},oe.prototype.relu6=function(){return this.throwIfDisposed(),Ba(this)},oe.prototype.selu=function(){return this.throwIfDisposed(),Ca(this)},oe.prototype.separableConv2d=function(e,t,n,r,s,o){return this.throwIfDisposed(),Ra(this,e,t,n,r,s,o)},oe.prototype.split=function(e,t){return this.throwIfDisposed(),zn(this,e,t)},oe.prototype.squaredDifference=function(e){return this.throwIfDisposed(),Pa(this,e)},oe.prototype.spaceToBatchND=function(e,t){return this.throwIfDisposed(),Rn(this,e,t)},oe.prototype.sub=function(e){return this.throwIfDisposed(),sr(this,e)},oe.prototype.tile=function(e){return this.throwIfDisposed(),or(this,e)},oe.prototype.transpose=function(e){return this.throwIfDisposed(),Jn(this,e)},se=Eu,e.AdadeltaOptimizer=Du,e.AdagradOptimizer=Iu,e.AdamOptimizer=Nu,e.AdamaxOptimizer=$u,e.Add="Add",e.AddN="AddN",e.Atan2="Atan2",e.AvgPool="AvgPool",e.AvgPool3D="AvgPool3D",e.AvgPool3DBackprop="AvgPool3DBackprop",e.AvgPoolBackprop="AvgPoolBackprop",e.BatchMatMul="BatchMatMul",e.BatchToSpaceND="BatchToSpaceND",e.BroadcastTo="BroadcastTo",e.Complex="Complex",e.Concat="Concat",e.Conv2D="Conv2D",e.Conv2DBackpropFilter="Conv2DBackpropFilter",e.Conv2DBackpropInput="Conv2DBackpropInput",e.Conv3D="Conv3D",e.Conv3DBackpropFilterV2="Conv3DBackpropFilterV2",e.Conv3DBackpropInputV2="Conv3DBackpropInputV2",e.Cumsum="Cumsum",e.DataStorage=class{constructor(e,t){this.backend=e,this.dataMover=t,this.data=new WeakMap,this.dataIdsCount=0}get(e){return this.data.has(e)||this.dataMover.moveData(this.backend,e),this.data.get(e)}set(e,t){this.dataIdsCount++,this.data.set(e,t)}has(e){return this.data.has(e)}delete(e){return this.dataIdsCount--,this.data.delete(e)}numDataIds(){return this.dataIdsCount}},e.DepthToSpace="DepthToSpace",e.DepthwiseConv2dNative="DepthwiseConv2dNative",e.DepthwiseConv2dNativeBackpropFilter="DepthwiseConv2dNativeBackpropFilter",e.DepthwiseConv2dNativeBackpropInput="DepthwiseConv2dNativeBackpropInput",e.Diag="Diag",e.Div="Div",e.Elu="Elu",e.EluGrad="EluGrad",e.Environment=t,e.Equal="Equal",e.Fill="Fill",e.FloorDiv="FloorDiv",e.FromPixels="FromPixels",e.FusedBatchNorm="FusedBatchNorm",e.GatherNd="GatherNd",e.Greater="Greater",e.GreaterEqual="GreaterEqual",e.Identity="Identity",e.Imag="Imag",e.KernelBackend=class{time(e){return Pu("time")}read(e){return Pu("read")}readSync(e){return Pu("readSync")}numDataIds(){return Pu("numDataIds")}disposeData(e){return Pu("disposeData")}write(e,t,n){return Pu("write")}move(e,t,n,r){return Pu("move")}memory(){return Pu("memory")}floatPrecision(){return Pu("floatPrecision")}epsilon(){return 32===this.floatPrecision()?1e-7:1e-4}batchMatMul(e,t,n,r){return Pu("batchMatMul")}fusedBatchMatMul({a:e,b:t,transposeA:n,transposeB:r,bias:s,activation:o,preluActivationWeights:a}){return Pu("fusedBatchMatMul")}slice(e,t,n){return Pu("slice")}stridedSlice(e,t,n,r){return Pu("stridedSlice")}unstack(e,t){return Pu("unstack")}reverse(e,t){return Pu("reverse")}concat(e,t){return Pu("concat")}neg(e){return Pu("neg")}add(e,t){return Pu("add")}addN(e){return Pu("addN")}subtract(e,t){return Pu("subtract")}multiply(e,t){return Pu("multiply")}realDivide(e,t){return Pu("realDivide")}floorDiv(e,t){return Pu("floorDiv")}sum(e,t){return Pu("sum")}prod(e,t){return Pu("prod")}unsortedSegmentSum(e,t,n){return Pu("unsortedSegmentSum")}argMin(e,t){return Pu("argMin")}argMax(e,t){return Pu("argMax")}equal(e,t){return Pu("equal")}notEqual(e,t){return Pu("notEqual")}less(e,t){return Pu("less")}lessEqual(e,t){return Pu("lessEqual")}greater(e,t){return Pu("greater")}greaterEqual(e,t){return Pu("greaterEqual")}logicalNot(e){return Pu("logicalNot")}logicalAnd(e,t){return Pu("logicalAnd")}logicalOr(e,t){return Pu("logicalOr")}where(e){return Pu("where")}select(e,t,n){return Pu("select")}topk(e,t,n){return Pu("topk")}min(e,t){return Pu("min")}minimum(e,t){return Pu("minimum")}mod(e,t){return Pu("mod")}max(e,t){return Pu("max")}maximum(e,t){return Pu("maximum")}all(e,t){return Pu("all")}any(e,t){return Pu("any")}squaredDifference(e,t){return Pu("squaredDifference")}ceil(e){return Pu("ceil")}floor(e){return Pu("floor")}round(e){return Pu("round")}sign(e){return Pu("sign")}isNaN(e){return Pu("isNaN")}isInf(e){return Pu("isInf")}isFinite(e){return Pu("isFinite")}pow(e,t){return Pu("pow")}exp(e){return Pu("exp")}expm1(e){return Pu("expm1")}softmax(e,t){return Pu("softmax")}log(e){return Pu("log")}log1p(e){return Pu("log1p")}sqrt(e){return Pu("sqrt")}rsqrt(e){return Pu("rsqrt")}square(e){return Pu("square")}reciprocal(e){return Pu("reciprocal")}relu(e){return Pu("relu")}relu6(e){return Pu("relu6")}prelu(e,t){return Pu("prelu")}elu(e){return Pu("elu")}eluDer(e,t){return Pu("eluDer")}selu(e){return Pu("selu")}int(e){return Pu("int")}clip(e,t,n){return Pu("clip")}abs(e){return Pu("abs")}complexAbs(e){return Pu("complexAbs")}sigmoid(e){return Pu("sigmoid")}softplus(e){return Pu("softplus")}sin(e){return Pu("sin")}cos(e){return Pu("cos")}tan(e){return Pu("tan")}asin(e){return Pu("asin")}acos(e){return Pu("acos")}atan(e){return Pu("atan")}atan2(e,t){return Pu("atan2")}sinh(e){return Pu("sinh")}cosh(e){return Pu("cosh")}tanh(e){return Pu("tanh")}asinh(e){return Pu("asinh")}acosh(e){return Pu("acosh")}atanh(e){return Pu("atanh")}erf(e){return Pu("erf")}step(e,t){return Pu("step")}fusedConv2d({input:e,filter:t,convInfo:n,bias:r,activation:s,preluActivationWeights:o}){return Pu("fusedConv2d")}conv2d(e,t,n){return Pu("conv2d")}conv2dDerInput(e,t,n){return Pu("conv2dDerInput")}conv2dDerFilter(e,t,n){return Pu("conv2dDerFilter")}fusedDepthwiseConv2D({input:e,filter:t,convInfo:n,bias:r,activation:s,preluActivationWeights:o}){return Pu("fusedDepthwiseConv2D")}depthwiseConv2D(e,t,n){return Pu("depthwiseConv2D")}depthwiseConv2DDerInput(e,t,n){return Pu("depthwiseConv2DDerInput")}depthwiseConv2DDerFilter(e,t,n){return Pu("depthwiseConv2DDerFilter")}conv3d(e,t,n){return Pu("conv3d")}conv3dDerInput(e,t,n){return Pu("conv3dDerInput")}conv3dDerFilter(e,t,n){return Pu("conv3dDerFilter")}maxPool(e,t){return Pu("maxPool")}maxPoolBackprop(e,t,n,r){return Pu("maxPoolBackprop")}avgPool(e,t){return Pu("avgPool")}avgPoolBackprop(e,t,n){return Pu("avgPoolBackprop")}avgPool3d(e,t){return Pu("avgPool3d")}avgPool3dBackprop(e,t,n){return Pu("avgPool3dBackprop")}maxPool3d(e,t){return Pu("maxPool3d")}maxPool3dBackprop(e,t,n,r){return Pu("maxPool3dBackprop")}reshape(e,t){return Pu("reshape")}cast(e,t){return Pu("cast")}tile(e,t){return Pu("tile")}pad(e,t,n){return Pu("pad")}transpose(e,t){return Pu("transpose")}gather(e,t,n){return Pu("gather")}gatherND(e,t){return Pu("gatherND")}scatterND(e,t,n){return Pu("scatterND")}batchToSpaceND(e,t,n){return Pu("batchToSpaceND")}spaceToBatchND(e,t,n){return Pu("spaceToBatchND")}resizeBilinear(e,t,n,r){return Pu("resizeBilinear")}resizeBilinearBackprop(e,t,n){return Pu("resizeBilinearBackprop")}resizeNearestNeighbor(e,t,n,r){return Pu("resizeNearestNeighbor")}resizeNearestNeighborBackprop(e,t,n){return Pu("resizeNearestNeighborBackprop")}batchNorm(e,t,n,r,s,o){return Pu("batchNorm")}localResponseNormalization4D(e,t,n,r,s){return Pu("localResponseNormalization4D")}LRNGrad(e,t,n,r,s,o,a){return Pu("LRNGrad")}multinomial(e,t,n,r){return Pu("multinomial")}oneHot(e,t,n,r){return Pu("oneHot")}cumsum(e,t,n,r){return Pu("cumsum")}nonMaxSuppression(e,t,n,r,s){return Pu("nonMaxSuppression")}fft(e){return Pu("fft")}ifft(e){return Pu("ifft")}complex(e,t){return Pu("complex")}real(e){return Pu("real")}imag(e){return Pu("imag")}cropAndResize(e,t,n,r,s,o){return Pu("cropAndResize")}depthToSpace(e,t,n){return Pu("depthToSpace")}split(e,t,n){return Pu("split")}sparseToDense(e,t,n,r){return Pu("sparseToDense")}diag(e){return Pu("diag")}fill(e,t,n){return Pu("fill")}onesLike(e){return Pu("onesLike")}zerosLike(e){return Pu("zerosLike")}linspace(e,t,n){return Pu("linspace")}dispose(){return Pu("dispose")}},e.LRN="LRN",e.LRNBackprop="LRNBackprop",e.Less="Less",e.LessEqual="LessEqual",e.Max="Max",e.MaxPool="MaxPool",e.MaxPool3D="MaxPool3D",e.MaxPool3DBackprop="MaxPool3DBackprop",e.MaxPoolBackprop="MaxPoolBackprop",e.MaxPoolWithArgmax="MaxPoolWithArgmax",e.Maximum="Maximum",e.Minimum="Minimum",e.Mod="Mod",e.MomentumOptimizer=Mu,e.Multiply="Multiply",e.NonMaxSuppressionV3="NonMaxSuppressionV3",e.NonMaxSuppressionV5="NonMaxSuppressionV5",e.NotEqual="NotEqual",e.OneHot="OneHot",e.Optimizer=Su,e.PadV2="PadV2",e.Pool="Pool",e.Pow="Pow",e.Prelu="Prelu",e.RMSPropOptimizer=Au,e.Real="Real",e.Relu="Relu",e.Relu6="Relu6",e.SGDOptimizer=Fu,e.SelectV2="SelectV2",e.Selu="Selu",e.SpaceToBatchND="SpaceToBatchND",e.SplitV="SplitV",e.Square="Square",e.SquaredDifference="SquaredDifference",e.Sub="Sub",e.Tensor=oe,e.TensorBuffer=ne,e.Tile="Tile",e.Transpose="Transpose",e.Variable=ae,e.abs=Rt,e.acos=Pt,e.acosh=qt,e.add=Te,e.addN=Do,e.addStrict=ri,e.all=Dt,e.any=It,e.argMax=Nt,e.argMin=$t,e.asin=zt,e.asinh=Lt,e.atan=Ot,e.atan2=Io,e.atanh=Wt,e.avgPool=No,e.avgPool3d=$o,e.backend=function(){return ke.backend},e.backend_util=Cu,e.basicLSTMCell=mi,e.batchNorm=Mo,e.batchNorm2d=Ao,e.batchNorm3d=_o,e.batchNorm4d=To,e.batchToSpaceND=zr,e.booleanMaskAsync=Ua,e.broadcastTo=Co,e.browser=oo,e.buffer=nt,e.cast=st,e.ceil=Kt,e.clipByValue=Gt,e.clone=Bo,e.complex=Re,e.concat=tt,e.concat1d=Ro,e.concat2d=Po,e.concat3d=qo,e.concat4d=zo,e.conv1d=Lo,e.conv2d=Gn,e.conv2dTranspose=Oo,e.conv3d=Wo,e.conv3dTranspose=Ko,e.cos=Ut,e.cosh=Ht,e.cumsum=Yn,e.customGrad=mt,e.deprecationWarn=vo,e.depthToSpace=Go,e.depthwiseConv2d=Uo,e.device_util=xe,e.diag=Ho,e.disableDeprecationWarnings=function(){n().set("DEPRECATION_WARNINGS_ENABLED",!1),console.warn("TensorFlow.js deprecation warnings have been disabled.")},e.dispose=Eo,e.disposeVariables=function(){ke.disposeVariables()},e.div=dt,e.divNoNan=Vo,e.divStrict=si,e.dot=jo,e.dropout=$i,e.elu=Jo,e.enableDebugMode=function(){n().set("DEBUG",!0)},e.enableProdMode=function(){n().set("PROD",!0)},e.engine=function(){return ke},e.env=n,e.equal=Yo,e.equalStrict=Xa,e.erf=Vt,e.exp=jt,e.expandDims=ot,e.expm1=Jt,e.eye=Xo,e.fft=vi,e.fill=Zo,e.findBackend=function(e){return ke.findBackend(e)},e.findBackendFactory=function(e){return ke.findBackendFactory(e)},e.floor=Yt,e.floorDiv=ht,e.frame=_i,e.fused=xu,e.gather=Ka,e.gatherND=Ni,e.gather_util=io,e.getBackend=function(){return ke.backendName},e.getGradient=l,e.getKernel=u,e.getKernelsForBackend=c,e.grad=function(e){return m(q(e),()=>"The f passed in grad(f) must be a function"),(t,n)=>{const r=Me(t,"x","tf.grad",null),s=null!=n?Me(n,"dy","tf.grad"):null;return ke.tidy(()=>{const{value:t,grads:n}=ke.gradients(()=>e(r),[r],s);return null!=s&&g(t.shape,s.shape,"The shape of dy passed in grad(f)(x, dy) must match the shape returned by f(x)"),gt(n),n[0]})}},e.grads=function(e){return m(q(e),()=>"The f passed in grads(f) must be a function"),(t,n)=>{m(Array.isArray(t),()=>"The args passed in grads(f)(args) must be an array of `Tensor`s or `TensorLike`s");const r=Ae(t,"args","tf.grads",null),s=null!=n?Me(n,"dy","tf.grads"):null;return ke.tidy(()=>{const{value:t,grads:n}=ke.gradients(()=>e(...r),r,s);return null!=s&&g(t.shape,s.shape,"The shape of dy passed in grads(f)([x1,...], dy) must match the shape returned by f([x1,...])"),gt(n),n})}},e.greater=yr,e.greaterEqual=dr,e.greaterEqualStrict=Za,e.greaterStrict=Qa,e.hammingWindow=Ai,e.hannWindow=Mi,e.ifft=xi,e.imag=Pe,e.image=fu,e.inTopKAsync=Ci,e.io=Qs,e.irfft=Si,e.isFinite=ln,e.isInf=un,e.isNaN=an,e.keep=So,e.kernel_impls=Ru,e.leakyRelu=ea,e.less=pr,e.lessEqual=kr,e.lessEqualStrict=ei,e.lessStrict=ti,e.linalg=Xi,e.linspace=Xe,e.localResponseNormalization=ta,e.log=Xt,e.log1p=Zt,e.logSigmoid=Qt,e.logSoftmax=pi,e.logSumExp=Ft,e.logicalAnd=Nr,e.logicalNot=$r,e.logicalOr=Fr,e.logicalXor=Mr,e.losses=Hi,e.matMul=Bn,e.math=no,e.max=na,e.maxPool=ra,e.maxPool3d=sa,e.maxPoolWithArgmax=oa,e.maximum=Qo,e.maximumStrict=oi,e.mean=Mt,e.memory=function(){return ke.memory()},e.min=At,e.minimum=aa,e.minimumStrict=ai,e.mod=ia,e.modStrict=ii,e.moments=_t,e.movingAverage=bi,e.mul=pt,e.mulStrict=ui,e.multiRNNCell=gi,e.multinomial=ua,e.neg=en,e.nextFrame=function(){return new Promise(e=>Bu(()=>e()))},e.norm=fi,e.notEqual=la,e.notEqualStrict=ni,e.oneHot=eo,e.ones=Je,e.onesLike=Qe,e.op=_e,e.outerProduct=ca,e.pad=Ur,e.pad1d=ha,e.pad2d=da,e.pad3d=pa,e.pad4d=fa,e.pool=ma,e.pow=Tr,e.powStrict=li,e.prelu=ga,e.print=rt,e.prod=Bt,e.profile=function(e){return ke.profile(e)},e.rand=ba,e.randomGamma=Ma,e.randomNormal=Aa,e.randomUniform=_a,e.range=Ze,e.ready=function(){return ke.ready()},e.real=qe,e.reciprocal=tn,e.registerBackend=function(e,t,n=1){return ke.registerBackend(e,t,n)},e.registerGradient=h,e.registerKernel=function(e){const{kernelName:t,backendName:n}=e,r=d(t,n);a.has(r)&&console.warn(`The kernel '${t}' for backend '${n}' is already registered`),a.set(r,e)},e.relu=Ta,e.relu6=Ba,e.removeBackend=function(e){ke.removeBackend(e)},e.reshape=at,e.reverse=Ha,e.reverse1d=Va,e.reverse2d=ja,e.reverse3d=Ja,e.reverse4d=Ya,e.rfft=Ei,e.round=nn,e.rsqrt=rn,e.scalar=Oe,e.scatterND=ki,e.scatter_util=ho,e.selu=Ca,e.separableConv2d=Ra,e.serialization=go,e.setBackend=function(e){return ke.setBackend(e)},e.setPlatform=function(e,t){n().setPlatform(e,t)},e.setdiff1dAsync=ct,e.sigmoid=sn,e.sign=on,e.signal=Bi,e.sin=cn,e.sinh=hn,e.slice=ns,e.slice1d=rs,e.slice2d=ss,e.slice3d=os,e.slice4d=as,e.slice_util=ts,e.softmax=di,e.softplus=dn,e.spaceToBatchND=Rn,e.sparseToDense=Ii,e.spectral=Di,e.split=zn,e.sqrt=pn,e.square=Ct,e.squaredDifference=Pa,e.squaredDifferenceStrict=ci,e.squeeze=it,e.stack=ut,e.step=fn,e.stft=Ti,e.stridedSlice=wi,e.sub=sr,e.subStrict=hi,e.sum=Tt,e.sumOutType=function(e){return pe(e,"int32")},e.tan=mn,e.tanh=gn,e.tensor=ze,e.tensor1d=We,e.tensor2d=Ke,e.tensor3d=Ge,e.tensor4d=Ue,e.tensor5d=He,e.tensor6d=Ve,e.tensor_util=be,e.test_util=ko,e.tidy=xo,e.tile=or,e.time=function(e){return ke.time(e)},e.topk=yi,e.train=Tu,e.transpose=Jn,e.truncatedNormal=qa,e.unregisterGradient=function(e){if(!i.has(e))throw new Error(`The gradient '${e}' for backend is not registered`);i.delete(e)},e.unregisterKernel=function(e,t){const n=d(e,t);if(!a.has(n))throw new Error(`The kernel '${e}' for backend '${t}' is not registered`);a.delete(n)},e.unsortedSegmentSum=Ga,e.unstack=lt,e.upcastType=pe,e.util=J,e.valueAndGrad=function(e){return m(q(e),()=>"The f passed in valueAndGrad(f) must be a function"),(t,n)=>{m(t instanceof oe,()=>"The x passed in valueAndGrad(f)(x) must be a tensor"),m(null==n||n instanceof oe,()=>"The dy passed in valueAndGrad(f)(x, dy) must be a tensor");const{grads:r,value:s}=ke.gradients(()=>e(t),[t],n);return gt(r),{grad:r[0],value:s}}},e.valueAndGrads=function(e){return m(q(e),()=>"The f passed in valueAndGrads(f) must be a function"),(t,n)=>{m(Array.isArray(t)&&t.every(e=>e instanceof oe),()=>"The args passed in valueAndGrads(f)(args) must be array of tensors"),m(null==n||n instanceof oe,()=>"The dy passed in valueAndGrads(f)(args, dy) must be a tensor");const r=ke.gradients(()=>e(...t),t,n);return null!=n&&g(r.value.shape,n.shape,"The shape of dy passed in valueAndGrads(f)([x1,...], dy) must match the shape returned by f([x1,...])"),gt(r.grads),r}},e.variable=je,e.variableGrads=ft,e.version_core="2.0.1",e.where=Ar,e.whereAsync=_r,e.zeros=Ye,e.zerosLike=et,Object.defineProperty(e,"__esModule",{value:!0})}));
//# sourceMappingURL=tf-core.es2017.min.js.map
